<?php
			if (get_field('course_status') == 'inactive') {
				$active=0;
				if (get_field('coming_soon_text')) :
					$coming_soon_text=get_field('coming_soon_text');
				else:
					$coming_soon_text=get_field('lang_default_coming_soon_text','options') ? get_field('lang_default_coming_soon_text','options') : 'Coming Soon';
				endif;
			} else {
				$active=1;
				$completion=(ceil(check_course_count(get_the_id(),get_current_user_id())*100));
			}
			if (has_post_thumbnail()) :
				$thumb_id = get_post_thumbnail_id();
				$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'featured-image');
				$thumb_url = $thumb_url_array[0];
				$course_thumb=' style="background-image:url(' . $thumb_url . ');"';
			else:
				if (get_field('default_course_image','options')) :
					$thumb_url_array = get_field('default_course_image','options');
					$thumb_url = $thumb_url_array['sizes']['featured-image'];
					$course_thumb=' style="background-image:url(' . $thumb_url . ');"';
				else:
					$course_thumb='';
				endif;
			endif;

			$course_terms = get_the_terms( get_the_ID(), 'memberoni_course_categories' );
			                         
			if ( $course_terms && ! is_wp_error( $course_terms ) ) : 
			 
			    $course_categories = array();
			 
			    foreach ( $course_terms as $course_term ) {
			        $course_categories[] = $course_term->slug;
			    }
			                         
			    $course_cat_class = join( " ", $course_categories );
			
			 endif;

?>
           <article class="course-listing <?php echo $course_cat_class; ?>">

           		<div class="course-wrap">

           		<?php if (get_field('used_fixed_image_ratios','options')) : ?>

           		<div class="course-thumb fixed_ratio">
           			<?php if ($active) : ?>
           			<a href="<?php the_permalink(); ?>" title="<?php echo get_the_title(); ?>"><img src="<?php echo $thumb_url; ?>" alt="<?php echo get_the_title( ); ?>"></a>
           			<?php if ($completion > 0):
                     	if ($completion==100) : $course_comp=' completed'; else: $course_comp=''; endif;
                     	echo '<div class="course_completion' . $course_comp . '">' . $completion . '%</div>';
                    	endif;
                    	 ?>

           		<?php else: ?>
           			<img src="<?php echo $thumb_url; ?>" alt="<?php echo get_the_title( ); ?>">
           		<?php endif; ?>
           	</div>

           		<?php else: ?>

           		<div class="course-thumb scale_thumb"<?php echo $course_thumb; ?>>
           			<?php if ($active) : ?>
           			<a href="<?php the_permalink(); ?>" title="<?php echo get_the_title(); ?>" class="course-link"><?php the_title(); ?></a>
           			<?php endif; ?>


				<?php if (!$active) : ?>
					<div class="coming-soon-overlay">
						<div class="coming-soon-message">
							<h3><?php echo $coming_soon_text; ?></h3>
						</div>
					</div>
				<?php else:


                     if ($completion > 0):
                     	if ($completion==100) : $course_comp=' completed'; else: $course_comp=''; endif;
                     	echo '<div class="course_completion' . $course_comp . '">' . $completion . '%</div>';
                     endif;

                     endif; ?>


           		</div>
           	<?php endif; ?>
			
				<div class="course-content">

				<?php 
					if (get_field('use_category_filtering',get_queried_object_id())) : 
						$course_title = (strlen(get_the_title()) > 130) ? substr(get_the_title(), 0, 130) . '...' : get_the_title();
					else:
						$course_title=get_the_title();
					endif; ?>

				<?php if ($active) : ?>
                    <h4><a href="<?php the_permalink(); ?>"><?php echo $course_title; ?></a></h4>
                 <?php else: ?>  
                    <h4><?php echo $course_title; ?></h4>
                <?php endif; ?>
                	<?php if (get_field('grid_items_per_row',get_queried_object_id())=='1' && get_field('enable_excerpt',get_queried_object_id())) : ?>
	                	<p><?php the_excerpt(); ?></p>
	                <?php endif; ?>
					<?php if ($active) : ?>




	                <?php if (get_field('override_button_text') && get_field('custom_button_text')) : ?>

						<a href="<?php the_permalink(); ?>" class="button w-onethird"><?php echo get_field('custom_button_text'); ?></a>

					<?php else : 

						if ($completion > 0 && $completion < 100): ?>

						<?php if (get_field('lang_continue_course_button','options')) : ?>

							<a href="<?php the_permalink(); ?>" class="button w-onethird"><?php echo get_field('lang_continue_course_button','options'); ?></a>

						<?php else: ?>

							<a href="<?php the_permalink(); ?>" class="button w-onethird">Continue <?php echo (get_field('default_course_label','options') ? strtolower(get_field('default_course_label','options')) : 'course'); ?></a>

						<?php endif; 
					else:


							?>


						<?php if (get_field('lang_start_course_button','options')) : ?>

							<a href="<?php the_permalink(); ?>" class="button w-onethird"><?php echo get_field('lang_start_course_button','options'); ?></a>

						<?php else: ?>

							<a href="<?php the_permalink(); ?>" class="button w-onethird">Start <?php echo (get_field('default_course_label','options') ? strtolower(get_field('default_course_label','options')) : 'course'); ?></a>

						<?php endif; ?>


					<?php 

				endif; 
					 endif; ?>

			<?php else: ?>

				<?php 
					if(get_field('inactive_button_link')) : 
						echo '<a href="' . get_field('inactive_button_link') . '" class="button w-onethird">';
					else:
						echo '<a class="button w-onethird inactive">';
					endif;
					if (get_field('inactive_button_text')) : 
						the_field('inactive_button_text');
					else:
						echo (get_field('lang_default_coming_soon_text','options') ? get_field('lang_default_coming_soon_text','options') : 'Coming Soon');
					endif;
					echo '</a>';

					?>


			<?php endif; ?>
                </div>
            </div>
                
                </article>
