<?php 
// Enable thumbnails
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(200, 200, true); // Normal post thumbnails

function mimo_add_sidebars() {
	register_sidebar(
		array(
			'name'          => 'Main Sidebar',
			'id'            => 'main-sidebar',
			'description'   => '',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Dashboard Sidebar',
			'id'            => 'dashboard-sidebar',
			'description'   => '',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Course Sidebar',
			'id'            => 'course-sidebar',
			'description'   => 'Displays in the sidebar on course and lesson pages, beneath the lesson listing',
			'before_widget' => '<aside class="sidebar_widget %2$s mt40">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Standalone Lesson Sidebar (Optional)',
			'id'            => 'standalone-sidebar',
			'description'   => 'Used for standalone lessons where "Use Standalone Sidebar" is selected',
			'before_widget' => '<aside class="sidebar_widget %2$s mt40">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Grid Sidebar',
			'id'            => 'grid-sidebar',
			'description'   => 'Displays in the sidebar on the content grid page if the layout option supports it',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Checkout Sidebar',
			'id'            => 'checkout-sidebar',
			'description'   => 'Displays in the sidebar of the checkout page template',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Login Sidebar',
			'id'            => 'login-sidebar',
			'description'   => 'Displays in the sidebar of the login page template',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Register Sidebar',
			'id'            => 'register-sidebar',
			'description'   => 'Displays in the sidebar of the register page template',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Account Page Sidebar',
			'id'            => 'account-sidebar',
			'description'   => 'Displays in the sidebar of the account page template',
			'before_widget' => '<aside class="sidebar_widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h2>',
			'after_title' => '</h2>',
		)
	);
	register_sidebar(
		array(
			'name'          => 'Footer Widgets',
			'id'            => 'footer-sidebar',
			'description'   => 'Displays in the footer, above the copyright text and menu',
			'before_widget' => '<div class="col-third fl mb20 %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
		)
	);
}
add_action( 'widgets_init', 'mimo_add_sidebars' );
add_filter('widget_text', 'do_shortcode');



// Add custom menus
register_nav_menus( array(
	'primary' => __( 'Primary Navigation (Logged Out)', 'wpfme' ),
	'loggedin' => __( 'Primary Navigation (Logged In)', 'wpfme' ),
	'footer' => __( 'Footer Navigation (Logged Out)', 'wpfme' ),
	'footerlogin' => __( 'Footer Navigation (Logged In)', 'wpfme' ),
	'member' => __( 'Member Navigation', 'wpfme' ),
	'checkout' => __( 'Checkout Navigation', 'wpfme' )
) );


add_action('after_setup_theme', 'remove_admin_bar');

function remove_admin_bar() {
if (!current_user_can('administrator') && !is_admin()) {
  show_admin_bar(false);
}
}

// Declare WooCommerce support
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

// Custom walker to create select list for mobile use

class Walker_Nav_Menu_Dropdown extends Walker_Nav_Menu{

    // don't output children opening tag (`<ul>`)
    public function start_lvl(&$output, $depth=0,$args=array()){}

    // don't output children closing tag    
    public function end_lvl(&$output, $depth=0,$args=array()){}

    public function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0){
// Here is where we create each option.
        $item_output = '';
 
        // add spacing to the title based on the depth
        $item->title = str_repeat("&dash;", $depth * 4) . $item->title;
 
        // Get the attributes.. Though we likely don't need them for this...
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
        $attributes .= ! empty( $item->url )        ? ' value="'   . esc_attr( $item->url        ) .'"' : '';
 
        // Add the html
        $item_output .= '<option'. $attributes .'>';
        $item_output .= apply_filters( 'the_title_attribute', $item->title );
 
        // Add this new item to the output string.
        $output .= $item_output;    }

    // replace closing </li> with the closing option tag
    public function end_el(&$output, $item, $depth=0,$args=array()){
      $output .= "</option>\n";
    }
}


//create a permalink after the excerpt
function wpfme_replace_excerpt($content) {
	return str_replace('[...]',
		'<a class="readmore" href="'. get_permalink() .'">Continue Reading</a>',
		$content
	);
}
add_filter('the_excerpt', 'wpfme_replace_excerpt');

// Replaces the excerpt "more" text by a link
function new_excerpt_more($more) {
       global $post;
	return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');


// Create custom sizes
// This is then pulled through to your theme useing the_post_thumbnail('custombig');
if ( function_exists( 'add_image_size' ) ) {
	add_image_size('featured-image', 760, 400, true); 
	add_image_size('dashboad-recent', 220, 115, true); 
}


// Stop images getting wrapped up in p tags when they get dumped out with the_content() for easier theme styling
function wpfme_remove_img_ptags($content){
	return preg_replace('/<p>\s*(<a .*>)?\s*(<img .* \/>)\s*(\/a>)?\s*<\/p>/iU', '\1\2\3', $content);
}
add_filter('the_content', 'wpfme_remove_img_ptags');


// Call the google CDN version of jQuery for the frontend
// Make sure you use this with wp_enqueue_script('jquery'); in your header
function wpfme_jquery_enqueue() {
	wp_enqueue_script('jquery');
}
if (add_action("wp_enqueue_scripts", "wpfme_jquery_enqueue", 11));

function custom_excerpt_length( $length ) {
	return 25;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

// Call Googles HTML5 Shim, but only for users on old versions of IE
function wpfme_IEhtml5_shim () {
	global $is_IE;
	if ($is_IE)
	echo '<!--[if lt IE 9]><script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->';
}
add_action('wp_head', 'wpfme_IEhtml5_shim');


function post_navigation() {
	global $wp_query;

	// Don't print empty markup if there's only one page.
	if ( $wp_query->max_num_pages < 2 )
	    return;

		$grid_page_prev=get_field('lang_grid_page_prev','options') ? get_field('lang_grid_page_prev','options') : '&larr; Prev';
		$grid_page_next=get_field('lang_grid_page_next','options') ? get_field('lang_grid_page_next','options') : 'Next &rarr;';

		?>
	<nav class="nav-links">
	<?php if ( get_next_posts_link() ) : ?>
		<div class="nav-previous"><?php next_posts_link($grid_page_prev); ?></div>
	<?php endif; ?>
	<?php if ( get_previous_posts_link() ) : ?>
		<div class="nav-next"><?php previous_posts_link($grid_page_next); ?></div>
	<?php endif; ?>
	</nav><!-- .nav-links -->
<?php

}

function grid_navigation_numeric($max_num) {

	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max   = intval( $max_num );

	if ( $paged >= 1 )
		$links[] = $paged;

	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}
	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}
	echo '<nav class="nav-links nav-numeric"><ul>';

	/**	Previous Post Link */
	if ( get_previous_posts_link() ) :
		$grid_page_prev=get_field('lang_grid_page_prev','options') ? get_field('lang_grid_page_prev','options') : '&larr; Prev';
		printf( '<li>%s</li>' . "\n", get_previous_posts_link($grid_page_prev) );
	endif;

	/**	Link to first page, plus ellipses if necessary */
	if ( ! in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';

		printf( '<li%s><a href="%s" class="button">%s</a></li>', $class, esc_url( get_pagenum_link( 1 ) ), '1' );

		if ( ! in_array( 2, $links ) )
			echo '<li>…</li>';
	}

	/**	Link to current page, plus 2 pages in either direction if necessary */
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s" class="button">%s</a></li>', $class, esc_url( get_pagenum_link( $link ) ), $link );
	}

	/**	Link to last page, plus ellipses if necessary */
	if ( ! in_array( $max, $links ) ) {
		if ( ! in_array( $max - 1, $links ) )
			echo '<li>…</li>';

		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s" class="button">%s</a></li>', $class, esc_url( get_pagenum_link( $max ) ), $max );
	}

	/**	Next Post Link */
	if ( get_next_posts_link() )
		printf( '<li class="next_page">%s</li>', get_next_posts_link() );

	echo '</ul></nav>';

}

add_filter('next_posts_link_attributes', 'posts_link_attributes');
add_filter('previous_posts_link_attributes', 'posts_link_attributes');

function posts_link_attributes() {
    return 'class="button"';
}

// Include custom post types
include_once('includes/cpt/custom-posts.php');
// Include custom shortcodes
include_once('includes/shortcodes/shortcodes.php');
// Include custom widgets
include_once('includes/widgets/widget-event.php');


// Remove the version number of WP
// Warning - this info is also available in the readme.html file in your root directory - delete this file!
remove_action('wp_head', 'wp_generator');


if( class_exists('acf') ) {

	function memberoni_admin_notice_acfclash() {
	    ?>
	    <div class="notice notice-success is-dismissible">
	        <p><strong>It looks like you're using Advanced Custom Fields.</strong> The Memberoni theme actually has ACF built in, so you don't need to have the plugin installed separately. We recommend <a href="<?php echo admin_url( 'plugins.php'); ?>">disabling the ACF plugin</a> to avoid any conflicts. After doing so, you can enable the ACF controls by going to the <a href="<?php echo admin_url( 'admin.php?page=academy-settings'); ?>">theme settings</a> and checking 'Enable ACF Controls'</p>
	    </div>
	    <?php
	}
		add_action( 'admin_notices', 'memberoni_admin_notice_acfclash' );


} else {
	require_once('includes/acf/acf.php');
}

if( class_exists('acf') ) {

	require_once('includes/acf/custom-acf-fields.php');
	if (!function_exists('register_fields_font_awesome')) : require_once('includes/acf/addons/acf-fontawesome/acf-font-awesome.php'); endif;
	if (!class_exists('acf_field_post_type_selector_plugin')) : require_once('includes/acf/addons/acf-post-type/acf-post-type-selector.php'); endif;
	require_once('includes/functions/1bka/ufcd.php');	

	add_filter('acf/settings/path', 'my_acf_settings_path');
	 
	function my_acf_settings_path( $path ) {
	 
		// update path
		$path = get_template_directory() . '/includes/acf/';
		// return
		return $path;
		
	}
	 
	add_filter('acf/settings/dir', 'my_acf_settings_dir');
	 
	function my_acf_settings_dir( $dir ) {
	 
		// update path
		$dir = get_template_directory_uri() . '/includes/acf/';
		// return
		return $dir;
		
	}

	if( function_exists('acf_add_options_page') ) {
		
		acf_add_options_page(array(
			'page_title' 	=> 'Memberoni Settings',
			'menu_title'	=> 'Memberoni',
			'menu_slug' 	=> 'academy-settings',
			'capability'	=> 'edit_theme_options',
			'redirect'		=> false
		));	
		acf_add_options_sub_page(array(
			'page_title' 	=> 'Theme Text and Language Settings',
			'menu_title'	=> 'Text Settings',
			'parent_slug'	=> 'academy-settings',
		));
		acf_add_options_sub_page(array(
			'page_title' 	=> 'License',
			'menu_title'	=> 'License',
			'parent_slug'	=> 'academy-settings',
		));

	}
	// Hides the admin pages 
	if (get_field('enable_acf','options')) :
		add_filter('acf/settings/show_admin', '__return_true');
	else:
		add_filter('acf/settings/show_admin', '__return_false');
	endif;
	add_filter('acf/settings/show_updates', '__return_false');
}


// Include membership plugin support
include_once('includes/functions/plugin-check.php');


function custom_login_css() {
	echo '<link rel="stylesheet" type="text/css" href="' . get_template_directory_uri() . '/style/login-styles.css" />';
    if (get_theme_mod( 'academy_color_scheme' ) != '' && strtolower( get_theme_mod( 'academy_color_scheme' ) ) != 'blue') : 
    	if (get_theme_mod( 'academy_color_scheme' ) != 'custom') :
    	?>
	    <link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/style/style-options/css/login-styles-<?php echo strtolower( get_theme_mod( 'academy_color_scheme' ) ); ?>.css" type="text/css" media="screen">
	<?php else: ?>
	<style>html, body.login, body.login div#login { background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>!important;}p#reg_passmail,body.login div#login form p label,body.login div#login form#lostpasswordform p label,body.login div#login form p.forgetmenot,body.login div#login form#lostpasswordform p.forgetmenot { color:#fff!important;}body.login div#login form p.submit input[type=submit]#wp-submit,body.login div#login form#lostpasswordform p.submit input[type=submit]#wp-submit,
	.last_viewed_content{ background: <?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>!important;color: #fff!important;}body.login div#login form p.submit input#wp-submit:hover,body.login div#login form#lostpasswordform p.submit input#wp-submit:hover {background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>!important;}body.login div#login p#backtoblog a:hover,body.login div#login p#nav a:hover {color: <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>!important;}</style>
	<?php endif;
	endif;
}


add_action('login_head', 'custom_login_css');

function custom_login_logo() {

	if (get_theme_mod( 'academy_logo' )) :
	echo '<style type="text/css">
	h1 a { background-image: url(' . get_theme_mod( 'academy_logo' ) . ') !important; }
	</style>';
	endif;
}
add_action('login_head', 'custom_login_logo');


function my_login_logo_url() {
return get_bloginfo( 'url' );
}
add_filter( 'login_headerurl', 'my_login_logo_url' );

function my_login_logo_url_title() {
return get_bloginfo( 'name' );
}
add_filter( 'login_headertitle', 'my_login_logo_url_title' );


function log_lesson($lesson,$user,$type="1") {

	global $wpdb;

	$is_entry=check_lesson_log($lesson,$user,$type);

	if (!$is_entry) {
		$wpdb->query("INSERT INTO " . $wpdb->prefix . "lessonlog (user_id,lesson_id,lesson_type) VALUES ($user,$lesson,$type)");
	}

	//If not in the db, add it
}
function check_lesson_log($lesson,$user,$type="1") {

	global $wpdb;

	//Query database for current lesson
	$log_count = $wpdb->get_var( "SELECT COUNT(*) FROM " . $wpdb->prefix . "lessonlog where user_id=$user and lesson_id=$lesson" );
	//Count results
	if ($log_count > 0) {
		return true;
	} else {
		return false;
	}

}



add_action( 'wp_ajax_track_lesson_ajax', 'track_lesson_ajax' );

function track_lesson_ajax() {

	global $wpdb;

	$lesson=$_POST['lesson_id'];
	$user=get_current_user_id();
	$type='1';
	$status=($_POST['track_type'] != '' ? $_POST['track_type'] : "1");

	if ( defined( 'DOING_AJAX' ) && DOING_AJAX ) :

		if (is_numeric($lesson) && is_numeric($user) && is_numeric($status)) :

			$is_entry=check_lesson_track($lesson,$user,$type,$status);

			if (!$is_entry) {
				$wpdb->query("INSERT INTO " . $wpdb->prefix . "lessontracker (user_id,lesson_id,lesson_type,lesson_status) VALUES ($user,$lesson,$type,$status)");
				echo 'active';
				do_action('memberoni_after_track_lesson');
			} else {
				$wpdb->query("delete from " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id=$lesson and lesson_type=$type and lesson_status=$status");
				echo 'inactive';
				do_action('memberoni_after_track_lesson_unset');
			}

		endif;

		die();

	endif;

}





function track_lesson($lesson,$user,$type="1",$status="1",$unset=0) {

	global $wpdb;

	if ($unset) {

		$is_entry=check_lesson_track($lesson,$user,$type,$status);

		if ($is_entry) {
			$wpdb->query("delete from " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id=$lesson and lesson_type=$type and lesson_status=$status");
		}

		do_action('memberoni_after_track_lesson_unset');

	} else {

		$is_entry=check_lesson_track($lesson,$user,$type,$status);

		if (!$is_entry) {
			$wpdb->query("INSERT INTO " . $wpdb->prefix . "lessontracker (user_id,lesson_id,lesson_type,lesson_status) VALUES ($user,$lesson,$type,$status)");
		}

		do_action('memberoni_after_track_lesson');

	}


	//If not in the db, add it
}
function check_lesson_track($lesson,$user,$type="1",$status="1") {

	global $wpdb;

	//Query database for current lesson
	$track_count = $wpdb->get_var( "SELECT COUNT(*) FROM " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id=$lesson and lesson_status=$status" );
	//Count results
	if ($track_count > 0) {
		return true;
	} else {
		return false;
	}

}
function check_course_count($courseid,$user) {

	global $wpdb;

	if (get_field('course_page_type',$courseid)=='standalone') :
		$track_count = $wpdb->get_var( "SELECT COUNT(*) FROM " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id=$courseid and lesson_status='3'" );
		if ($track_count>0) :
			$completion=1;
		else:
			$completion=0;
		endif;
		return $completion;
	else:


		$course_children=get_pages(array('parent' => $courseid,'post_type' => 'memberoni_course','post_status'=>'publish'));

		if ($course_children) :

			$course_children_array=array();
			$course_children_list=null;
			foreach($course_children as $course_child) :
				if (get_field('course_page_type',$course_child->ID) == 'module') :
					$module_children=get_pages(array('parent' => $course_child->ID,'post_type' => 'memberoni_course','post_status'=>'publish'));
					if ($module_children) :
						$module_children_list=null;
						foreach($module_children as $module_child) :
							array_push($course_children_array,$module_child->ID);
						endforeach;
					endif;
				else:
					array_push($course_children_array,$course_child->ID);
				endif;
			endforeach;

			$course_children_count=count($course_children_array);

			$course_children_list=implode(',',$course_children_array);

			$track_count = $wpdb->get_var( "SELECT COUNT(*) FROM " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id in ($course_children_list) and lesson_status='3'" );

			if ($track_count > 0 && $course_children_count > 0) :
				$completion=$track_count / $course_children_count;
			else:
				$completion=0;
			endif;
			return $completion;

		else:
			return;
		endif;
	endif;

}

function clear_course_count($courseid,$user) {

	global $wpdb;

	$course_children=get_pages(array('parent' => $courseid,'post_type' => 'memberoni_course','post_status'=>'publish'));

	$course_children_array=array();
	$course_children_list=null;
	foreach($course_children as $course_child) :
		if (get_field('course_page_type',$course_child->ID) == 'module') :
			$module_children=get_pages(array('parent' => $course_child->ID,'post_type' => 'memberoni_course','post_status'=>'publish'));
			if ($module_children) :
				$module_children_list=null;
				foreach($module_children as $module_child) :
					array_push($course_children_array,$module_child->ID);
				endforeach;
			endif;
		else:
			array_push($course_children_array,$course_child->ID);
		endif;
	endforeach;

	$course_children_list=implode(',',$course_children_array);

	//Query database for current pathway
	$track_count = $wpdb->query( "DELETE FROM " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id in ($course_children_list) and lesson_status='3'" );
	//Count results

	do_action('memberoni_after_clear_course_count');

	return;

}

function mark_course_complete($courseid,$user) {

	global $wpdb;

	$course_children=get_pages(array('parent' => $courseid,'post_type' => 'memberoni_course','post_status'=>'publish'));

	$course_children_array=array();
	$course_children_list=null;
	foreach($course_children as $course_child) :
		if (get_field('course_page_type',$course_child->ID) == 'module') :
			$module_children=get_pages(array('parent' => $course_child->ID,'post_type' => 'memberoni_course','post_status'=>'publish'));
			if ($module_children) :
				$module_children_list=null;
				foreach($module_children as $module_child) :
					array_push($course_children_array,$module_child->ID);
				endforeach;
			endif;
		else:
			array_push($course_children_array,$course_child->ID);
		endif;
	endforeach;

	$course_children_list=implode(',',$course_children_array);

	$track_count = $wpdb->query( "DELETE FROM " . $wpdb->prefix . "lessontracker where user_id=$user and lesson_id in ($course_children_list) and lesson_status='3'" );
	
	foreach($course_children as $course_child) :

		if (get_field('course_page_type',$course_child->ID) == 'module') :
			$module_children=get_pages(array('parent' => $course_child->ID,'post_type' => 'memberoni_course','post_status'=>'publish'));
			if ($module_children) :
				$module_children_list=null;
				foreach($module_children as $module_child) :
					$course_child_id=$module_child->ID;
					$wpdb->query("INSERT INTO " . $wpdb->prefix . "lessontracker (user_id,lesson_id,lesson_type,lesson_status) VALUES ($user,$course_child_id,'2','3')");
				endforeach;
			endif;
		else:
			$course_child_id=$course_child->ID;
			$wpdb->query("INSERT INTO " . $wpdb->prefix . "lessontracker (user_id,lesson_id,lesson_type,lesson_status) VALUES ($user,$course_child_id,'2','3')");
		endif;

	endforeach;

	do_action('memberoni_after_mark_complete');

	return;

}


// Create db tables for lesson tracking

function academy_theme_db_setup() {

	global $wpdb;
  	$already_done = get_option( 'tracking_tables');
	$charset_collate = $wpdb->get_charset_collate();
	$table_name_tracker = $wpdb->prefix . 'lessontracker';
	$table_name_log = $wpdb->prefix . 'lessonlog';

	if ( !$already_done || $already_done < 0 || $already_done=false ) {
		$sql_tracker = "CREATE TABLE IF NOT EXISTS $table_name_tracker (
			  id int(11) NOT NULL AUTO_INCREMENT,
			  user_id int(11) NOT NULL,
			  lesson_id int(11) NOT NULL,
			  lesson_type int(11) NOT NULL,
			  viewed timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
			  lesson_status int(11) NOT NULL,
			  PRIMARY KEY (id)
			) $charset_collate;";
		$wpdb->query( $sql_tracker );
		$sql_log = "CREATE TABLE IF NOT EXISTS $table_name_log (
			  id int(11) NOT NULL AUTO_INCREMENT,
			  user_id int(11) NOT NULL,
			  lesson_id int(11) NOT NULL,
			  lesson_type int(11) NOT NULL,
			  viewed timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
			  PRIMARY KEY (id)
			) $charset_collate;";
		$wpdb->query( $sql_log );
	
	  	update_option( 'tracking_tables', true );
		
	}
}
add_action('after_switch_theme', 'academy_theme_db_setup');

// Theme Customization Options
require get_template_directory() . '/includes/customizer.php';


// Override Memberoni Course Slug

if (get_field('override_memberoni_course_slug','options') && get_field('custom_memberoni_course_slug','options')) :
	function override_memberoni_slug() {
		$args = get_post_type_object("memberoni_course");
		$args->rewrite["slug"] = get_field('custom_memberoni_course_slug','options');
		register_post_type("memberoni_course", $args);
	}
	add_action( 'init', 'override_memberoni_slug' );
endif;

// Disable Memberoni Course Archive

if (get_field('disable_course_archive','options')) :
	function disable_course_archive() {
		$args = get_post_type_object("memberoni_course");
		$args->has_archive = false;
		register_post_type("memberoni_course", $args);
	}
	add_action( 'init', 'disable_course_archive' );
endif;


//Display a custom taxonomy dropdown in admin


add_action('restrict_manage_posts', 'filter_post_type_by_taxonomy');
function filter_post_type_by_taxonomy() {
	global $typenow;
	$post_type = 'memberoni_course'; // change to your post type
	$taxonomy  = 'memberoni_course_categories'; // change to your taxonomy
	if ($typenow == $post_type) {
		$selected      = isset($_GET[$taxonomy]) ? $_GET[$taxonomy] : '';
		$info_taxonomy = get_taxonomy($taxonomy);
		wp_dropdown_categories(array(
			'show_option_all' => __("All {$info_taxonomy->label}"),
			'taxonomy'        => $taxonomy,
			'name'            => $taxonomy,
			'orderby'         => 'name',
			'selected'        => $selected,
			'show_count'      => false,
			'hide_empty'      => true,
		));
	};
}

// Filter posts by taxonomy in admin

add_filter('parse_query', 'convert_id_to_term_in_query');
function convert_id_to_term_in_query($query) {
	global $pagenow;
	$post_type = 'memberoni_course'; // change to your post type
	$taxonomy  = 'memberoni_course_categories'; // change to your taxonomy
	$q_vars    = &$query->query_vars;
	if ( $pagenow == 'edit.php' && isset($q_vars['post_type']) && $q_vars['post_type'] == $post_type && isset($q_vars[$taxonomy]) && is_numeric($q_vars[$taxonomy]) && $q_vars[$taxonomy] != 0 ) {
		$term = get_term_by('id', $q_vars[$taxonomy], $taxonomy);
		$q_vars[$taxonomy] = $term->slug;
	}
}


// Add Support for Lifter Sidebar

function memberoni_llms_sidebar_function( $id ) {
	$my_sidebar_id = 'main-sidebar'; // replace this with your theme's sidebar ID
	return $my_sidebar_id;
}
add_filter( 'llms_get_theme_default_sidebar', 'memberoni_llms_sidebar_function' );

function memberoni_llms_theme_support(){
	add_theme_support( 'lifterlms-sidebars' );
}
add_action( 'after_setup_theme', 'memberoni_llms_theme_support' );

// Add Support for Sensei


add_action( 'after_setup_theme', 'memberoni_sensei_support' );
function memberoni_sensei_support() {
 add_theme_support( 'sensei' );
}


if(isset($woothemes_sensei)) {

	/**
	 * Remove the default Sensei wrappers
	 */
	global $woothemes_sensei;

	add_filter( 'sensei_load_default_supported_theme_wrappers', '__return_false' );

	remove_action( 'sensei_before_main_content', array( $woothemes_sensei->frontend, 'sensei_output_content_wrapper' ), 10 );
	remove_action( 'sensei_after_main_content', array( $woothemes_sensei->frontend, 'sensei_output_content_wrapper_end' ), 10 );


	/**
	 * Add Memberoni specific custom Sensei content wrappers
	 */
	add_action('sensei_before_main_content', 'memberoni_sensei_wrapper_start', 10);
	add_action('sensei_after_main_content', 'memberoni_sensei_wrapper_end', 10);

	function memberoni_sensei_wrapper_start() {
		echo '<section id="content" class="inner oh asdasd" >
		<div class="content_with_sidebar col-twothird fl">
			<div class="entry">';
	}

	function memberoni_sensei_wrapper_end() {
		echo '</div></div>
		<div class="sidebar fr col-third">';
		get_sidebar();
		echo'</div>
		<div class="cb"></div>
		</section>';
	}
}

function memberoni_course_comments_on( $data ) {
    if( $data['post_type'] == 'memberoni_course' ) {
    	if(!isset($data['comment_status'])) :
        	$data['comment_status'] = 'open';
        endif;
    }
    return $data;
}
if (get_field('course_comments_on','options')) :
	add_filter( 'wp_insert_post_data', 'memberoni_course_comments_on' );
endif;

add_action( 'wp_enqueue_scripts', 'ajax_completion_enqueue_scripts' );

function ajax_completion_enqueue_scripts() {
	wp_enqueue_script( 'completion', get_template_directory_uri().'/scripts/jquery.msa.completion.js' , array('jquery'), '1.0', true );
	wp_localize_script( 'completion', 'lessoncompletion', array(
		'ajax_url' => admin_url( 'admin-ajax.php' )
	));
}

if (class_exists('FacetWP')) :
	function my_facetwp_is_main_query( $is_main_query, $query ) {
	    if ( isset( $query->query_vars['facetwp'] ) ) {
	        $is_main_query = true;
	    }
	    return $is_main_query;
	}
	add_filter( 'facetwp_is_main_query', 'my_facetwp_is_main_query', 10, 2 );

	if( function_exists('acf_add_local_field_group') ):

	acf_add_local_field_group(array (
		'key' => 'group_59f0799690f8a',
		'title' => 'FacetWP Support',
		'fields' => array (
			array (
				'key' => 'field_59f0799eb32e0',
				'label' => 'Enable filtering?',
				'name' => 'enable_facetwp',
				'type' => 'true_false',
				'instructions' => 'Note: FacetWP filtering will not function for Manual content types OR if "Use Category Filtering?" is also enabled.',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array (
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => '',
				'default_value' => 0,
				'ui' => 0,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_template',
					'operator' => '==',
					'value' => 'page-grid.php',
				),
			),
		),
		'menu_order' => 10,
		'position' => 'side',
		'style' => 'default',
		'label_placement' => 'top',
		'instruction_placement' => 'field',
		'hide_on_screen' => '',
		'active' => 1,
		'description' => '',
	));

	endif;
endif;

// Add course categories to Body Class

function add_taxonomy_to_single( $classes ) {
	if (get_post_type()=='memberoni_course') {
	    if ( is_single() ) {
	        global $post;
	        $my_terms = get_the_terms( $post->ID, 'memberoni_course_categories' );
	        if ( $my_terms && ! is_wp_error( $my_terms ) ) {
	            foreach ($my_terms as $term) {
	                $classes[] = 'course-category-'.$term->slug;
	            }
	        }
	    }
	}
	return $classes;
}
add_filter( 'body_class', 'add_taxonomy_to_single' );


    add_filter('manage_posts_columns', 'posts_columns_id', 5);
    add_action('manage_posts_custom_column', 'posts_custom_id_columns', 5, 2);
    add_filter('manage_pages_columns', 'posts_columns_id', 5);
    add_action('manage_pages_custom_column', 'posts_custom_id_columns', 5, 2);
 
function posts_columns_id($defaults){
    $defaults['memberoni_post_id'] = __('ID');
    return $defaults;
}
function posts_custom_id_columns($column_name, $id){
    if($column_name === 'memberoni_post_id'){
            echo $id;
    }
}
add_action('admin_head','memberoni_post_id_style');
function memberoni_post_id_style() {
	echo '<style>.column-memberoni_post_id{width:10%;}</style>';
}


require_once('includes/functions/breadcrumbs.php');	
require_once('includes/functions/lmsclashes.php');	
