<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<head>

	<meta charset="<?php bloginfo('charset'); ?>">

	<!-- Always force latest IE rendering engine (even in intranet) -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<![endif]-->

	<?php
		if (is_search())
			echo '<meta name="robots" content="noindex, nofollow" />';
	?>

  <meta name="viewport" content="width=device-width, initial-scale=1">

	<title><?php wp_title( '| ', true, 'right' ); ?><?php bloginfo('name'); ?></title>


	<link rel="profile" href="//gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if (get_theme_mod( 'academy_body_font' ) || get_theme_mod( 'academy_header_font' ) || get_theme_mod( 'academy_button_font' ) || get_theme_mod( 'academy_menu_font' )) : 

			if (get_theme_mod( 'academy_body_font' ) == 'Open Sans' && get_theme_mod( 'academy_header_font' ) == 'Lato' && get_theme_mod( 'academy_menu_font' ) == 'Lato' && get_theme_mod( 'academy_button_font' ) == 'Lato') :
				echo '<link href="//fonts.googleapis.com/css?family=Open+Sans:400,600,700|Lato:700" rel="stylesheet" type="text/css">';
			else:
				$body_font=(get_theme_mod('academy_body_font' ) != '' ? urlencode(get_theme_mod( 'academy_body_font' )) : 'Open+Sans');
				$header_font=(get_theme_mod('academy_header_font' ) != '' ? urlencode(get_theme_mod( 'academy_header_font' )) : 'Lato');
				$button_font=(get_theme_mod('academy_button_font' ) != '' ? urlencode(get_theme_mod( 'academy_button_font' )) : $header_font);
				$menu_font=(get_theme_mod('academy_menu_font' ) != '' ? urlencode(get_theme_mod( 'academy_menu_font' )) : $header_font);
				if ($body_font==$header_font && $body_font==$menu_font && $body_font==$button_font) :
					echo '<link href="//fonts.googleapis.com/css?family=' . $body_font . ':400,700,800,900" rel="stylesheet" type="text/css">';
				else:
					$fetch_fonts=$body_font . ':400,700,800,900';
					if ($header_font!=$body_font) : $fetch_fonts.='|' . $header_font . ':400,700,800,900'; endif;
					if ($button_font!=$body_font && $button_font!=$header_font) : $fetch_fonts.='|' . $button_font . ':400,700,800,900'; endif;
					if ($menu_font!=$body_font && $menu_font!=$header_font && $menu_font!=$button_font) : $fetch_fonts.='|' . $menu_font . ':400,700,800,900'; endif;
					echo '<link href="//fonts.googleapis.com/css?family=' . $fetch_fonts . '" rel="stylesheet" type="text/css">';
				endif;
			endif;
		else:
			echo '<link href="//fonts.googleapis.com/css?family=Open+Sans:400,600,700|Lato:700" rel="stylesheet" type="text/css">';
		endif;
		?>

	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
	
	<?php wp_head(); ?>

	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style/style.css?v=1.5.1" />
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>?v=1.5.1" />

	<?php academy_add_customizer_css(); ?>

	<?php if (get_theme_mod( 'academy_body_font' ) || get_theme_mod( 'academy_header_font' ) || get_theme_mod( 'academy_button_font' ) || get_theme_mod( 'academy_menu_font' )) : 

		echo '<style>';
		$body_font_css=(get_theme_mod('academy_body_font' ) != '' ? get_theme_mod( 'academy_body_font' ) : 'Open Sans');
		$header_font_css=(get_theme_mod('academy_header_font' ) != '' ? get_theme_mod( 'academy_header_font' ) : 'Lato');
		$button_font_css=(get_theme_mod('academy_button_font' ) != '' ? get_theme_mod( 'academy_button_font' ) : $header_font_css);
		$menu_font_css=(get_theme_mod('academy_menu_font' ) != '' ? get_theme_mod( 'academy_menu_font' ) : $header_font_css);

		echo 'body,.jumplinks h3,.lesson_downloads,.lesson_downloads h2,#course_lesson_box h1,.button.addthisevent-drop span {font-family:"' . $body_font_css . '";}';
		echo '.mp_wrapper table thead,.mp_wrapper table th,.allcaps,h1,h2,h3,h4,h5,h6 {font-family:"' . $header_font_css . '";';
		if (get_theme_mod('academy_header_font_caps')===true) :
			echo 'text-transform:uppercase;';
		endif;
		echo '}';
		echo '.mepr-login-actions a[href$="action=forgot_password"],.mepr-login-actions a[href$="action=newpassword"],.mp-wrapper a[href$="action=forgot_password"],.mp-wrapper a[href$="action=newpassword"],.nav-links .nav-next a,.nav-links .nav-previous a,form input[type=submit],a.button,.button,.bigbutton,a.atcb-link,.button.addthisevent-drop,#buddypress .comment-reply-link, #buddypress .generic-button a, #buddypress a.button, #buddypress button, #buddypress input[type=button], #buddypress input[type=reset], #buddypress input[type=submit], #buddypress ul.button-nav li a, a.bp-title-button {font-family:"' . $button_font_css . '";}';
		echo '#nav_main,#main_menu{font-family:"' . $menu_font_css . '";}';
		echo '</style>';
		endif; ?>


	    <script defer src="<?php echo get_template_directory_uri(); ?>/scripts/jquery.fitvids.min.js"></script>
	    <script>
			jQuery(document).ready(function(){
			    jQuery(".lesson_video").fitVids();
			    jQuery(".lesson_content").fitVids();
			    jQuery(".article").fitVids();
					jQuery( "div.user_profile" ).click(function() {
				  jQuery( this ).toggleClass( "member_menu_active" );
				});
			});
		</script>

		<?php if (is_page_template('page-tracker.php')) : ?>
		<script>jQuery(document).ready(function(){jQuery(".history_tracker #lesson_categories .filter_option").click(function(){var e=jQuery(this).attr("data-tab");jQuery(".history_tracker #lesson_categories .filter_option").removeClass("active"),jQuery(".filtered_content").removeClass("active"),jQuery(this).addClass("active"),jQuery("."+e).addClass("active")})});</script>
		<?php endif; ?>


	<?php if (is_page_template('page-grid.php')) : ?>
		<script src="<?php echo get_template_directory_uri(); ?>/scripts/jquery.mixitup.min.js"></script>
		<style>#course_grid.filtered .course-listing{display: none;}</style>
		<script>jQuery(function(){jQuery('#course_grid.filtered').mixItUp({selectors: {target: '.course-listing'}});});</script>
	<?php endif; ?>

	<?php 


		if(have_rows('header_scripts','option')) :
			while(have_rows('header_scripts','option')) : the_row();
				$logged_in=1;
				if (get_sub_field('members_only')) :
					if (!is_user_logged_in()) :
						$logged_in=0;
					endif;
				endif;
				if ($logged_in) :
					if (get_sub_field('script_type') == 'js') : 
						echo get_sub_field('script_code'). "\n";
					elseif (get_sub_field('script_type') == 'css') : 
						echo "<style>" . get_sub_field('script_code') . "</style>\n";
					endif;
				endif;
			endwhile;
		endif;

		if (isset($post)) :

			if(have_rows('header_scripts_page',$post->ID)) :
				while(have_rows('header_scripts_page',$post->ID)) : the_row();
					$logged_in=1;
					if (get_sub_field('members_only')) :
						if (!is_user_logged_in()) :
							$logged_in=0;
						endif;
					endif;
					if ($logged_in) :
						if (get_sub_field('script_type') == 'js') : 
							echo get_sub_field('script_code'). "\n";
						elseif (get_sub_field('script_type') == 'css') : 
							echo "<style>" . get_sub_field('script_code') . "</style>\n";
						endif;
					endif;
				endwhile;
			endif;

		endif;

	?>    

<?php if (is_singular('memberoni_course')) : ?>
			<script>
           jQuery(document).ready(function(){
                 jQuery("ul.course_lesson_list ul.sub-menu").hide();
                 jQuery("ul.course_lesson_list li.menu-item-has-children > a").removeAttr("href");
                 jQuery("ul.course_lesson_list li.menu-item-has-children.current-menu-parent .sub-menu").show();
                 jQuery("ul.course_lesson_list li.menu-item-has-children.current-menu-parent > a").addClass("expanded");
                 jQuery("ul.course_lesson_list li.menu-item-has-children > a").click(function () {
	                 jQuery(this).next("ul.course_lesson_list li.menu-item-has-children .sub-menu").slideToggle(250);
	                 jQuery(this).parent().siblings().children().next().slideUp();
	                 jQuery("ul.course_lesson_list li.menu-item-has-children > a.expanded").not(this).removeClass("expanded");
	                 jQuery(this).toggleClass("expanded");
	             });
          });
        </script>

<?php endif; ?>

<?php if (get_theme_mod( 'academy_logo_height' ) || get_theme_mod( 'academy_logo_width' ) || get_theme_mod( 'academy_logo_alignment' )) : 

		$height_css=get_theme_mod('academy_logo_height') ? "height:" . get_theme_mod( 'academy_logo_height' ) . "px" : '';
		$width_css=get_theme_mod('academy_logo_width') ?  "width:100%; max-width:" . get_theme_mod( 'academy_logo_width' ) . "px" : '';
		$align_css=get_theme_mod('academy_logo_alignment') ?  "background-position:" . get_theme_mod( 'academy_logo_alignment' ) . " center" : '';

?>

	<style>
		@media only screen and (min-width: 600px) {
			#header h1, #header h1 a {
				<?php echo $height_css; ?>;
				<?php echo $width_css; ?>;
				<?php echo $align_css; ?>;
			}
		}
	</style>

<?php endif; ?>

</head>

<body <?php body_class(get_field('custom_page_class')); ?>>

	<?php 


		if(have_rows('body_scripts','option')) :
			while(have_rows('body_scripts','option')) : the_row();
				$logged_in=1;
				if (get_sub_field('members_only')) :
					if (!is_user_logged_in()) :
						$logged_in=0;
					endif;
				endif;
				if ($logged_in) :
					echo get_sub_field('script_code'). "\n";
				endif;
			endwhile;
		endif;


		if (!isset($post) || !(get_field('disable_site_header',$post->ID))) : 

		?>

	<header id="header">
		<div class="inner clearfix">
		<?php

		$theme_logo=(get_theme_mod( 'academy_logo' ) ? ' style="background-image:url(' . get_theme_mod( 'academy_logo' ) . ');"' : ''); 
		$theme_logo_link = get_theme_mod( 'academy_logo_url' ) ? get_theme_mod( 'academy_logo_url' ) : site_url();

		?>
				
		<h1><a href="<?php echo $theme_logo_link; ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"<?php echo $theme_logo; ?>><?php bloginfo( 'name' ); ?></a></h1>
		

		<?php if (is_user_logged_in() && (!get_field('hide_user_menu','options'))) { ?>

				<div class="user_profile col-third fr">
					<?php 

						global $current_user;
						wp_get_current_user(); 	

					if (!get_field('hide_user_avatar','options')) : ?>

					<div class="user_avatar" style="border-radius:50%;overflow:hidden;">
					     <?php echo get_avatar( $current_user->ID, 40 ); ?>
					</div>

					<?php

						endif;

						if (get_field('user_menu_label','options')=='custom' && get_field('custom_user_menu_label','options')!='') :
							echo '<div class="user_name"> ' . get_field('custom_user_menu_label','options') . '</div>';
						else:

							if (!$current_user->user_firstname && !$current_user->user_lastname) :
								$user_display_name=($current_user->display_name ? $current_user->display_name : $current_user->user_login);
							else:
								$user_display_name=$current_user->user_firstname . ' ' . $current_user->user_lastname;
							endif;

					?>

					<div class="user_name"><?php echo $user_display_name; ?></div>

				<?php endif; ?>

				
					<nav class="member_menu">

						<ul id="menu-member-menu" class="menu">

					<?php
						
		                $menuParameters = array(
		                  'theme_location'	=> 'member',
		                  'depth'           => 0,
			              'container'       => false,
				          'container_class' => '',
			              'items_wrap'     => '<li>%3$s</li>',
		                );

		                wp_nav_menu( $menuParameters ); ?>

		                <?php if(get_field('add_logout_to_user_menu','option')) :

		                	$redirect_link=(get_field('redirect_after_logout','option') != '' ? get_field('redirect_after_logout','option') : get_permalink()); ?>

		                <li><a href="<?php echo wp_logout_url( $redirect_link ); ?>"><?php echo (get_field('lang_log_out_link','options') ? get_field('lang_log_out_link','options') : 'Log Out'); ?></a></li>
		            <?php endif; ?>
		            </ul>

		                </nav>

				</div>

				<?php } ?>

		</div>
	</header>	

            <nav id="nav_main">
			<?php

				if (is_page_template('page-checkout.php') && has_nav_menu('checkout')) :
					$menu_loc_header='checkout';
				else:

					if (is_user_logged_in()) {
						$menu_loc_header='loggedin';
					} else {
						$menu_loc_header='primary';
					}    
				endif;           

                $menuParameters = array(
                  'theme_location'	=> $menu_loc_header,
		          'menu_id' => 'menu-main-menu',
                );

                wp_nav_menu( $menuParameters ); 

            ?>     
            <div class="cb"></div>

            </nav>   

			<nav class="mobile-nav col-full">
	            <select onchange="window.location.href=this.options[this.selectedIndex].value">
	            	<option>--- <?php echo (get_field('lang_mobile_menu_label','options') ? get_field('lang_mobile_menu_label','options') : 'Select a Section'); ?> ---</option>
				 <?php 
		            wp_nav_menu(array(
		              'theme_location' => $menu_loc_header, // your theme location here
		              'walker'         => new Walker_Nav_Menu_Dropdown(),
		              'container'       => false,
			          'container_class' => '',
		              'items_wrap'     => '%3$s',
		            ));
	            ?>
				</select>
			</nav>

<?php endif;
