<?php

function add_course_posts() { 
	$labels = array(    
		'name' => 'Courses',
		'singular_name' => 'Course',
		'add_new' => 'Add New',
		'add_new_item' => 'Add New Course',
		'edit_item' => 'Edit Course',
		'new_item'  => 'New Course',
		'all_items' => 'Courses',
		'view_item' => 'View Course',
		'search_items' => 'Search Courses',
		'not_found' => 'No Courses found',
		'not_found_in_trash' => 'No Courses found in Trash',
		'parent_item_colon'  => '',
		'menu_name' => 'Courses'
	);  
	$args = array(    
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'query_var' => true,
		'rewrite' => array(
			'slug' => 'courses'
		),
		'capability_type' => 'post',
		'has_archive'  => true,
		'hierarchical' => true,
		'menu_position' => null,
		'menu_icon'	=> 'dashicons-welcome-learn-more',
		'supports'  => array('title', 'editor', 'comments', 'author', 'thumbnail', 'excerpt', 'page-attributes', 'revisions' )  
		);    
	register_post_type( 'memberoni_course', $args );
}

add_action( 'init', 'add_course_posts' );

// Register Custom Taxonomy
function add_course_categories() {

	$labels = array(
		'name'                       => 'Course Categories',
		'singular_name'              => 'Course Category',
		'menu_name'                  => 'Course Categories',
		'all_items'                  => 'All Items',
		'parent_item'                => 'Parent Category',
		'parent_item_colon'          => 'Parent Category:',
		'new_item_name'              => 'New Category',
		'add_new_item'               => 'Add New Category',
		'edit_item'                  => 'Edit Category',
		'update_item'                => 'Update Category',
		'view_item'                  => 'View Category',
		'separate_items_with_commas' => 'Separate items with commas',
		'add_or_remove_items'        => 'Add or remove categories',
		'choose_from_most_used'      => 'Choose from the most used',
		'popular_items'              => 'Popular Categories',
		'search_items'               => 'Search Categories',
		'not_found'                  => 'Not Found',
		'items_list'                 => 'Category list',
		'items_list_navigation'      => 'Category list navigation',
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => false,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => false,
		'show_tagcloud'              => false,
		'rewrite'                    => false,
	);
	register_taxonomy( 'memberoni_course_categories', array( 'memberoni_course' ), $args );

}
add_action( 'init', 'add_course_categories', 0 );
