<?php
function academy_customize_register( $wp_customize ) {
    $wp_customize->add_setting( 'academy_logo' ); // Add setting for logo uploader
    $wp_customize->add_setting( 'academy_footer_text' ); // Add setting for copyright text
         
    // Add control for logo uploader (actual uploader)
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'academy_logo', array(
        'label'    => __( 'Upload Logo', 'academy' ),
        'section'  => 'title_tagline',
        'settings' => 'academy_logo',
    ) ) );
    $wp_customize->add_setting( 'academy_logo_url', array(
        'default'        => site_url(),
    ) );
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'academy_logo_url',
            array(
                'label'      => 'Logo URL',
                'section'    => 'title_tagline',
                'settings'   => 'academy_logo_url'
            )
        )
    );
    $wp_customize->add_setting( 'academy_logo_width', array(
        'default'        => '250',
    ) );
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'academy_logo_width',
            array(
                'label'      => 'Logo Width (in PX)',
                'section'    => 'title_tagline',
                'settings'   => 'academy_logo_width'
            )
        )
    );
    $wp_customize->add_setting( 'academy_logo_height', array(
        'default'        => '100',
    ) );
    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'academy_logo_height',
            array(
                'label'      => 'Logo Height (in PX)',
                'section'    => 'title_tagline',
                'settings'   => 'academy_logo_height'
            )
        )
    );
    $wp_customize->add_setting( 'academy_logo_alignment', array(
        'default'        => 'left',
    ) );

    $wp_customize->add_control( 'academy_logo_alignment', array(
        'label'   => 'Logo Alignment',
        'section' => 'title_tagline',
        'default'        => 'left',
        'type'       => 'select',
        'choices'    => array(
            'left' => __( 'Left', 'academy' ),
            'center' => __( 'Center', 'academy' ),
            'right' => __( 'Right', 'academy' ),
        ),
    ) );

    $wp_customize->add_control(
        new WP_Customize_Control(
            $wp_customize,
            'academy_footer_text',
            array(
                'label'      => 'Footer Copyright Text',
                'section'    => 'title_tagline',
                'settings'   => 'academy_footer_text'
            )
        )
    );
  /*  $wp_customize->add_panel( 'header_naviation_panel',
   array(
      'title' => __( 'Header & Navigation' ),
      'description' => esc_html__( 'Adjust your Header and Navigation sections.' ), // Include html tags such as 
    
      'priority' => 160, // Not typically needed. Default is 160
      'capability' => 'edit_theme_options', // Not typically needed. Default is edit_theme_options
      'theme_supports' => '', // Rarely needed
      'active_callback' => '', // Rarely needed
   )
);*/


    $wp_customize->add_section( 'academy_color_scheme_settings', array(
        'title'       => __( 'Color Scheme', 'academy' ),
        'priority'    => 30,
        'description' => 'Select your color scheme',
        //'panel'=>'header_naviation_panel',
    ) );

    $wp_customize->add_setting( 'academy_color_scheme', array(
        'default'        => 'blue',
    ) );

    $wp_customize->add_control( 'academy_color_scheme', array(
        'label'   => 'Choose your color scheme',
        'description' => 'Select "custom" to use the color controls',
        'section' => 'academy_color_scheme_settings',
        'default'        => 'blue',
        'type'       => 'select',
        'choices'    => array(
            'custom' => __( '** Custom **', 'academy' ),
            'blue' => __( 'Blue', 'academy' ),
            'red' => __( 'Red', 'academy' ),
            'green' => __( 'Green', 'academy' ),
            'bold' => __( 'Bold', 'academy' ),
            'vibrant' => __( 'Vibrant', 'academy' ),
            'regal' => __( 'Regal', 'academy' ),
            'material' => __( 'Material', 'academy' ),
            'rich' => __( 'Rich', 'academy' ),
            'project' => __( 'Project', 'academy' ),
            'earth' => __( 'Earth', 'academy' ),
            'educate' => __( 'Educate', 'academy' ),
            'reachout' => __( 'ReachOut', 'academy' ),
        ),
    ) );
    $wp_customize->add_setting( 'academy_custom_color_scheme_options', array(
        'default'        => 'basic',
    ) );
    $wp_customize->add_control( 'academy_custom_color_scheme_options', array(
        'label'   => 'Custom Color Scheme Options',
        'description' => 'Select "advanced" for more options',
        'section' => 'academy_color_scheme_settings',
        'default'        => 'basic',
        'type'       => 'select',
        'choices'    => array(
            'basic' => __( 'Basic Options', 'academy' ),
            'advanced' => __( 'Advanced Options', 'academy' ),
        ),
        'active_callback' => function() use ( $wp_customize ) {
            return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
        },
    ) );
    $wp_customize->add_setting( 'academy_color_scheme_custom_header', array(
        'default'        => '#2F3035',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_header',
            array(
                'label'      => 'Header Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_header',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                )
        )
    );
    $wp_customize->add_setting( 'academy_color_scheme_custom_navigation', array(
        'default'        => '#3C5F94',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_navigation',
            array(
                'label'      => 'Navigation Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_navigation',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                
            )
        )
    );

    $wp_customize->add_setting( 'academy_color_scheme_custom_navigation_link', array(
        'default'        => '#fff',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_navigation_link',
            array(
                'label'      => 'Navigation Link Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_navigation_link',
                'active_callback' => function() use ( $wp_customize ) {
                    //return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );

    $wp_customize->add_setting( 'academy_color_scheme_custom_navigation_link_hover', array(
        'default'        => '#F9AE3E',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_navigation_link_hover',
            array(
                'label'      => 'Navigation Link Hover Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_navigation_link_hover',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );






    $wp_customize->add_setting( 'academy_color_scheme_custom_usermenu_name', array(
        'default'        => '#fff',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_usermenu_name',
            array(
                'label'      => 'User Menu Member Name Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_usermenu_name',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );




    $wp_customize->add_setting( 'academy_color_scheme_custom_usermenu', array(
        'default'        => '#3C5F94',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_usermenu',
            array(
                'label'      => 'User Menu Background Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_usermenu',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );


    $wp_customize->add_setting( 'academy_color_scheme_custom_usermenu_link', array(
        'default'        => '#fff',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_usermenu_link',
            array(
                'label'      => 'User Menu Link Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_usermenu_link',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );

    $wp_customize->add_setting( 'academy_color_scheme_custom_usermenu_link_bg_hover', array(
        'default'        => '#F9AE3E',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_usermenu_link_bg_hover',
            array(
                'label'      => 'User Menu Hover Background Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_usermenu_link_bg_hover',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );

    $wp_customize->add_setting( 'academy_color_scheme_custom_usermenu_link_hover', array(
        'default'        => '#Ffffff',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_usermenu_link_hover',
            array(
                'label'      => 'User Menu Link Hover Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_usermenu_link_hover',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );


    $wp_customize->add_setting( 'academy_color_scheme_custom_button', array(
        'default'        => '#F9AE3E',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_button',
            array(
                'label'      => 'Button Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_button',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                
            )
        )
    );
    $wp_customize->add_setting( 'academy_color_scheme_custom_button_hover', array(
        'default'        => '#2F3035',
    ) );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_button_hover',
            array(
                'label'      => 'Button Hover Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_button_hover',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                
            )
        )
    );





    $wp_customize->add_setting( 'academy_color_scheme_custom_footer', array(
        'default'        => '#2F3035',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_footer',
            array(
                'label'      => 'Footer Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_footer',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                )
        )
    );

    $wp_customize->add_setting( 'academy_color_scheme_custom_footer_link', array(
        'default'        => '#fff',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_footer_link',
            array(
                'label'      => 'Footer Link Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_footer_link',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                )
        )
    );

    $wp_customize->add_setting( 'academy_color_scheme_custom_footer_link_hover', array(
        'default'        => '#F9AE3E',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_footer_link_hover',
            array(
                'label'      => 'Footer Link Hover Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_footer_link_hover',
                'active_callback' => function() use ( $wp_customize ) {
                    return (('custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value()) && ('advanced' === $wp_customize->get_setting( 'academy_custom_color_scheme_options' )->value())) ;
                },
                
            )
        )
    );


    $wp_customize->add_setting( 'academy_color_scheme_custom_primary', array(
        'default'        => '#2F3035',
    ) );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_primary',
            array(
                'label'      => 'Primary Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_primary',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                
            )
        )
    );
    $wp_customize->add_setting( 'academy_color_scheme_custom_secondary', array(
        'default'        => '#3C5F94',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_secondary',
            array(
                'label'      => 'Secondary Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_secondary',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                
            )
        )
    );
    $wp_customize->add_setting( 'academy_color_scheme_custom_tertiary', array(
        'default'        => '#F9AE3E',
    ) );
    
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'academy_color_scheme_custom_tertiary',
            array(
                'label'      => 'Tertiary Color',
                'section'    => 'academy_color_scheme_settings',
                'settings'   => 'academy_color_scheme_custom_tertiary',
                'active_callback' => function() use ( $wp_customize ) {
                    return 'custom' === $wp_customize->get_setting( 'academy_color_scheme' )->value();
                },
                
            )
        )
    );

    $wp_customize->add_section( 'academy_font_settings', array(
        'title'       => __( 'Font Settings', 'academy' ),
        'priority'    => 30,
        'description' => 'Select your website fonts',
    ) );

    $wp_customize->add_setting( 'academy_header_font', array(
        'default'        => 'Lato',
    ) );

    $memberoni_google_fonts=array(
            'Alike Angular' => __( 'Alike Angular', 'academy' ),
            'Anton' => __( 'Anton', 'academy' ),
            'Bangers' => __( 'Bangers', 'academy' ),
            'Bitter' => __( 'Bitter', 'academy' ),
            'Black Han Sans' => __( 'Black Han Sans', 'academy' ),
            'Bree Serif' => __( 'Bree Serif', 'academy' ),
            'Bungee' => __( 'Bungee', 'academy' ),
            'Cinzel' => __( 'Cinzel', 'academy' ),
            'Crete Round' => __( 'Crete Round', 'academy' ),
            'Cutive' => __( 'Cutive', 'academy' ),
            'Droid Sans' => __( 'Droid Sans', 'academy' ),
            'Eczar' => __( 'Eczar', 'academy' ),
            'Exo' => __( 'Exo', 'academy' ),
            'Fjalla One' => __( 'Fjalla One', 'academy' ),
            'Glegoo' => __( 'Glegoo', 'academy' ),
            'Julius Sans One' => __( 'Julius Sans One', 'academy' ),
            'Lalezar' => __( 'Lalezar', 'academy' ),
            'Lato' => __( 'Lato', 'academy' ),
            'Lora' => __( 'Lora', 'academy' ),
            'Merriweather' => __( 'Merriweather', 'academy' ),
            'Montserrat' => __( 'Montserrat', 'academy' ),
            'Nunito Sans' => __( 'Nunito Sans', 'academy' ),
            'Open Sans' => __( 'Open Sans', 'academy' ),
            'Oswald' => __( 'Oswald', 'academy' ),
            'Oxygen' => __( 'Oxygen', 'academy' ),
            'Pacifico' => __( 'Pacifico', 'academy' ),
            'Patua One' => __( 'Patua One', 'academy' ),
            'Paytone One' => __( 'Paytone One', 'academy' ),
            'Permanent Marker' => __( 'Permanent Marker', 'academy' ),
            'Poppins' => __( 'Poppins', 'academy' ),
            'PT Sans' => __( 'PT Sans', 'academy' ),
            'Raleway' => __( 'Raleway', 'academy' ),
            'Righteous' => __( 'Righteous', 'academy' ),
            'Roboto' => __( 'Roboto', 'academy' ),
            'Roboto Condensed' => __( 'Roboto Condensed', 'academy' ),
            'Roboto Slab' => __( 'Roboto Slab', 'academy' ),
            'Rubik' => __( 'Rubik', 'academy' ),
            'Slabo 27px' => __( 'Slabo', 'academy' ),
            'Teko' => __( 'Teko', 'academy' ),
            'Ubuntu' => __( 'Ubuntu', 'academy' ),
            'Work Sans' => __( 'Work Sans', 'academy' ),
        );

    $wp_customize->add_control( 'academy_header_font', array(
        'label'   => 'Choose your header font',
        'description' => 'Select which font to use for headers',
        'section' => 'academy_font_settings',
        'default'        => 'Lato',
        'type'       => 'select',
        'choices'    => $memberoni_google_fonts,
    ) );
    $wp_customize->add_setting( 'academy_header_font_caps', array(
        'default'        => false,
    ) );

    $wp_customize->add_control( 'academy_header_font_caps', array(
        'label'   => 'Make headers all uppercase?',
        'section' => 'academy_font_settings',
        'type'       => 'checkbox'
    ) );
    $wp_customize->add_setting( 'academy_body_font', array(
        'default'        => 'Open Sans',
    ) );

    $wp_customize->add_control( 'academy_body_font', array(
        'label'   => 'Choose your body font',
        'description' => 'Select which font to use for your main body text',
        'section' => 'academy_font_settings',
        'default'        => 'Open Sans',
        'type'       => 'select',
        'choices'    => $memberoni_google_fonts,
    ) );

    $wp_customize->add_setting( 'academy_menu_font', array(
        'default'        => 'Lato',
    ) );

    $wp_customize->add_control( 'academy_menu_font', array(
        'label'   => 'Choose your menu font',
        'description' => 'Select which font to use for your main menu',
        'section' => 'academy_font_settings',
        'default'        => 'Lato',
        'type'       => 'select',
        'choices'    => $memberoni_google_fonts,
    ) );
    $wp_customize->add_setting( 'academy_button_font', array(
        'default'        => 'Lato',
    ) );

    $wp_customize->add_control( 'academy_button_font', array(
        'label'   => 'Choose your button font',
        'description' => 'Select which font to use for buttons throughout the site',
        'section' => 'academy_font_settings',
        'default'        => 'Lato',
        'type'       => 'select',
        'choices'    => $memberoni_google_fonts,
    ) );

}
add_action( 'customize_register', 'academy_customize_register' );


function academy_add_customizer_css() { 

    if (get_theme_mod( 'academy_color_scheme' ) && strtolower( get_theme_mod( 'academy_color_scheme' ) ) != 'blue') : 

        if (strtolower( get_theme_mod( 'academy_color_scheme' ) ) == 'custom') :

            if (strtolower(get_theme_mod( 'academy_custom_color_scheme_options'))=='advanced'):
 ?>

    <style>
    .blue{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.orange{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.green{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.yellow{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}h1.page-title{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}h1.page-title a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}h1.page-title a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}h2.page-title{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.bigbutton,.button,a.atcb-link,a.button{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>;color:#fff;}.bigbutton:hover,.button:hover,a.atcb-link:hover,a.button:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.bigbutton.inactive,.button.inactive,a.atcb-link.inactive,a.button.inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.bigbutton.button-orange,.button.button-orange,a.atcb-link.button-orange,a.button.button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>}.bigbutton.button-orange:hover,.button.button-orange:hover,a.atcb-link.button-orange:hover,a.button.button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}#header{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_header' ); ?>;}#nav_main{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_navigation' ); ?>}#nav_main ul li a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_navigation_link' ); ?>}#nav_main ul li:hover a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_navigation_link_hover' ); ?>}#nav_main ul ul{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#nav_main ul ul li:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#nav_main ul#menu-main-menu>li.current-menu-item>a,#nav_main ul#menu-main-menu>li.highlight>a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>;}#nav_main ul#menu-main-menu>li.current-menu-item>a:hover,#nav_main ul#menu-main-menu>li.highlight>a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>}#nav_main ul#menu-main-menu>li.highlight_alt a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}ol.commentlist li div.comment-meta a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}nav#lesson_categories ul li a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}nav#lesson_categories ul li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}nav#lesson_categories ul li a.active{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}nav#lesson_categories ul li.view_all a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}nav#lesson_categories ul li.view_all a.active{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}nav#lesson_categories ul li.view_all a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.course-listing .course-thumb .coming-soon-overlay .coming-soon-message{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.course-listing .course-content h4 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.course-listing.training_listing.listing_history .course-thumb span.viewed_time{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.course-listing.training_listing.listing_history h6{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.course-listing.training_listing.listing_history h6 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}#lesson_list li:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.article.article-listing{border-bottom:1px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.article h1.article_title{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.article h1.article_title a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.article h1.article_title a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}#course_lesson_box ul.course_lesson_list li a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#course_lesson_box ul.course_lesson_list li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#course_lesson_box ul.course_lesson_list li.active{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#course_lesson_box h1{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#footer{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_footer' ); ?>;}#footer .footer_nav ul li a {color: <?php echo get_theme_mod('academy_color_scheme_custom_footer_link'); ?>;}#footer .footer_nav ul li a:hover {color: <?php echo get_theme_mod('academy_color_scheme_custom_footer_link_hover'); ?>;} #header .user_profile .user_name {color: <?php echo get_theme_mod('academy_color_scheme_custom_usermenu_name'); ?>;}#header .user_profile nav.member_menu {background:<?php echo get_theme_mod( 'academy_color_scheme_custom_usermenu' ); ?>;}#header .user_profile nav.member_menu ul li a {color: <?php echo get_theme_mod('academy_color_scheme_custom_usermenu_link'); ?>;}#header .user_profile nav.member_menu ul li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_usermenu_link_bg_hover' ); ?>;color: <?php echo get_theme_mod('academy_color_scheme_custom_usermenu_link_hover'); ?>;} .button.addthisevent-drop{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>!important;}.dashboard_account .user_account .user_details h1{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard_account ul.user_account_links li a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard_account ul.user_account_links li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard .dashboard_sections .section_block h1 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard .dashboard_sections .section_block h1 a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.dashboard .dashboard_bottom .section_title{border-bottom:1px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard .dashboard_bottom .section_title.title_orange{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.dashboard .dashboard_bottom .section_title.title_blue{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard .dashboard_bottom .section_title.title_yellow{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.dashboard .dashboard_bottom .section_title.title_green{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard .dashboard_bottom .recent_content .content_details h1 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard .dashboard_bottom .recent_content .content_details h1 a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.sidebar aside h3 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.sidebar aside h3 a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.nav-links .nav-next a,.nav-links .nav-previous a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.gforms_confirmation_message{border-bottom:8px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.highlight{border:3px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.highlight.highlight_orange{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.highlight.highlight_blue{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}.highlight.highlight_green{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}.highlight a:hover{text-decoration:underline}form input[type=submit]{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}form input[type=submit]:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}form input[type=submit].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}form input[type=submit].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}form input[type=submit].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.mp_wrapper table th,.mp_wrapper table thead{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;border:1px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;text-shadow:1px 1px 0 <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;border-bottom:3px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.mepr-login-actions a[href$='action=newpassword'],.mepr-login-actions a[href$='action=forgot_password'],.mp_wrapper a[href$='action=newpassword'],.mp_wrapper a[href$='action=forgot_password']{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.mepr-login-actions a[href$='action=newpassword']:hover,.mepr-login-actions a[href$='action=forgot_password']:hover,.mp_wrapper a[href$='action=newpassword']:hover,.mp_wrapper a[href$='action=forgot_password']:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.mepr-login-actions a[href$='action=newpassword'].inactive,.mepr-login-actions a[href$='action=forgot_password'].inactive,.mp_wrapper a[href$='action=newpassword'].inactive,.mp_wrapper a[href$='action=forgot_password'].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.mepr-login-actions a[href$='action=newpassword'].button-orange,.mepr-login-actions a[href$='action=forgot_password'].button-orange,.mp_wrapper a[href$='action=newpassword'].button-orange,.mp_wrapper a[href$='action=forgot_password'].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.mepr-login-actions a[href$='action=newpassword'].button-orange:hover,.mepr-login-actions a[href$='action=forgot_password'].button-orange:hover,.mp_wrapper a[href$='action=newpassword'].button-orange:hover,.mp_wrapper a[href$='action=forgot_password'].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}#mepr-member-account-wrapper input[type=submit],#mepr_loginform input[type=submit],.mepr-signup-form input[type=submit],.mp_wrapper form input[type=submit]{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#mepr-member-account-wrapper input[type=submit]:hover,#mepr_loginform input[type=submit]:hover,.mepr-signup-form input[type=submit]:hover,.mp_wrapper form input[type=submit]:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#mepr-member-account-wrapper input[type=submit].inactive,#mepr_loginform input[type=submit].inactive,.mepr-signup-form input[type=submit].inactive,.mp_wrapper form input[type=submit].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#mepr-member-account-wrapper input[type=submit].button-orange,#mepr_loginform input[type=submit].button-orange,.mepr-signup-form input[type=submit].button-orange,.mp_wrapper form input[type=submit].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#mepr-member-account-wrapper input[type=submit].button-orange:hover,#mepr_loginform input[type=submit].button-orange:hover,.mepr-signup-form input[type=submit].button-orange:hover,.mp_wrapper form input[type=submit].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}#mepr_loginform .mepr_price_cell,.mepr-signup-form .mepr_price_cell{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#mepr-member-account-wrapper #mepr-account-nav span.mepr-active-nav-tab a,.mp_wrapper #mepr-account-nav span.mepr-active-nav-tab a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.gform_wrapper form input[type=submit]{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.gform_wrapper form input[type=submit]:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.gform_wrapper form input[type=submit].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.gform_wrapper form input[type=submit].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.gform_wrapper form input[type=submit].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.mobile-nav{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#buddypress .comment-reply-link,#buddypress .generic-button a,#buddypress a.button,#buddypress button,#buddypress input[type=button],#buddypress input[type=reset],#buddypress input[type=submit],#buddypress ul.button-nav li a,a.bp-title-button{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#buddypress .comment-reply-link:hover,#buddypress .generic-button a:hover,#buddypress a.button:hover,#buddypress button:hover,#buddypress input[type=button]:hover,#buddypress input[type=reset]:hover,#buddypress input[type=submit]:hover,#buddypress ul.button-nav li a:hover,a.bp-title-button:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#buddypress .comment-reply-link.inactive,#buddypress .generic-button a.inactive,#buddypress a.button.inactive,#buddypress button.inactive,#buddypress input[type=button].inactive,#buddypress input[type=reset].inactive,#buddypress input[type=submit].inactive,#buddypress ul.button-nav li a.inactive,a.bp-title-button.inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#buddypress .comment-reply-link.button-orange,#buddypress .generic-button a.button-orange,#buddypress a.button.button-orange,#buddypress button.button-orange,#buddypress input[type=button].button-orange,#buddypress input[type=reset].button-orange,#buddypress input[type=submit].button-orange,#buddypress ul.button-nav li a.button-orange,a.bp-title-button.button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#buddypress .comment-reply-link.button-orange:hover,#buddypress .generic-button a.button-orange:hover,#buddypress a.button.button-orange:hover,#buddypress button.button-orange:hover,#buddypress input[type=button].button-orange:hover,#buddypress input[type=reset].button-orange:hover,#buddypress input[type=submit].button-orange:hover,#buddypress ul.button-nav li a.button-orange:hover,a.bp-title-button.button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.course-listing .course_completion{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.course-listing .course_completion.completed{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.lesson_downloads h2,.jumplinks h3 {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}.lesson_downloads .download_links a span.download_type {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>; }.lesson_downloads .download_links a:hover {color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#course_lesson_box.course_downloads .download_type {color: <?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}#course_lesson_box ul.course_lesson_list li ul.sub-menu li a:hover {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#course_lesson_box ul.course_lesson_list li.menu-item-has-children > a {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}
</style>

<?php else: ?>
    <style>
    .blue{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.orange{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.green{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.yellow{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}h1.page-title{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}h1.page-title a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}h1.page-title a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}h2.page-title{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.bigbutton,.button,a.atcb-link,a.button{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>;color:#fff;}.bigbutton:hover,.button:hover,a.atcb-link:hover,a.button:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.bigbutton.inactive,.button.inactive,a.atcb-link.inactive,a.button.inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.bigbutton.button-orange,.button.button-orange,a.atcb-link.button-orange,a.button.button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>}.bigbutton.button-orange:hover,.button.button-orange:hover,a.atcb-link.button-orange:hover,a.button.button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}#header{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_header' ); ?>;}#header .user_profile nav.member_menu{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}#header .user_profile nav.member_menu ul li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#nav_main{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_navigation' ); ?>}#nav_main ul li:hover a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#nav_main ul ul{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#nav_main ul ul li:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#nav_main ul#menu-main-menu>li.current-menu-item>a,#nav_main ul#menu-main-menu>li.highlight>a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>;}#nav_main ul#menu-main-menu>li.current-menu-item>a:hover,#nav_main ul#menu-main-menu>li.highlight>a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button' ); ?>}#nav_main ul#menu-main-menu>li.highlight_alt a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}ol.commentlist li div.comment-meta a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}nav#lesson_categories ul li a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}nav#lesson_categories ul li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}nav#lesson_categories ul li a.active{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}nav#lesson_categories ul li.view_all a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}nav#lesson_categories ul li.view_all a.active{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}nav#lesson_categories ul li.view_all a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.course-listing .course-thumb .coming-soon-overlay .coming-soon-message{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.course-listing .course-content h4 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.course-listing.training_listing.listing_history .course-thumb span.viewed_time{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.course-listing.training_listing.listing_history h6{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.course-listing.training_listing.listing_history h6 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}#lesson_list li:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.article.article-listing{border-bottom:1px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.article h1.article_title{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.article h1.article_title a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.article h1.article_title a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}#course_lesson_box ul.course_lesson_list li a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#course_lesson_box ul.course_lesson_list li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#course_lesson_box ul.course_lesson_list li.active{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#course_lesson_box h1{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#footer{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}.button.addthisevent-drop{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>!important;}.dashboard_account .user_account .user_details h1{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard_account ul.user_account_links li a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard_account ul.user_account_links li a:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard .dashboard_sections .section_block h1 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard .dashboard_sections .section_block h1 a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.dashboard .dashboard_bottom .section_title{border-bottom:1px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard .dashboard_bottom .section_title.title_orange{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.dashboard .dashboard_bottom .section_title.title_blue{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard .dashboard_bottom .section_title.title_yellow{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.dashboard .dashboard_bottom .section_title.title_green{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.dashboard .dashboard_bottom .recent_content .content_details h1 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.dashboard .dashboard_bottom .recent_content .content_details h1 a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.sidebar aside h3 a{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.sidebar aside h3 a:hover{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.nav-links .nav-next a,.nav-links .nav-previous a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.gforms_confirmation_message{border-bottom:8px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>}.highlight{border:3px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.highlight.highlight_orange{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.highlight.highlight_blue{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}.highlight.highlight_green{border-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}.highlight a:hover{text-decoration:underline}form input[type=submit]{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}form input[type=submit]:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}form input[type=submit].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}form input[type=submit].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}form input[type=submit].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.mp_wrapper table th,.mp_wrapper table thead{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;border:1px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;text-shadow:1px 1px 0 <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;border-bottom:3px solid <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.mepr-login-actions a[href$='action=newpassword'],.mepr-login-actions a[href$='action=forgot_password'],.mp_wrapper a[href$='action=newpassword'],.mp_wrapper a[href$='action=forgot_password']{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.mepr-login-actions a[href$='action=newpassword']:hover,.mepr-login-actions a[href$='action=forgot_password']:hover,.mp_wrapper a[href$='action=newpassword']:hover,.mp_wrapper a[href$='action=forgot_password']:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.mepr-login-actions a[href$='action=newpassword'].inactive,.mepr-login-actions a[href$='action=forgot_password'].inactive,.mp_wrapper a[href$='action=newpassword'].inactive,.mp_wrapper a[href$='action=forgot_password'].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.mepr-login-actions a[href$='action=newpassword'].button-orange,.mepr-login-actions a[href$='action=forgot_password'].button-orange,.mp_wrapper a[href$='action=newpassword'].button-orange,.mp_wrapper a[href$='action=forgot_password'].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.mepr-login-actions a[href$='action=newpassword'].button-orange:hover,.mepr-login-actions a[href$='action=forgot_password'].button-orange:hover,.mp_wrapper a[href$='action=newpassword'].button-orange:hover,.mp_wrapper a[href$='action=forgot_password'].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}#mepr-member-account-wrapper input[type=submit],#mepr_loginform input[type=submit],.mepr-signup-form input[type=submit],.mp_wrapper form input[type=submit]{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#mepr-member-account-wrapper input[type=submit]:hover,#mepr_loginform input[type=submit]:hover,.mepr-signup-form input[type=submit]:hover,.mp_wrapper form input[type=submit]:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#mepr-member-account-wrapper input[type=submit].inactive,#mepr_loginform input[type=submit].inactive,.mepr-signup-form input[type=submit].inactive,.mp_wrapper form input[type=submit].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#mepr-member-account-wrapper input[type=submit].button-orange,#mepr_loginform input[type=submit].button-orange,.mepr-signup-form input[type=submit].button-orange,.mp_wrapper form input[type=submit].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#mepr-member-account-wrapper input[type=submit].button-orange:hover,#mepr_loginform input[type=submit].button-orange:hover,.mepr-signup-form input[type=submit].button-orange:hover,.mp_wrapper form input[type=submit].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}#mepr_loginform .mepr_price_cell,.mepr-signup-form .mepr_price_cell{color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#mepr-member-account-wrapper #mepr-account-nav span.mepr-active-nav-tab a,.mp_wrapper #mepr-account-nav span.mepr-active-nav-tab a{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.gform_wrapper form input[type=submit]{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.gform_wrapper form input[type=submit]:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.gform_wrapper form input[type=submit].inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.gform_wrapper form input[type=submit].button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}.gform_wrapper form input[type=submit].button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.mobile-nav{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#buddypress .comment-reply-link,#buddypress .generic-button a,#buddypress a.button,#buddypress button,#buddypress input[type=button],#buddypress input[type=reset],#buddypress input[type=submit],#buddypress ul.button-nav li a,a.bp-title-button{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#buddypress .comment-reply-link:hover,#buddypress .generic-button a:hover,#buddypress a.button:hover,#buddypress button:hover,#buddypress input[type=button]:hover,#buddypress input[type=reset]:hover,#buddypress input[type=submit]:hover,#buddypress ul.button-nav li a:hover,a.bp-title-button:hover{background:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}#buddypress .comment-reply-link.inactive,#buddypress .generic-button a.inactive,#buddypress a.button.inactive,#buddypress button.inactive,#buddypress input[type=button].inactive,#buddypress input[type=reset].inactive,#buddypress input[type=submit].inactive,#buddypress ul.button-nav li a.inactive,a.bp-title-button.inactive{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#buddypress .comment-reply-link.button-orange,#buddypress .generic-button a.button-orange,#buddypress a.button.button-orange,#buddypress button.button-orange,#buddypress input[type=button].button-orange,#buddypress input[type=reset].button-orange,#buddypress input[type=submit].button-orange,#buddypress ul.button-nav li a.button-orange,a.bp-title-button.button-orange{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>}#buddypress .comment-reply-link.button-orange:hover,#buddypress .generic-button a.button-orange:hover,#buddypress a.button.button-orange:hover,#buddypress button.button-orange:hover,#buddypress input[type=button].button-orange:hover,#buddypress input[type=reset].button-orange:hover,#buddypress input[type=submit].button-orange:hover,#buddypress ul.button-nav li a.button-orange:hover,a.bp-title-button.button-orange:hover{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_button_hover' ); ?>}.course-listing .course_completion{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}.course-listing .course_completion.completed{background-color:<?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>}.lesson_downloads h2,.jumplinks h3 {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_primary' ); ?>;}.lesson_downloads .download_links a span.download_type {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>; }.lesson_downloads .download_links a:hover {color:<?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}
        #course_lesson_box.course_downloads .download_type {color: <?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}#course_lesson_box ul.course_lesson_list li ul.sub-menu li a:hover {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_tertiary' ); ?>;}#course_lesson_box ul.course_lesson_list li.menu-item-has-children > a {background-color: <?php echo get_theme_mod( 'academy_color_scheme_custom_secondary' ); ?>;}

    </style>
<?php endif; ?>

<?php else: ?>

    <link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/style/style-options/css/style-<?php echo strtolower( get_theme_mod( 'academy_color_scheme' ) ); ?>.css" type="text/css" media="screen">

<?php 

    endif;

    endif;
}