<?php
// check for possible clashes with LMS plugins


if ( defined('LEARNDASH_LMS_PLUGIN_DIR' ) && !get_field('override_memberoni_course_slug','options')) {
	function memberoni_admin_notice_lmsclash_learndash() {
	    ?>
	    <div class="notice notice-success is-dismissible">
	        <p><strong>It looks like you're using Learndash.</strong> While it's an awesome LMS plugin, it can sometimes clash with Memberoni's own LMS features. As such, we recommend checking the <em><strong>'Override Memberoni Course Slug'</strong></em> in the <a href="<?php echo admin_url( 'admin.php?page=academy-settings'); ?>">theme settings</a> and setting a custom URL 'slug' for Memberoni's courses.</p>
	    </div>
	    <?php
	}
		add_action( 'admin_notices', 'memberoni_admin_notice_lmsclash_learndash' );
}
if (class_exists('LifterLMS') && !get_field('override_memberoni_course_slug','options')) {
	function memberoni_admin_notice_lmsclash_lifterlms() {
	    ?>
	    <div class="notice notice-success is-dismissible">
	        <p><strong>It looks like you're using LifterLMS.</strong> While it's an awesome LMS plugin, it can sometimes clash with Memberoni's own LMS features. As such, we recommend checking the <em><strong>'Override Memberoni Course Slug'</strong></em> in the <a href="<?php echo admin_url( 'admin.php?page=academy-settings'); ?>">theme settings</a> and setting a custom URL 'slug' for Memberoni's courses.</p>
	    </div>
	    <?php
	}
		add_action( 'admin_notices', 'memberoni_admin_notice_lmsclash_lifterlms' );
}

if (class_exists('WPEP\Controller')) {

	if(!get_field('override_memberoni_course_slug','options')) {
		function memberoni_admin_notice_lmsclash_wpep() {
		    ?>
		    <div class="notice notice-success is-dismissible">
		        <p><strong>It looks like you're using WPEP from growlearnteach.com.</strong> While it's an awesome LMS plugin, it can sometimes clash with Memberoni's own LMS features. As such, we recommend checking the <em><strong>'Override Memberoni Course Slug'</strong></em> in the <a href="<?php echo admin_url( 'admin.php?page=academy-settings'); ?>">theme settings</a> and setting a custom URL 'slug' for Memberoni's courses.</p>
		    </div>
		    <?php
		}
		add_action( 'admin_notices', 'memberoni_admin_notice_lmsclash_wpep' );
	}

	function memberoni_wpep_dequeue_scripts() {
	   global $pagenow;
	    if ( 'post.php' === $pagenow && isset($_GET['post']) && 'memberoni_course' === get_post_type( $_GET['post'] ) ) :
		    wp_dequeue_style('jquery-datetimepicker');
		    wp_deregister_style('jquery-datetimepicker');
		    wp_dequeue_script('jquery-datetimepicker');
		    wp_deregister_script('jquery-datetimepicker');
		endif;
	}
	add_action( 'admin_enqueue_scripts', 'memberoni_wpep_dequeue_scripts', 100 );
}