<?php

function memberoni_check_membership_access($plugin,$content,$level=null) {

	if (isset($plugin) && is_numeric($content)) :

		if(current_user_can('administrator')) : 
			$access=true;
		else:

		$access=false;

		switch ($plugin) {

			case "accessally":

				if (class_exists('AccessAlly')) :
					if (AccessAlly::can_current_user_read($content, get_current_user_id())) :
						$access=true;
					endif;
				endif;				

				break;

			case "dap":

				if (class_exists('Dap_Session') && $level!='') :

					$dap_session = Dap_Session::getSession();
					$dap_user = $dap_session->getUser();
				    $dap_level_ids=explode(",",$level);
				    if($dap_user->hasAccessToProducts($dap_level_ids)) : 
						$access=true;
					endif;
				endif;				

				break;

			case "memberpress":

				if (class_exists('MeprRule')) :
					$post = get_post($content);
					if (!MeprRule::is_locked($post)) :
						$access=true;
					endif;
				endif;				

				break;

			case "woocommerce":

				if (class_exists("WooCommerce")) :
					if(current_user_can('wc_memberships_view_restricted_post_content',$content)) :
						$access=true;
					endif;
				endif;
				break;

			case "pmpro":

				if (function_exists('pmpro_hasMembershipLevel')) :
				    $pmpro_level_ids=explode(",",$level);
				    if(pmpro_hasMembershipLevel($pmpro_level_ids)) : 
						$access=true;
					endif;
				endif;

				break;

			case "membermouse":

				if (function_exists('mm_access_decision')) :
					if (mm_access_decision(array("id"=>$content, "access"=>"true"))) :
						$access=true;
					endif;
				endif;
				break;


			case "rcp":

				if (function_exists('rcp_user_can_access')) :
					if (rcp_user_can_access(get_current_user_id(),$content)) :
						$access=true;
					endif;
				endif;
				break;

			case "wishlist":

				if (function_exists('wlmapi_is_user_a_member')) :
				    $wishlist_level_ids=explode(",",$level);
					foreach ($wishlist_level_ids as $key => $value) :
						if (wlmapi_is_user_a_member($value,get_current_user_id())) :
							$access=true;
						endif;
					endforeach;
				endif;
				break;

			case "memberium":

				if (function_exists('memb_hasPostAccess')) :
					if (memb_hasPostAccess($content)) :
						$access=true;
					endif;
				endif;
				break;

			case "am360":

				$check_access=do_shortcode('[mbr_is_allowed_access post_id="' . $content . '"]true[/mbr_is_allowed_access]');
				if ($check_access=='true') :
					$access=true;
				endif;
				break;


			case "im360":

				$check_access=do_shortcode('[i4w_user_has_access post_id="' . $content . '"]true[/i4w_user_has_access]');
				if ($check_access=='true') :
					$access=true;
				endif;
				break;

			case "s2member":
				if (function_exists('is_permitted_by_s2member')) :
					if (is_permitted_by_s2member($content)) :
						$access=true;
					endif;
				endif;
				break;

			case "optimizemember":
				if (function_exists('is_permitted_by_optimizemember')) :
					if (is_permitted_by_optimizemember($content)) :
						$access=true;
					endif;
				endif;
				break;

			case "wpfusion":
				if (class_exists('wp_fusion')) :
					if (wp_fusion()->access->user_can_access($content)) :
						$access=true;
					endif;
				endif;
				break;

			default:
				$access=false;

		}
		endif;
		return $access;
	else:
		return false;
	endif;

}


if (get_field('enable_membership_plugin_support','options') && get_field('membership_plugin','options')) :

if( function_exists('acf_add_local_field_group') ):



$membership_plugin_support=array (
	'key' => 'group_598c7ab328470',
	'title' => 'Memberoni - Protected Content Options',
	'fields' => array (
		array (
			'key' => 'field_598c7b180a804',
			'label' => 'Enable Protection?',
			'name' => 'enable_protection',
			'type' => 'true_false',
			'instructions' => 'Enables you to show alternative images, title, description (in single column view) and link in the \'Content Grid\' template for anyone who does not have access to this content.
NOTE - Only applies to Course/Lesson types "Course" and "Standalone Course"',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_5991cb24244cd',
			'label' => 'Hide from list?',
			'name' => 'hide_from_list',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_598c7b450a805',
			'label' => 'Alternative Title',
			'name' => 'protected_alternative_title',
			'type' => 'text',
			'instructions' => '(If left blank, the default title of the course will be used)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_598c7bef0a806',
			'label' => 'Alternative Image Option',
			'name' => 'alternative_image_option',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'fade' => 'Fade image out',
				'grey' => 'Make image greyscale',
				'replace' => 'Replace image',
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_598c7c420a807',
			'label' => 'Alternative Image Upload',
			'name' => 'alternative_image_upload',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_598c7bef0a806',
						'operator' => '==',
						'value' => 'replace',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_598c7c670a809',
			'label' => 'Add Lock Icon?',
			'name' => 'add_lock_icon',
			'type' => 'true_false',
			'instructions' => 'Add a padlock icon over the top of the content image',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_598c7ca10a80a',
			'label' => 'Alternative Button Option',
			'name' => 'alternative_button_option',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'show' => 'Show normal button link',
				'hide' => 'Hide button',
				'text' => 'Replace with text',
				'replace' => 'Replace with alternative button',
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_598c7cef0a80b',
			'label' => 'Alternative Button Text',
			'name' => 'alternative_button_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_598c7ca10a80a',
						'operator' => '==',
						'value' => 'replace',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_598c7ca10a80a',
						'operator' => '==',
						'value' => 'text',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_598c7d240a810',
			'label' => 'Alternative Button Link',
			'name' => 'alternative_button_link',
			'type' => 'url',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_598c7ca10a80a',
						'operator' => '==',
						'value' => 'replace',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),
		array (
			'key' => 'field_598c7d440a812',
			'label' => 'Alternative Excerpt',
			'name' => 'alternative_excerpt',
			'type' => 'textarea',
			'instructions' => '(Will show in single-column view only)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c7b180a804',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5991cb24244cd',
						'operator' => '!=',
						'value' => '1',
					),
				),

			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => 4,
			'new_lines' => '',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'memberoni_course',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
);

if (get_field('membership_plugin','options')=='pmpro' || get_field('membership_plugin','options')=='wishlist' || get_field('membership_plugin','options')=='dap') :

	$membership_plugin_levels=array (
		'key' => 'field_598c7ebe75690',
		'label' => 'Membership ID\'s',
		'name' => 'membership_levels',
		'type' => 'text',
		'instructions' => 'Enter the ID\'s of your membership levels required for this content, separated by a comma',
		'required' => 1,
		'conditional_logic' => array (
			array (
				array (
					'field' => 'field_598c7b180a804',
					'operator' => '==',
					'value' => '1',
				),
			),
		),
		'wrapper' => array (
			'width' => '',
			'class' => '',
			'id' => '',
		),
		'default_value' => '',
		'placeholder' => '',
		'prepend' => '',
		'append' => '',
		'maxlength' => '',
	);

	array_push($membership_plugin_support['fields'],$membership_plugin_levels);

endif;

acf_add_local_field_group($membership_plugin_support);

endif;


endif;