<?php

/** Shortcode: Highlight **/

function highlight_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
  'color' => '',
  'fontcolor' => '',
  'bordercolor' => '',
  'style' => ''
  ), $atts ) );

  $output='<div class="highlight"';
  if ($color || $style || $bordercolor || $fontcolor) {
    $output.=' style="';
    if ($color) {
      $output.='background-color:' . $color .'; ';
      if (!$bordercolor) :
        $output.='border-color:' . $color . '; ';
      endif;
    }
    if ($fontcolor) {
      $output.='color:' . $fontcolor .'; ';
    }
    if ($bordercolor) {
      $output.='border-color:' . $bordercolor .'; ';
    }
    if ($style) {
      $output.=' '.$style.'"';
    }
    $output.='"';
  }
  $output.='>' . do_shortcode($content) . '</div>';

  return $output; 
}
add_shortcode('highlight', 'highlight_shortcode');

function lastviewed_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
  'color' => '',
  'icon' => 'fa-clock-o',
  'label' => 'Pick up where you left off:',
  'style' => ''
  ), $atts ) );
$output='';
if (get_user_meta(get_current_user_id(),'last_viewed_content')) : 
  
  $last_viewed_content=get_user_meta(get_current_user_id(),'last_viewed_content',true);
   $output.='<div class="col-full clearfix"><div class="last_viewed_content" style="' . $style . '">
   <h1><i class="fa ' . $icon . '" aria-hidden="true"></i> ' . $label . '</h1> <a href="' . get_permalink($last_viewed_content) . '">' . get_the_title($last_viewed_content) . '</a>
      </div>
    </div>';
  endif;  
  return $output; 
}
add_shortcode('lastviewed', 'lastviewed_shortcode');

function membermeta_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
  'action' => 'show',
  'key' => '',
  'value' => '',
  'istrue' => '1',
  ), $atts ) );
  $output='';
  if(is_user_logged_in() && isset($key)) :
    if ($action=='show' && get_user_meta(get_current_user_id(),sanitize_text_field($key))) :
      $output=get_user_meta(get_current_user_id(),sanitize_text_field($key),true);
      return $output;
    elseif ($action=='add' && isset($value)) :
      update_user_meta(get_current_user_id(),sanitize_text_field($key),sanitize_text_field($value));
    elseif ($action=='check' && isset($value)) :
      if ($istrue=='1') :
        if (get_user_meta(get_current_user_id(),sanitize_text_field($key),true)==$value) : 
          return do_shortcode($content);
        endif;
      else :
        if (get_user_meta(get_current_user_id(),sanitize_text_field($key),true)!=$value) : 
          return do_shortcode($content);
        endif;
      endif;
    endif;
  endif;
}
add_shortcode('membermeta', 'membermeta_shortcode');



function hascompleted_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
  'check' => 1,
  'course' => ''
  ), $atts ) );
$output='';


if ($course && is_user_logged_in()) :

if ($check==1) :
$show_content=true;
elseif ($check==0) :
$show_content=false;
endif;

  $courses=explode(',',$course);
  foreach ($courses as $course) :
    if (is_numeric($course)) : 
    $comp=(check_course_count($course,get_current_user_id()));
    if ($check==1 && $comp!=1) :
      $show_content=false;
    elseif ($check==0 && $comp<1) :
      $show_content=true;
    endif;
  endif;
  endforeach;

if ($show_content) :
  return do_shortcode($content);
endif;


endif;

}

add_shortcode('hascompleted', 'hascompleted_shortcode');



function is_loggedin_function( $atts, $content = null ) {
  if (is_user_logged_in()) {
    return do_shortcode($content);
  } 
}
add_shortcode('is_loggedin', 'is_loggedin_function');

function is_loggedout_function( $atts, $content = null ) {
  if (!is_user_logged_in()) {
    return do_shortcode($content);
  } 
}
add_shortcode('is_loggedout', 'is_loggedout_function');


/** Shortcode: Columns **/

function column_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
	'size' => 'full',
	'float' => '',
	'style' => ''
  ), $atts ) );

	$output='<div';
	if ($size || $float) {
		$output.=' class="';
  	if ($size) {
			$output.='col-' . $size . ' ';
		}
		if ($float) {
			$output.='f' . $float . ' ';
		}
		$output.='" ';
	}
	if ($style) {
		$output.=' style="'.$style.'"';
	}
	$output.='>' . do_shortcode($content) . '</div>';

	return $output; 
}
add_shortcode('column', 'column_shortcode');


/** Shortcode: Clearing **/

function clear_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
    'style' => ''
  ), $atts ) );
  $output.='<div class="clear"';
  if ($style) {
    $output.=' style="' . $style . '"';
  }
  $output.='"></div>';

  return $output; 
}
add_shortcode('clear', 'clear_shortcode');

/** Shortcode: Button **/

function button_shortcode( $atts, $content = null ) {
  extract( shortcode_atts( array(
    'size' => '',
    'style' => '',
    'url' => '#',
    'target' => null
  ), $atts ) );

  $output='';
  $output.='<a class="button"';

  if ($style || $size) {
    $output.=' style="';
    if ($size) {
      $output .= 'font-size:' . $size . ';';
    }
    if ($style) {
      $output .= $style;
    }
    $output.='"';
  }

  if ($target) {
    $output.=' target="' . $target . '"';
  }

  $output.='" href="' . $url . '">' . do_shortcode( $content ) . '</a>';

  return $output; 
}
add_shortcode('button', 'button_shortcode');

function msa_lessonhistory($atts,$content=null) {

  extract(shortcode_atts(array(
    "type" => 'history',
    'status' => '1'
  ), $atts));

  $returndata='';

  global $wpdb;

  if ($type=='history') :

    $history=$wpdb->get_results("select * from " . $wpdb->prefix . "lessonlog where `user_id`=" . get_current_user_id() . " order by `viewed` desc limit 20",ARRAY_A);

  elseif ($type=='tracking') :

    $history=$wpdb->get_results("select * from " . $wpdb->prefix . "lessontracker where `user_id`=" . get_current_user_id() . " and `lesson_status`=" . $status . " order by `viewed` desc",ARRAY_A);

  endif;

  

  $returndata='<div>';

  foreach($history as $line) {

    if(date("m-d-y") == date("m-d-y", strtotime($line['viewed']))) {
        $time = "Today";
    }
    else if(date("m-d-y", strtotime("-1 day")) == date("m-d-y", strtotime($line['viewed']))) {
        $time = "Yesterday";
    }
    else {
        $time = date("m-d-y", strtotime($line['viewed']));
    }

      if (get_field('course_page_type',$line['lesson_id'])!='standalone') :
        $course_id=wp_get_post_parent_id($line['lesson_id']);
      else:
        $course_id=$line['lesson_id'];
      endif;

      if (get_field('course_page_type',$course_id) == 'module') :
        $course_id=wp_get_post_parent_id($course_id);
      endif;

      if (has_post_thumbnail($course_id)) :
        $thumb_id = get_post_thumbnail_id($course_id);
        $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'full');
        $thumb_url = $thumb_url_array[0];
        $course_thumb=' style="background-image:url(' . $thumb_url . ');"';
      else:
        $course_thumb='';
      endif;

    ob_start();

?>
           <article class="course-listing training_listing listing_history">
              <div class="course-thumb"<?php echo $course_thumb; ?>>
                <span class="viewed_time"><?php echo $time; ?></span>
              </div>
      
        <div class="course-content">
                    <?php if (get_field('course_page_type',$line['lesson_id']) != 'standalone') : ?>
                      <h4><a href="<?php echo get_the_permalink($line['lesson_id']); ?>"><?php echo get_the_title($line['lesson_id']);?></a></h4>
                      <h6><a href="<?php echo get_the_permalink($course_id); ?>"><?php echo get_the_title($course_id); ?></a></h6>
                    <?php else: ?>
                      <h4 class="mb20"><a href="<?php echo get_the_permalink($line['lesson_id']); ?>"><?php echo get_the_title($line['lesson_id']);?></a></h4>
                    <?php endif; ?>
                    <p><a href="<?php echo get_the_permalink($line['lesson_id']); ?>" class="button w-onethird"><?php echo (get_field('lang_tracker_view_lesson','options') ? get_field('lang_tracker_view_lesson','options') : 'View Lesson'); ?></a></p>

          <?php //endif; ?>



                </div>
                
                </article>

<?php

    $returndata .= ob_get_contents();
    ob_end_clean();

    //wp_reset_postdata();
  }
  $returndata.="</div>";

  return $returndata;
}
add_shortcode("lessonhistory", "msa_lessonhistory");