<?php 
/* Template Name: Membership - Dashboard */

get_header(); 

?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<?php get_template_part('templates/global/page','title');
 ?>

	<section id="content" class="dashboard inner oh">


	<?php if (get_field('show_dashboard_sections')) : ?>

	<?php

		if (get_field('content_before_sections')) : 
			echo '<div class="mt20 mb20 oh">';
			echo do_shortcode(get_field('content_before_sections'));
			echo '</div>';
		endif;

	?>

	<?php if (have_rows('dashboard_sections')) : ?>


	<div class="dashboard_sections oh">

		<?php 


		$dbs_class="col-quarter";

		if (get_field('dashboard_sections_in_row')) :
				if (get_field('dashboard_sections_in_row') == '1') : $dbs_class="col-full";
				elseif (get_field('dashboard_sections_in_row') == '2') : $dbs_class="col-half";
				elseif (get_field('dashboard_sections_in_row') == '3') : $dbs_class="col-third";
				endif;
		endif;

		while(have_rows('dashboard_sections')) : the_row();

?>


		<div class="section_block <?php echo $dbs_class; ?> fl">
			<a href="<?php echo get_sub_field('section_link');?>">
				<?php if (get_sub_field('section_icon_type')=='icon') : ?>
				<div class="section_icon" style="background-color:<?php echo get_sub_field('section_icon_background'); ?>; color:<?php echo get_sub_field('section_icon_color'); ?>;"><?php the_sub_field('section_icon'); ?></div>
			<?php else: 
					if (get_sub_field('section_icon_image')) : 
						$section_icon_image=get_sub_field('section_icon_image');?>
				<img src="<?php echo $section_icon_image['sizes']['medium']; ?>" style="max-width:100%;height:auto;">
			<?php endif; endif; ?>
			</a>
			<h1><a href="<?php echo get_sub_field('section_link');?>"><?php echo get_sub_field('section_title');?></a></h1>
			<?php if (get_sub_field('section_text')) : ?><p><?php echo get_sub_field('section_text'); ?></p><?php endif; ?>
			<a href="<?php echo get_sub_field('section_link');?>" class="button"><?php echo get_sub_field('section_button_text');?></a>
		</div>


<?php endwhile; ?>

	</div>
<?php endif; ?>

<?php

	if (get_field('content_after_sections')) : 
		echo '<div class="mt20 mb20 oh">';
		echo do_shortcode(get_field('content_after_sections'));
		echo '</div>';
	endif;

?>

<?php endif; ?>


<?php if (get_field('show_recent_content')) : ?>

	<div class="dashboard_bottom oh">

	<?php if (get_field('show_sidebar')) : ?>

		<div class="col-twothird fl dashboard_latest">

	<?php else: ?>

		<div class="col-full dashboard_latest">

	<?php endif; ?>


			<?php 

			$recent_args=array();
			$recent_post_type=get_field('recent_content_post_types');

			$recent_limit = ($recent_post_type!='manual' && get_field('recent_content_limit') ? get_field('recent_content_limit') : 5);

			if ($recent_post_type != 'manual') :

				if ($recent_post_type == 'memberoni_course') :
					$recent_args=array('post_type' => 'memberoni_course', 'posts_per_page' => $recent_limit, 'post_parent' => 0);
					if (!get_field('show_inactive')) :
						$recent_args['meta_key']='course_status';
						$recent_args['meta_value']='active';
					endif;

				elseif ($recent_post_type == 'blog_course') :
					$recent_args=array('post_type' => array('post','memberoni_course'), 'posts_per_page' => $recent_limit, 'post_parent' => 0);

					if (!get_field('show_inactive')) :
						$recent_args['meta_query'] = array('relation' => 'OR',array('key' => 'course_status','compare' => 'NOT EXISTS'),array('key' => 'course_status','value' => 'inactive','compare' => '!='));
					endif;

				elseif ($recent_post_type == 'custom') :
					if (get_field('custom_post_values')) :
						$custom_post_values=explode(",",get_field('custom_post_values'));
					else:
						$custom_post_values='post';
					endif;
					$recent_args=array('post_type' => $custom_post_values, 'posts_per_page' => $recent_limit, 'post_parent' => 0);
					if (!get_field('show_inactive')) :
						$recent_args['meta_query'] = array('relation' => 'OR',array('key' => 'course_status','compare' => 'NOT EXISTS'),array('key' => 'course_status','value' => 'inactive','compare' => '!='));
					endif;


				elseif ($recent_post_type == 'posts') :
					$recent_args=array('post_type' => 'post', 'posts_per_page' => $recent_limit);
					if (get_field('recent_content_blog_categories')) :
						$recent_args['cat']=get_field('recent_content_blog_categories');
					endif;
				endif;


				$recent_loop = new WP_Query( $recent_args ); 

				if ($recent_loop->have_posts() ) : 

					?>
					<div class="recent_content">
						<div class="section_title">
							<h1><?php the_field('recent_content_section_title'); ?></h1>
						</div>
					<?php while ( $recent_loop->have_posts() ) : $recent_loop->the_post(); ?>
						<article>
								<?php if (get_field('course_status')!='inactive') : ?>
							<div class="content_image">
									<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
										<?php else: ?>
							<div class="content_image inactive_content">
										<div class="coming-soon-overlay">
											<div class="coming-soon-message">
												<?php
												if (get_field('coming_soon_text')) :
													$coming_soon_text=get_field('coming_soon_text');
												else:
													$coming_soon_text=get_field('lang_default_coming_soon_text','options') ? get_field('lang_default_coming_soon_text','options') : 'Coming Soon';
												endif;
												echo '<h3>'.$coming_soon_text.'</h3>';
												?>
											</div>
										</div>

									<?php endif; ?>
							<?php 
								if (has_post_thumbnail()) : ?>
									<?php the_post_thumbnail('dashboad-recent'); ?>
														
								<?php else: 
									if (get_field('default_recent_content_image','options')) :
										$thumb_url_array = get_field('default_recent_content_image','options');
										$thumb_url = $thumb_url_array['sizes']['dashboad-recent'];
										echo '<img src="' . $thumb_url . '">';
									else:
										echo '<img src="' . get_template_directory_uri() . '/images/dashboard-recent.png">';
									endif;
								endif;
							?>
							<?php if (get_field('course_status')!='inactive') : ?></a><?php endif; ?>
						</div>
							<div class="content_details">
								<?php if (get_field('course_status')!='inactive') : ?><h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
								<?php else: ?>
									<h1><?php the_title(); ?></h1>
									<span class="coming_soon_mobile"><?php echo $coming_soon_text; ?></span>
								<?php endif; ?>
								<p><?php the_excerpt(); ?></p>
							</div>
						</article>
					<?php 
					endwhile; 
					echo '</div>';
				endif;
				wp_reset_query(); 

			else:

				if (have_rows('recent_content_manual')) : ?>

					<div class="recent_content">
						<div class="section_title">
							<h1><?php the_field('recent_content_section_title'); ?></h1>
						</div>

					<?php

					while (have_rows('recent_content_manual')) : the_row(); 

						$recent_thumbnail=get_sub_field('content_thumb');


					?>
						<article>
							<div class="content_image">
							<?php 
								if ($recent_thumbnail) : ?>
								<a href="<?php echo get_sub_field('content_link'); ?>" title="<?php echo get_sub_field('content_title'); ?>">
									<img src="<?php echo $recent_thumbnail['sizes']['dashboad-recent']; ?>">
								</a>						
								<?php 

								else: 

									if (get_field('default_recent_content_image','options')) :
										$thumb_url_array = get_field('default_recent_content_image','options');
										$thumb_url = $thumb_url_array['sizes']['dashboad-recent'];
										echo '<img src="' . $thumb_url . '">';
									else:
										echo '<img src="' . get_template_directory_uri() . '/images/dashboard-recent.png">';
									endif;

								endif;
							?>
							</div>
							<div class="content_details">
								<h1><a href="<?php echo get_sub_field('content_link'); ?>"><?php the_sub_field('content_headline'); ?></a></h1>
								<p><?php the_sub_field('content_description'); ?></p>
							</div>
						</article>

					<?php 

					endwhile;
					echo '</div>';
				endif;

			endif;


			?>

			<?php dynamic_sidebar('dashboard-post'); ?>

		</div>

	<?php if (get_field('show_sidebar')) : ?>

		<div class="col-third fr sidebar dashboard_sidebar">

			<?php dynamic_sidebar('dashboard-sidebar' ); ?>


		</div>

	<?php endif; ?>

<?php endif; ?>

</section>

		
<?php 

	endwhile; 
	endif; 
	get_footer();