<?php

if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array (
	'key' => 'group_598c793ce1986',
	'title' => 'Membership Plugin Support',
	'fields' => array (
		array (
			'key' => 'field_598c794ee22dc',
			'label' => 'Enable Membership Plugin Support',
			'name' => 'enable_membership_plugin_support',
			'type' => 'true_false',
			'instructions' => 'This adds extra options for Memberoni Courses that enable you to show alternative details for content members do not have access to in the \'Content Grid\' page.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_598c79bfe22dd',
			'label' => 'Membership Plugin',
			'name' => 'membership_plugin',
			'type' => 'select',
			'instructions' => '** Please note that ActiveMember360 and iMember360 are no longer supported. The options have been kept in for legacy/backwards compatibility purposes however we do not recommend using them for new installations',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598c794ee22dc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				//'accessally' => 'AccessAlly',
				'dap' => 'Digital Access Pass',
				'memberium' => 'Memberium',
				'membermouse' => 'MemberMouse',
				'memberpress' => 'Memberpress',
				'optimizemember' => 'OptimizeMember',
				'pmpro' => 'Paid Memberships Pro',
				'rcp' => 'Restrict Content Pro',
				's2member' => 's2Member',
				'wishlist' => 'Wishlist Member',
				'wpfusion' => 'WPFusion',
				'woocommerce' => 'WooCommerce Memberships',
				'Legacy [Do not use]'=>array(
						'am360' => 'ActiveMember 360 **',
						'im360' => 'iMember 360 **',
				),
			),
			'default_value' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => -10,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
acf_add_local_field_group(array(
	'key' => 'group_5bc7121d57e08',
	'title' => 'Breadcrumbs',
	'fields' => array(
		array(
			'key' => 'field_5bc71258f3c55',
			'label' => 'Enable Breadcrumbs?',
			'name' => 'enable_breadcrumbs',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5bc7126af3c56',
			'label' => 'Display Breadcrumbs:',
			'name' => 'display_breadcrumbs',
			'type' => 'select',
			'instructions' => 'Choose whether to show breadcrumbs globally or just on courses. You will be able to disable breadcrumbs on a page by page, course by course basis too.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'everywhere' => 'Everywhere on the site',
				'courses' => 'Only on courses',
			),
			'default_value' => array(
				0 => 'everywhere',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bc712c7f3c57',
			'label' => 'Breadcrumbs Location',
			'name' => 'breadcrumbs_location',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'abovetitle' => 'Above Page Title',
				'belowtitle' => 'Below Page Title',
			),
			'default_value' => array(
				0 => 'belowtitle',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bc712f5f3c58',
			'label' => 'Breadcrumb Text Alignment',
			'name' => 'breadcrumb_text_alignment',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'left' => 'Left',
				'right' => 'Right',
				'center' => 'Center',
			),
			'default_value' => array(
				0 => 'left',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bc71350f3c59',
			'label' => 'Override Home Link?',
			'name' => 'override_home_link',
			'type' => 'true_false',
			'instructions' => 'By default the first breadcrumb link will go to your homepage and be labelled \'Home\'. If you wish to override this (i.e. to link to your member dashboard) check this option to set a custom page to use.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5bc71392f3c5a',
			'label' => 'Choose a page to link to:',
			'name' => 'home_override_page',
			'type' => 'post_object',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5bc71350f3c59',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array(
				0 => 'page',
			),
			'taxonomy' => array(
			),
			'allow_null' => 0,
			'multiple' => 0,
			'return_format' => 'id',
			'ui' => 1,
		),
		array(
			'key' => 'field_5bc713fcf3c5c',
			'label' => 'Custom link text',
			'name' => 'custom_link_text',
			'type' => 'text',
			'instructions' => 'By default the \'Home\' link will be replaced with the title of your chosen page. If you wish to override this text simply type a replacement below.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5bc71350f3c59',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5bc7145b5ebda',
			'label' => 'Add extra link to course breadcrumbs?',
			'name' => 'add_extra_course_breadcrumbs',
			'type' => 'true_false',
			'instructions' => 'This will add an extra link between \'Home\' and the title of your courses. Ideal for linking to your main course library page (i.e. Dashboard > Course Library > Course Name > Lesson Name)',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5bc714c55ebdb',
			'label' => 'Choose page to add:',
			'name' => 'extra_course_page',
			'type' => 'post_object',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5bc7145b5ebda',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array(
				0 => 'page',
			),
			'taxonomy' => array(
			),
			'allow_null' => 0,
			'multiple' => 0,
			'return_format' => 'id',
			'ui' => 1,
		),
		array(
			'key' => 'field_5bc73d1179ace',
			'label' => 'Custom course link text',
			'name' => 'custom_course_link_text',
			'type' => 'text',
			'instructions' => 'By default the extra link on course pages will use the title of your chosen page. If you wish to override this text simply type a replacement below.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc71258f3c55',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5bc7145b5ebda',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => 2,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
acf_add_local_field_group(array (
	'key' => 'group_584ff06b13919',
	'title' => 'Default Images',
	'fields' => array (
		array (
			'key' => 'field_584ff075502a3',
			'label' => 'Default Recent Content Image',
			'name' => 'default_recent_content_image',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'dashboad-recent',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_584ff0a9502a4',
			'label' => 'Default Course Image',
			'name' => 'default_course_image',
			'type' => 'image',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'dashboad-recent',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => 3,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_590070a2eac9d',
	'title' => 'Blog Display Options',
	'fields' => array (
		array (
			'key' => 'field_590070abc0fd9',
			'label' => 'Hide Byline?',
			'name' => 'hide_byline',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_590070f6c0fda',
			'label' => 'Hide Author?',
			'name' => 'hide_author',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_590070abc0fd9',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_59007111c0fdb',
			'label' => 'Hide Date?',
			'name' => 'hide_date',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_590070abc0fd9',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_5900711dc0fdc',
			'label' => 'Hide Category?',
			'name' => 'hide_category',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_590070abc0fd9',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_590b13addf2b9',
			'label' => 'Hide Featured Image on Posts?',
			'name' => 'hide_featured_image_on_posts',
			'type' => 'true_false',
			'instructions' => 'Check this option if you want to remove featured images from individual articles',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_590b161f99a19',
			'label' => 'Disable Comments on Posts',
			'name' => 'disable_comments_on_posts',
			'type' => 'true_false',
			'instructions' => 'Check this option if you want to remove comment functionality from individual articles',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),	
		array (
			'key' => 'field_58517918bfa27',
			'label' => 'Disable Sidebar on Blog',
			'name' => 'disable_sidebar_on_blog',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),

	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => 4,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_5492b6e98cf6c',
	'title' => 'Course/Lesson Detail',
	'fields' => array (
		array (
			'key' => 'field_530286bb5aa4f',
			'label' => 'Course page type',
			'name' => 'course_page_type',
			'type' => 'select',
			'instructions' => 'Choose \'Course Page\' if this is an overview/parent page for a course.	Lessons within each course should be set as \'Lesson Page\' and you can now choose \'Module/Group\' to denote the \'parent page\' of a group of lessons within a course. You can also choose to set this as a \'Standalone Lesson\'',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'course' => 'Course Page',
				'lesson' => 'Lesson Page',
				'module' => 'Module/Group',
				'standalone' => 'Standalone Lesson',
			),
			'default_value' => array (
				0 => 'lesson',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_55dc400a651fc',
			'label' => 'Course Description',
			'name' => 'course_description',
			'type' => 'text',
			'instructions' => 'Description that shows in header, below course title',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_530baa7b949a3',
			'label' => 'Course Status',
			'name' => 'course_status',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'active' => 'Active',
				'inactive' => 'Inactive',
			),
			'default_value' => array (
				0 => 'inactive',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_55db960c57173',
			'label' => 'Coming Soon Text',
			'name' => 'coming_soon_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_530baa7b949a3',
						'operator' => '==',
						'value' => 'inactive',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_530baa7b949a3',
						'operator' => '==',
						'value' => 'inactive',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Coming Soon',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_59f07e1dbd9c2',
			'label' => 'Inactive Button Text',
			'name' => 'inactive_button_text',
			'type' => 'text',
			'instructions' => 'Leave blank to use the site default set under Memberoni > Text Settings',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530baa7b949a3',
						'operator' => '==',
						'value' => 'inactive',
					),
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530baa7b949a3',
						'operator' => '==',
						'value' => 'inactive',
					),
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_59f07e68bd9c6',
			'label' => 'Inactive Button Link',
			'name' => 'inactive_button_link',
			'type' => 'url',
			'instructions' => 'Leave blank for no link',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530baa7b949a3',
						'operator' => '==',
						'value' => 'inactive',
					),
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530baa7b949a3',
						'operator' => '==',
						'value' => 'inactive',
					),
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),		
		array (
			'key' => 'field_598af8364c56f',
			'label' => 'Override Button Text?',
			'name' => 'override_button_text',
			'type' => 'true_false',
			'instructions' => 'Select this option to override the default button label shown in content lists when the course is set to "Active"',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_598af8684c570',
			'label' => 'Custom Main Button Text',
			'name' => 'custom_button_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_598af8364c56f',
						'operator' => '==',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_598af8364c56f',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5909bf241e869',
			'label' => 'Add Course Banner?',
			'name' => 'add_course_banner',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
				'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_5909be101e867',
			'label' => 'Course Banner',
			'name' => 'course_banner',
			'type' => 'image',
			'instructions' => 'Optional: Add an image banner that will appear at the top of all lessons for this course (optional)

(Ideal width is 1190px. Anything wider will be scaled down. Smaller images will either be scaled up or centered at their current size according to the setting selected below)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5909bf241e869',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'preview_size' => 'thumbnail',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array (
			'key' => 'field_5909becb1e868',
			'label' => 'Scale Banner Image Up?',
			'name' => 'scale_banner_image_up',
			'type' => 'true_false',
			'instructions' => 'Select this option to automatically scale any course banner images up to the maximum width of 1190px (may result in loss of quality).

If unchecked; banners narrower than 1190px will be shown at their original size and centered on the page.',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_5909bf241e869',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),	
		array (
			'key' => 'field_598af5a794192',
			'label' => 'Course Banner Link',
			'name' => 'course_banner_link',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_5909bf241e869',
						'operator' => '==',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_5909bf241e869',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'nolink' => 'No link',
				'course' => 'Course Start Page',
				'custom' => 'Custom URL',
			),
			'default_value' => array (
				0 => 'nolink',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_598af5eb94193',
			'label' => 'Course Banner Custom Link',
			'name' => 'course_banner_custom_link',
			'type' => 'url',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_598af5a794192',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),		
		array (
			'key' => 'field_5909c0d056d0c',
			'label' => 'Hide Title Bar',
			'name' => 'hide_title_bar',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
			),
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array(
			'key' => 'field_5bc4bd1303df2',
			'label' => 'Hide Course Completion in Title Bar?',
			'name' => 'hide_completion_in_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array(
						'field' => 'field_5909c0d056d0c',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_50ang3le36d13',
			'label' => 'Disable Breadcrumbs?',
			'name' => 'disable_breadcrumbs',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array(
						'field' => 'field_5909c0d056d0c',
						'operator' => '!=',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_5909bf241e869',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_5a84686e17b16',
			'label' => 'Add Course-Wide Content?',
			'name' => 'add_course-wide_content',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_5a84687f17b17',
			'label' => 'Course-Wide Content',
			'name' => 'course-wide_content',
			'type' => 'wysiwyg',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_5a84686e17b16',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 1,
			'delay' => 1,
		),
		array (
			'key' => 'field_5a8468a817b19',
			'label' => 'Course-Wide Content Location',
			'name' => 'course-wide_content_location',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_5a84686e17b16',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'abovevideo' => 'Above Video',
				'belowvideo' => 'Below Video/Above Text',
				'abovedownloads' => 'Above Downloads/Below Text',
				'belowdownloads' => 'Below Downloads',
				'belownav' => 'Below Course Navigation',
			),
			'default_value' => array (
				0 => 'belowdownloads',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_530287981e5ff',
			'label' => 'Video embed code',
			'name' => 'video_embed_code',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array (
			'key' => 'field_5a38f7a32d773',
			'label' => 'Hide Featured Image',
			'name' => 'hide_featured_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_5a38f7c22d775',
			'label' => 'Link Featured Image',
			'name' => 'link_featured_image',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_5a38f7a32d773',
						'operator' => '!=',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_5a38f7a32d773',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),		
		array (
			'key' => 'field_5a38f7dd2d776',
			'label' => 'Featured Image Link Destination',
			'name' => 'featured_image_link_destination',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_5a38f7c22d775',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'firstlesson' => 'First Lesson in Course',
				'custom' => 'Custom URL',
			),
			'default_value' => array (
				0 => 'firstlesson',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_5a38f8612d779',
			'label' => 'Featured Image Link URL',
			'name' => 'featured_image_link_url',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
					array (
						'field' => 'field_5a38f7c22d775',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5a38f7dd2d776',
						'operator' => '==',
						'value' => 'custom',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_5a38f7c22d775',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5a39053130872',
			'label' => 'Hide Featured Image in Lessons',
			'name' => 'hide_featured_image_in_lessons',
			'type' => 'true_false',
			'instructions' => 'If lessons in this course do not have video embeds but DO have a featured image set, the image will show. 
Check this option to disable the featured image for all child lessons.',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_598b20653375a',
			'label' => 'Add Vimeo Jumplinks?',
			'name' => 'add_vimeo_jumplinks',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_598b20febff0d',
			'label' => 'Video Jumplinks Title',
			'name' => 'video_jumplinks_title',
			'type' => 'text',
			'instructions' => 'Appears at the top of the list of jumplinks',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
					array (
						'field' => 'field_598b20653375a',
						'operator' => '==',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_598b20653375a',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'In this video:',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_598b1ff633757',
			'label' => 'Video Jumplinks',
			'name' => 'lesson_timestamps',
			'type' => 'repeater',
			'instructions' => 'IMPORTANT: These will ONLY work if you\'re using a Vimeo embedded video that has been added via the \'Video Embed Code\' option above. It will not work with other video hosting services, or with videos added elsewhere on the page.',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
					array (
						'field' => 'field_598b20653375a',
						'operator' => '==',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_598b20653375a',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'table',
			'button_label' => 'Add Timestamp',
			'sub_fields' => array (
				array (
					'key' => 'field_598b201133758',
					'label' => 'Time',
					'name' => 'timestamp_time',
					'type' => 'time_picker',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '30',
						'class' => '',
						'id' => '',
					),
					'display_format' => 'H:i:s',
					'return_format' => 'H:i:s',
				),
				array (
					'key' => 'field_598b202733759',
					'label' => 'Question/Comment',
					'name' => 'timestamp_content',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '70',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
			),
		),
		array(
			'key' => 'field_5bc49895bb081',
			'label' => 'Jumplink Location',
			'name' => 'jumplink_location',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_598b20653375a',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'abovecontent' => 'Above Content',
				'belowcontent' => 'Below Content',
			),
			'default_value' => array(
				0 => 'abovecontent',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bc498cabb082',
			'label' => 'Add direct jumplink URLs?',
			'name' => 'add_direct_jumplink',
			'type' => 'true_false',
			'instructions' => 'This setting adds a shareable link that will take people directly to a jumplink location when clicked from elsewhere on your site.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_598b20653375a',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),		
		array (
			'key' => 'field_55cf84579cb8e',
			'label' => 'Downloads',
			'name' => 'downloads',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '!=',
						'value' => 'module',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Download',
			'sub_fields' => array (
				array (
					'key' => 'field_55cf84c89cb8f',
					'label' => 'Download Type',
					'name' => 'download_type',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_55cf84e19cb90',
					'label' => 'Download Title',
					'name' => 'download_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 40,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_55cf84f49cb91',
					'label' => 'Download Link',
					'name' => 'download_link',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 40,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
			),
		),
		array(
			'key' => 'field_5be57b5c008bf',
			'label' => 'Enable Prerequisite',
			'name' => 'enable_prerequisite',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5be57bcf008c0',
			'label' => 'Choose Prerequisite Lesson',
			'name' => 'choose_prerequisite_lesson',
			'type' => 'post_object',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
					array(
						'field' => 'field_5be57b5c008bf',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array(
				0 => 'memberoni_course',
			),
			'taxonomy' => array(
			),
			'allow_null' => 0,
			'multiple' => 0,
			'return_format' => 'id',
			'ui' => 1,
		),
		array(
			'key' => 'field_5be57c79008c2',
			'label' => 'Override Incomplete Prerequisite Text',
			'name' => 'override_incomplete_prerequisite_text',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
					array(
						'field' => 'field_5be57b5c008bf',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5be57ca4008c3',
			'label' => 'Incomplete Prerequisite Text',
			'name' => 'incomplete_prerequisite_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'lesson',
					),
					array(
						'field' => 'field_5be57b5c008bf',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5be57c79008c2',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),

		array (
			'key' => 'field_5900806b0f8be',
			'label' => 'Disable Lesson Sidebar?',
			'name' => 'disable_lesson_sidebar',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_5a844a9971d70',
			'label' => 'Course Sidebar Location',
			'name' => 'course_sidebar_location',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_5900806b0f8be',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'right' => 'Right',
				'left' => 'Left',
			),
			'default_value' => array (
				0 => 'right',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_5a3902dd04b93',
			'label' => 'Use Standalone Sidebar Widgets',
			'name' => 'use_standalone_sidebar',
			'type' => 'true_false',
			'instructions' => 'If selected, this will use widgets in the \'Standalone Lesson Sidebar\' - otherwise the \'Course Sidebar\' will be used',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_530286bb5aa4f',
						'operator' => '==',
						'value' => 'standalone',
					),
					array (
						'field' => 'field_5900806b0f8be',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'memberoni_course',
			),
		),
	),
	'menu_order' => -1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array (
		0 => 'custom_fields',
		1 => 'tags',
		2 => 'comments',
		3 => 'author',
		4 => 'format',
		5 => 'categories',
	),
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_5492b6e9bd7f2',
	'title' => 'Dashboard Options',
	'fields' => array (
		array (
			'key' => 'field_56d5e3088778b',
			'label' => 'Show Dashboard Sections',
			'name' => 'show_dashboard_sections',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_56d5e3238778c',
			'label' => 'Dashboard Sections in Row',
			'name' => 'dashboard_sections_in_row',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56d5e3088778b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 4,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 1,
			'max' => 4,
			'step' => 1,
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_56d5e13e87781',
			'label' => 'Dashboard Sections',
			'name' => 'dashboard_sections',
			'type' => 'repeater',
			'instructions' => 'The sections of your membership site, which will show at the top of the dashboard. If not set, this section will be hidden.',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56d5e3088778b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => '',
			'max' => '',
			'layout' => 'block',
			'button_label' => 'Add Section',
			'sub_fields' => array (
				array (
					'key' => 'field_56d5e2b487787',
					'label' => 'Title',
					'name' => 'section_title',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 30,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_56d5e16787782',
					'label' => 'Icon Type',
					'name' => 'section_icon_type',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 15,
						'class' => '',
						'id' => '',
					),
					'choices' => array (
						'icon' => 'Icon',
						'image' => 'Image',
					),
					'default_value' => array (
						'icon' => 'Icon',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'disabled' => 0,
					'readonly' => 0,
				),
				array (
					'key' => 'field_56d5e1f487783',
					'label' => 'Icon',
					'name' => 'section_icon',
					'type' => 'font-awesome',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_56d5e16787782',
								'operator' => '==',
								'value' => 'icon',
							),
						),
					),
					'wrapper' => array (
						'width' => 15,
						'class' => '',
						'id' => '',
					),
					'default_value' => 'fa-bullseye',
					'save_format' => 'element',
					'allow_null' => 0,
					'enqueue_fa' => 1,
					'fa_live_preview' => '',
					'choices' => array (
						'fa-500px' => '&#xf26e; fa-500px',
						'fa-adjust' => '&#xf042; fa-adjust',
						'fa-adn' => '&#xf170; fa-adn',
						'fa-align-center' => '&#xf037; fa-align-center',
						'fa-align-justify' => '&#xf039; fa-align-justify',
						'fa-align-left' => '&#xf036; fa-align-left',
						'fa-align-right' => '&#xf038; fa-align-right',
						'fa-amazon' => '&#xf270; fa-amazon',
						'fa-ambulance' => '&#xf0f9; fa-ambulance',
						'fa-anchor' => '&#xf13d; fa-anchor',
						'fa-android' => '&#xf17b; fa-android',
						'fa-angellist' => '&#xf209; fa-angellist',
						'fa-angle-double-down' => '&#xf103; fa-angle-double-down',
						'fa-angle-double-left' => '&#xf100; fa-angle-double-left',
						'fa-angle-double-right' => '&#xf101; fa-angle-double-right',
						'fa-angle-double-up' => '&#xf102; fa-angle-double-up',
						'fa-angle-down' => '&#xf107; fa-angle-down',
						'fa-angle-left' => '&#xf104; fa-angle-left',
						'fa-angle-right' => '&#xf105; fa-angle-right',
						'fa-angle-up' => '&#xf106; fa-angle-up',
						'fa-apple' => '&#xf179; fa-apple',
						'fa-archive' => '&#xf187; fa-archive',
						'fa-area-chart' => '&#xf1fe; fa-area-chart',
						'fa-arrow-circle-down' => '&#xf0ab; fa-arrow-circle-down',
						'fa-arrow-circle-left' => '&#xf0a8; fa-arrow-circle-left',
						'fa-arrow-circle-o-down' => '&#xf01a; fa-arrow-circle-o-down',
						'fa-arrow-circle-o-left' => '&#xf190; fa-arrow-circle-o-left',
						'fa-arrow-circle-o-right' => '&#xf18e; fa-arrow-circle-o-right',
						'fa-arrow-circle-o-up' => '&#xf01b; fa-arrow-circle-o-up',
						'fa-arrow-circle-right' => '&#xf0a9; fa-arrow-circle-right',
						'fa-arrow-circle-up' => '&#xf0aa; fa-arrow-circle-up',
						'fa-arrow-down' => '&#xf063; fa-arrow-down',
						'fa-arrow-left' => '&#xf060; fa-arrow-left',
						'fa-arrow-right' => '&#xf061; fa-arrow-right',
						'fa-arrow-up' => '&#xf062; fa-arrow-up',
						'fa-arrows' => '&#xf047; fa-arrows',
						'fa-arrows-alt' => '&#xf0b2; fa-arrows-alt',
						'fa-arrows-h' => '&#xf07e; fa-arrows-h',
						'fa-arrows-v' => '&#xf07d; fa-arrows-v',
						'fa-asterisk' => '&#xf069; fa-asterisk',
						'fa-at' => '&#xf1fa; fa-at',
						'fa-backward' => '&#xf04a; fa-backward',
						'fa-balance-scale' => '&#xf24e; fa-balance-scale',
						'fa-ban' => '&#xf05e; fa-ban',
						'fa-bar-chart' => '&#xf080; fa-bar-chart',
						'fa-barcode' => '&#xf02a; fa-barcode',
						'fa-bars' => '&#xf0c9; fa-bars',
						'fa-battery-empty' => '&#xf244; fa-battery-empty',
						'fa-battery-full' => '&#xf240; fa-battery-full',
						'fa-battery-half' => '&#xf242; fa-battery-half',
						'fa-battery-quarter' => '&#xf243; fa-battery-quarter',
						'fa-battery-three-quarters' => '&#xf241; fa-battery-three-quarters',
						'fa-bed' => '&#xf236; fa-bed',
						'fa-beer' => '&#xf0fc; fa-beer',
						'fa-behance' => '&#xf1b4; fa-behance',
						'fa-behance-square' => '&#xf1b5; fa-behance-square',
						'fa-bell' => '&#xf0f3; fa-bell',
						'fa-bell-o' => '&#xf0a2; fa-bell-o',
						'fa-bell-slash' => '&#xf1f6; fa-bell-slash',
						'fa-bell-slash-o' => '&#xf1f7; fa-bell-slash-o',
						'fa-bicycle' => '&#xf206; fa-bicycle',
						'fa-binoculars' => '&#xf1e5; fa-binoculars',
						'fa-birthday-cake' => '&#xf1fd; fa-birthday-cake',
						'fa-bitbucket' => '&#xf171; fa-bitbucket',
						'fa-bitbucket-square' => '&#xf172; fa-bitbucket-square',
						'fa-black-tie' => '&#xf27e; fa-black-tie',
						'fa-bluetooth' => '&#xf293; fa-bluetooth',
						'fa-bluetooth-b' => '&#xf294; fa-bluetooth-b',
						'fa-bold' => '&#xf032; fa-bold',
						'fa-bolt' => '&#xf0e7; fa-bolt',
						'fa-bomb' => '&#xf1e2; fa-bomb',
						'fa-book' => '&#xf02d; fa-book',
						'fa-bookmark' => '&#xf02e; fa-bookmark',
						'fa-bookmark-o' => '&#xf097; fa-bookmark-o',
						'fa-briefcase' => '&#xf0b1; fa-briefcase',
						'fa-btc' => '&#xf15a; fa-btc',
						'fa-bug' => '&#xf188; fa-bug',
						'fa-building' => '&#xf1ad; fa-building',
						'fa-building-o' => '&#xf0f7; fa-building-o',
						'fa-bullhorn' => '&#xf0a1; fa-bullhorn',
						'fa-bullseye' => '&#xf140; fa-bullseye',
						'fa-bus' => '&#xf207; fa-bus',
						'fa-buysellads' => '&#xf20d; fa-buysellads',
						'fa-calculator' => '&#xf1ec; fa-calculator',
						'fa-calendar' => '&#xf073; fa-calendar',
						'fa-calendar-check-o' => '&#xf274; fa-calendar-check-o',
						'fa-calendar-minus-o' => '&#xf272; fa-calendar-minus-o',
						'fa-calendar-o' => '&#xf133; fa-calendar-o',
						'fa-calendar-plus-o' => '&#xf271; fa-calendar-plus-o',
						'fa-calendar-times-o' => '&#xf273; fa-calendar-times-o',
						'fa-camera' => '&#xf030; fa-camera',
						'fa-camera-retro' => '&#xf083; fa-camera-retro',
						'fa-car' => '&#xf1b9; fa-car',
						'fa-caret-down' => '&#xf0d7; fa-caret-down',
						'fa-caret-left' => '&#xf0d9; fa-caret-left',
						'fa-caret-right' => '&#xf0da; fa-caret-right',
						'fa-caret-square-o-down' => '&#xf150; fa-caret-square-o-down',
						'fa-caret-square-o-left' => '&#xf191; fa-caret-square-o-left',
						'fa-caret-square-o-right' => '&#xf152; fa-caret-square-o-right',
						'fa-caret-square-o-up' => '&#xf151; fa-caret-square-o-up',
						'fa-caret-up' => '&#xf0d8; fa-caret-up',
						'fa-cart-arrow-down' => '&#xf218; fa-cart-arrow-down',
						'fa-cart-plus' => '&#xf217; fa-cart-plus',
						'fa-cc' => '&#xf20a; fa-cc',
						'fa-cc-amex' => '&#xf1f3; fa-cc-amex',
						'fa-cc-diners-club' => '&#xf24c; fa-cc-diners-club',
						'fa-cc-discover' => '&#xf1f2; fa-cc-discover',
						'fa-cc-jcb' => '&#xf24b; fa-cc-jcb',
						'fa-cc-mastercard' => '&#xf1f1; fa-cc-mastercard',
						'fa-cc-paypal' => '&#xf1f4; fa-cc-paypal',
						'fa-cc-stripe' => '&#xf1f5; fa-cc-stripe',
						'fa-cc-visa' => '&#xf1f0; fa-cc-visa',
						'fa-certificate' => '&#xf0a3; fa-certificate',
						'fa-chain-broken' => '&#xf127; fa-chain-broken',
						'fa-check' => '&#xf00c; fa-check',
						'fa-check-circle' => '&#xf058; fa-check-circle',
						'fa-check-circle-o' => '&#xf05d; fa-check-circle-o',
						'fa-check-square' => '&#xf14a; fa-check-square',
						'fa-check-square-o' => '&#xf046; fa-check-square-o',
						'fa-chevron-circle-down' => '&#xf13a; fa-chevron-circle-down',
						'fa-chevron-circle-left' => '&#xf137; fa-chevron-circle-left',
						'fa-chevron-circle-right' => '&#xf138; fa-chevron-circle-right',
						'fa-chevron-circle-up' => '&#xf139; fa-chevron-circle-up',
						'fa-chevron-down' => '&#xf078; fa-chevron-down',
						'fa-chevron-left' => '&#xf053; fa-chevron-left',
						'fa-chevron-right' => '&#xf054; fa-chevron-right',
						'fa-chevron-up' => '&#xf077; fa-chevron-up',
						'fa-child' => '&#xf1ae; fa-child',
						'fa-chrome' => '&#xf268; fa-chrome',
						'fa-circle' => '&#xf111; fa-circle',
						'fa-circle-o' => '&#xf10c; fa-circle-o',
						'fa-circle-o-notch' => '&#xf1ce; fa-circle-o-notch',
						'fa-circle-thin' => '&#xf1db; fa-circle-thin',
						'fa-clipboard' => '&#xf0ea; fa-clipboard',
						'fa-clock-o' => '&#xf017; fa-clock-o',
						'fa-clone' => '&#xf24d; fa-clone',
						'fa-cloud' => '&#xf0c2; fa-cloud',
						'fa-cloud-download' => '&#xf0ed; fa-cloud-download',
						'fa-cloud-upload' => '&#xf0ee; fa-cloud-upload',
						'fa-code' => '&#xf121; fa-code',
						'fa-code-fork' => '&#xf126; fa-code-fork',
						'fa-codepen' => '&#xf1cb; fa-codepen',
						'fa-codiepie' => '&#xf284; fa-codiepie',
						'fa-coffee' => '&#xf0f4; fa-coffee',
						'fa-cog' => '&#xf013; fa-cog',
						'fa-cogs' => '&#xf085; fa-cogs',
						'fa-columns' => '&#xf0db; fa-columns',
						'fa-comment' => '&#xf075; fa-comment',
						'fa-comment-o' => '&#xf0e5; fa-comment-o',
						'fa-commenting' => '&#xf27a; fa-commenting',
						'fa-commenting-o' => '&#xf27b; fa-commenting-o',
						'fa-comments' => '&#xf086; fa-comments',
						'fa-comments-o' => '&#xf0e6; fa-comments-o',
						'fa-compass' => '&#xf14e; fa-compass',
						'fa-compress' => '&#xf066; fa-compress',
						'fa-connectdevelop' => '&#xf20e; fa-connectdevelop',
						'fa-contao' => '&#xf26d; fa-contao',
						'fa-copyright' => '&#xf1f9; fa-copyright',
						'fa-creative-commons' => '&#xf25e; fa-creative-commons',
						'fa-credit-card' => '&#xf09d; fa-credit-card',
						'fa-credit-card-alt' => '&#xf283; fa-credit-card-alt',
						'fa-crop' => '&#xf125; fa-crop',
						'fa-crosshairs' => '&#xf05b; fa-crosshairs',
						'fa-css3' => '&#xf13c; fa-css3',
						'fa-cube' => '&#xf1b2; fa-cube',
						'fa-cubes' => '&#xf1b3; fa-cubes',
						'fa-cutlery' => '&#xf0f5; fa-cutlery',
						'fa-dashcube' => '&#xf210; fa-dashcube',
						'fa-database' => '&#xf1c0; fa-database',
						'fa-delicious' => '&#xf1a5; fa-delicious',
						'fa-desktop' => '&#xf108; fa-desktop',
						'fa-deviantart' => '&#xf1bd; fa-deviantart',
						'fa-diamond' => '&#xf219; fa-diamond',
						'fa-digg' => '&#xf1a6; fa-digg',
						'fa-dot-circle-o' => '&#xf192; fa-dot-circle-o',
						'fa-download' => '&#xf019; fa-download',
						'fa-dribbble' => '&#xf17d; fa-dribbble',
						'fa-dropbox' => '&#xf16b; fa-dropbox',
						'fa-drupal' => '&#xf1a9; fa-drupal',
						'fa-edge' => '&#xf282; fa-edge',
						'fa-eject' => '&#xf052; fa-eject',
						'fa-ellipsis-h' => '&#xf141; fa-ellipsis-h',
						'fa-ellipsis-v' => '&#xf142; fa-ellipsis-v',
						'fa-empire' => '&#xf1d1; fa-empire',
						'fa-envelope' => '&#xf0e0; fa-envelope',
						'fa-envelope-o' => '&#xf003; fa-envelope-o',
						'fa-envelope-square' => '&#xf199; fa-envelope-square',
						'fa-eraser' => '&#xf12d; fa-eraser',
						'fa-eur' => '&#xf153; fa-eur',
						'fa-exchange' => '&#xf0ec; fa-exchange',
						'fa-exclamation' => '&#xf12a; fa-exclamation',
						'fa-exclamation-circle' => '&#xf06a; fa-exclamation-circle',
						'fa-exclamation-triangle' => '&#xf071; fa-exclamation-triangle',
						'fa-expand' => '&#xf065; fa-expand',
						'fa-expeditedssl' => '&#xf23e; fa-expeditedssl',
						'fa-external-link' => '&#xf08e; fa-external-link',
						'fa-external-link-square' => '&#xf14c; fa-external-link-square',
						'fa-eye' => '&#xf06e; fa-eye',
						'fa-eye-slash' => '&#xf070; fa-eye-slash',
						'fa-eyedropper' => '&#xf1fb; fa-eyedropper',
						'fa-facebook' => '&#xf09a; fa-facebook',
						'fa-facebook-official' => '&#xf230; fa-facebook-official',
						'fa-facebook-square' => '&#xf082; fa-facebook-square',
						'fa-fast-backward' => '&#xf049; fa-fast-backward',
						'fa-fast-forward' => '&#xf050; fa-fast-forward',
						'fa-fax' => '&#xf1ac; fa-fax',
						'fa-female' => '&#xf182; fa-female',
						'fa-fighter-jet' => '&#xf0fb; fa-fighter-jet',
						'fa-file' => '&#xf15b; fa-file',
						'fa-file-archive-o' => '&#xf1c6; fa-file-archive-o',
						'fa-file-audio-o' => '&#xf1c7; fa-file-audio-o',
						'fa-file-code-o' => '&#xf1c9; fa-file-code-o',
						'fa-file-excel-o' => '&#xf1c3; fa-file-excel-o',
						'fa-file-image-o' => '&#xf1c5; fa-file-image-o',
						'fa-file-o' => '&#xf016; fa-file-o',
						'fa-file-pdf-o' => '&#xf1c1; fa-file-pdf-o',
						'fa-file-powerpoint-o' => '&#xf1c4; fa-file-powerpoint-o',
						'fa-file-text' => '&#xf15c; fa-file-text',
						'fa-file-text-o' => '&#xf0f6; fa-file-text-o',
						'fa-file-video-o' => '&#xf1c8; fa-file-video-o',
						'fa-file-word-o' => '&#xf1c2; fa-file-word-o',
						'fa-files-o' => '&#xf0c5; fa-files-o',
						'fa-film' => '&#xf008; fa-film',
						'fa-filter' => '&#xf0b0; fa-filter',
						'fa-fire' => '&#xf06d; fa-fire',
						'fa-fire-extinguisher' => '&#xf134; fa-fire-extinguisher',
						'fa-firefox' => '&#xf269; fa-firefox',
						'fa-flag' => '&#xf024; fa-flag',
						'fa-flag-checkered' => '&#xf11e; fa-flag-checkered',
						'fa-flag-o' => '&#xf11d; fa-flag-o',
						'fa-flask' => '&#xf0c3; fa-flask',
						'fa-flickr' => '&#xf16e; fa-flickr',
						'fa-floppy-o' => '&#xf0c7; fa-floppy-o',
						'fa-folder' => '&#xf07b; fa-folder',
						'fa-folder-o' => '&#xf114; fa-folder-o',
						'fa-folder-open' => '&#xf07c; fa-folder-open',
						'fa-folder-open-o' => '&#xf115; fa-folder-open-o',
						'fa-font' => '&#xf031; fa-font',
						'fa-fonticons' => '&#xf280; fa-fonticons',
						'fa-fort-awesome' => '&#xf286; fa-fort-awesome',
						'fa-forumbee' => '&#xf211; fa-forumbee',
						'fa-forward' => '&#xf04e; fa-forward',
						'fa-foursquare' => '&#xf180; fa-foursquare',
						'fa-frown-o' => '&#xf119; fa-frown-o',
						'fa-futbol-o' => '&#xf1e3; fa-futbol-o',
						'fa-gamepad' => '&#xf11b; fa-gamepad',
						'fa-gavel' => '&#xf0e3; fa-gavel',
						'fa-gbp' => '&#xf154; fa-gbp',
						'fa-genderless' => '&#xf22d; fa-genderless',
						'fa-get-pocket' => '&#xf265; fa-get-pocket',
						'fa-gg' => '&#xf260; fa-gg',
						'fa-gg-circle' => '&#xf261; fa-gg-circle',
						'fa-gift' => '&#xf06b; fa-gift',
						'fa-git' => '&#xf1d3; fa-git',
						'fa-git-square' => '&#xf1d2; fa-git-square',
						'fa-github' => '&#xf09b; fa-github',
						'fa-github-alt' => '&#xf113; fa-github-alt',
						'fa-github-square' => '&#xf092; fa-github-square',
						'fa-glass' => '&#xf000; fa-glass',
						'fa-globe' => '&#xf0ac; fa-globe',
						'fa-google' => '&#xf1a0; fa-google',
						'fa-google-plus' => '&#xf0d5; fa-google-plus',
						'fa-google-plus-square' => '&#xf0d4; fa-google-plus-square',
						'fa-google-wallet' => '&#xf1ee; fa-google-wallet',
						'fa-graduation-cap' => '&#xf19d; fa-graduation-cap',
						'fa-gratipay' => '&#xf184; fa-gratipay',
						'fa-h-square' => '&#xf0fd; fa-h-square',
						'fa-hacker-news' => '&#xf1d4; fa-hacker-news',
						'fa-hand-lizard-o' => '&#xf258; fa-hand-lizard-o',
						'fa-hand-o-down' => '&#xf0a7; fa-hand-o-down',
						'fa-hand-o-left' => '&#xf0a5; fa-hand-o-left',
						'fa-hand-o-right' => '&#xf0a4; fa-hand-o-right',
						'fa-hand-o-up' => '&#xf0a6; fa-hand-o-up',
						'fa-hand-paper-o' => '&#xf256; fa-hand-paper-o',
						'fa-hand-peace-o' => '&#xf25b; fa-hand-peace-o',
						'fa-hand-pointer-o' => '&#xf25a; fa-hand-pointer-o',
						'fa-hand-rock-o' => '&#xf255; fa-hand-rock-o',
						'fa-hand-scissors-o' => '&#xf257; fa-hand-scissors-o',
						'fa-hand-spock-o' => '&#xf259; fa-hand-spock-o',
						'fa-hashtag' => '&#xf292; fa-hashtag',
						'fa-hdd-o' => '&#xf0a0; fa-hdd-o',
						'fa-header' => '&#xf1dc; fa-header',
						'fa-headphones' => '&#xf025; fa-headphones',
						'fa-heart' => '&#xf004; fa-heart',
						'fa-heart-o' => '&#xf08a; fa-heart-o',
						'fa-heartbeat' => '&#xf21e; fa-heartbeat',
						'fa-history' => '&#xf1da; fa-history',
						'fa-home' => '&#xf015; fa-home',
						'fa-hospital-o' => '&#xf0f8; fa-hospital-o',
						'fa-hourglass' => '&#xf254; fa-hourglass',
						'fa-hourglass-end' => '&#xf253; fa-hourglass-end',
						'fa-hourglass-half' => '&#xf252; fa-hourglass-half',
						'fa-hourglass-o' => '&#xf250; fa-hourglass-o',
						'fa-hourglass-start' => '&#xf251; fa-hourglass-start',
						'fa-houzz' => '&#xf27c; fa-houzz',
						'fa-html5' => '&#xf13b; fa-html5',
						'fa-i-cursor' => '&#xf246; fa-i-cursor',
						'fa-ils' => '&#xf20b; fa-ils',
						'fa-inbox' => '&#xf01c; fa-inbox',
						'fa-indent' => '&#xf03c; fa-indent',
						'fa-industry' => '&#xf275; fa-industry',
						'fa-info' => '&#xf129; fa-info',
						'fa-info-circle' => '&#xf05a; fa-info-circle',
						'fa-inr' => '&#xf156; fa-inr',
						'fa-instagram' => '&#xf16d; fa-instagram',
						'fa-internet-explorer' => '&#xf26b; fa-internet-explorer',
						'fa-ioxhost' => '&#xf208; fa-ioxhost',
						'fa-italic' => '&#xf033; fa-italic',
						'fa-joomla' => '&#xf1aa; fa-joomla',
						'fa-jpy' => '&#xf157; fa-jpy',
						'fa-jsfiddle' => '&#xf1cc; fa-jsfiddle',
						'fa-key' => '&#xf084; fa-key',
						'fa-keyboard-o' => '&#xf11c; fa-keyboard-o',
						'fa-krw' => '&#xf159; fa-krw',
						'fa-language' => '&#xf1ab; fa-language',
						'fa-laptop' => '&#xf109; fa-laptop',
						'fa-lastfm' => '&#xf202; fa-lastfm',
						'fa-lastfm-square' => '&#xf203; fa-lastfm-square',
						'fa-leaf' => '&#xf06c; fa-leaf',
						'fa-leanpub' => '&#xf212; fa-leanpub',
						'fa-lemon-o' => '&#xf094; fa-lemon-o',
						'fa-level-down' => '&#xf149; fa-level-down',
						'fa-level-up' => '&#xf148; fa-level-up',
						'fa-life-ring' => '&#xf1cd; fa-life-ring',
						'fa-lightbulb-o' => '&#xf0eb; fa-lightbulb-o',
						'fa-line-chart' => '&#xf201; fa-line-chart',
						'fa-link' => '&#xf0c1; fa-link',
						'fa-linkedin' => '&#xf0e1; fa-linkedin',
						'fa-linkedin-square' => '&#xf08c; fa-linkedin-square',
						'fa-linux' => '&#xf17c; fa-linux',
						'fa-list' => '&#xf03a; fa-list',
						'fa-list-alt' => '&#xf022; fa-list-alt',
						'fa-list-ol' => '&#xf0cb; fa-list-ol',
						'fa-list-ul' => '&#xf0ca; fa-list-ul',
						'fa-location-arrow' => '&#xf124; fa-location-arrow',
						'fa-lock' => '&#xf023; fa-lock',
						'fa-long-arrow-down' => '&#xf175; fa-long-arrow-down',
						'fa-long-arrow-left' => '&#xf177; fa-long-arrow-left',
						'fa-long-arrow-right' => '&#xf178; fa-long-arrow-right',
						'fa-long-arrow-up' => '&#xf176; fa-long-arrow-up',
						'fa-magic' => '&#xf0d0; fa-magic',
						'fa-magnet' => '&#xf076; fa-magnet',
						'fa-male' => '&#xf183; fa-male',
						'fa-map' => '&#xf279; fa-map',
						'fa-map-marker' => '&#xf041; fa-map-marker',
						'fa-map-o' => '&#xf278; fa-map-o',
						'fa-map-pin' => '&#xf276; fa-map-pin',
						'fa-map-signs' => '&#xf277; fa-map-signs',
						'fa-mars' => '&#xf222; fa-mars',
						'fa-mars-double' => '&#xf227; fa-mars-double',
						'fa-mars-stroke' => '&#xf229; fa-mars-stroke',
						'fa-mars-stroke-h' => '&#xf22b; fa-mars-stroke-h',
						'fa-mars-stroke-v' => '&#xf22a; fa-mars-stroke-v',
						'fa-maxcdn' => '&#xf136; fa-maxcdn',
						'fa-meanpath' => '&#xf20c; fa-meanpath',
						'fa-medium' => '&#xf23a; fa-medium',
						'fa-medkit' => '&#xf0fa; fa-medkit',
						'fa-meh-o' => '&#xf11a; fa-meh-o',
						'fa-mercury' => '&#xf223; fa-mercury',
						'fa-microphone' => '&#xf130; fa-microphone',
						'fa-microphone-slash' => '&#xf131; fa-microphone-slash',
						'fa-minus' => '&#xf068; fa-minus',
						'fa-minus-circle' => '&#xf056; fa-minus-circle',
						'fa-minus-square' => '&#xf146; fa-minus-square',
						'fa-minus-square-o' => '&#xf147; fa-minus-square-o',
						'fa-mixcloud' => '&#xf289; fa-mixcloud',
						'fa-mobile' => '&#xf10b; fa-mobile',
						'fa-modx' => '&#xf285; fa-modx',
						'fa-money' => '&#xf0d6; fa-money',
						'fa-moon-o' => '&#xf186; fa-moon-o',
						'fa-motorcycle' => '&#xf21c; fa-motorcycle',
						'fa-mouse-pointer' => '&#xf245; fa-mouse-pointer',
						'fa-music' => '&#xf001; fa-music',
						'fa-neuter' => '&#xf22c; fa-neuter',
						'fa-newspaper-o' => '&#xf1ea; fa-newspaper-o',
						'fa-object-group' => '&#xf247; fa-object-group',
						'fa-object-ungroup' => '&#xf248; fa-object-ungroup',
						'fa-odnoklassniki' => '&#xf263; fa-odnoklassniki',
						'fa-odnoklassniki-square' => '&#xf264; fa-odnoklassniki-square',
						'fa-opencart' => '&#xf23d; fa-opencart',
						'fa-openid' => '&#xf19b; fa-openid',
						'fa-opera' => '&#xf26a; fa-opera',
						'fa-optin-monster' => '&#xf23c; fa-optin-monster',
						'fa-outdent' => '&#xf03b; fa-outdent',
						'fa-pagelines' => '&#xf18c; fa-pagelines',
						'fa-paint-brush' => '&#xf1fc; fa-paint-brush',
						'fa-paper-plane' => '&#xf1d8; fa-paper-plane',
						'fa-paper-plane-o' => '&#xf1d9; fa-paper-plane-o',
						'fa-paperclip' => '&#xf0c6; fa-paperclip',
						'fa-paragraph' => '&#xf1dd; fa-paragraph',
						'fa-pause' => '&#xf04c; fa-pause',
						'fa-pause-circle' => '&#xf28b; fa-pause-circle',
						'fa-pause-circle-o' => '&#xf28c; fa-pause-circle-o',
						'fa-paw' => '&#xf1b0; fa-paw',
						'fa-paypal' => '&#xf1ed; fa-paypal',
						'fa-pencil' => '&#xf040; fa-pencil',
						'fa-pencil-square' => '&#xf14b; fa-pencil-square',
						'fa-pencil-square-o' => '&#xf044; fa-pencil-square-o',
						'fa-percent' => '&#xf295; fa-percent',
						'fa-phone' => '&#xf095; fa-phone',
						'fa-phone-square' => '&#xf098; fa-phone-square',
						'fa-picture-o' => '&#xf03e; fa-picture-o',
						'fa-pie-chart' => '&#xf200; fa-pie-chart',
						'fa-pied-piper' => '&#xf1a7; fa-pied-piper',
						'fa-pied-piper-alt' => '&#xf1a8; fa-pied-piper-alt',
						'fa-pinterest' => '&#xf0d2; fa-pinterest',
						'fa-pinterest-p' => '&#xf231; fa-pinterest-p',
						'fa-pinterest-square' => '&#xf0d3; fa-pinterest-square',
						'fa-plane' => '&#xf072; fa-plane',
						'fa-play' => '&#xf04b; fa-play',
						'fa-play-circle' => '&#xf144; fa-play-circle',
						'fa-play-circle-o' => '&#xf01d; fa-play-circle-o',
						'fa-plug' => '&#xf1e6; fa-plug',
						'fa-plus' => '&#xf067; fa-plus',
						'fa-plus-circle' => '&#xf055; fa-plus-circle',
						'fa-plus-square' => '&#xf0fe; fa-plus-square',
						'fa-plus-square-o' => '&#xf196; fa-plus-square-o',
						'fa-power-off' => '&#xf011; fa-power-off',
						'fa-print' => '&#xf02f; fa-print',
						'fa-product-hunt' => '&#xf288; fa-product-hunt',
						'fa-puzzle-piece' => '&#xf12e; fa-puzzle-piece',
						'fa-qq' => '&#xf1d6; fa-qq',
						'fa-qrcode' => '&#xf029; fa-qrcode',
						'fa-question' => '&#xf128; fa-question',
						'fa-question-circle' => '&#xf059; fa-question-circle',
						'fa-quote-left' => '&#xf10d; fa-quote-left',
						'fa-quote-right' => '&#xf10e; fa-quote-right',
						'fa-random' => '&#xf074; fa-random',
						'fa-rebel' => '&#xf1d0; fa-rebel',
						'fa-recycle' => '&#xf1b8; fa-recycle',
						'fa-reddit' => '&#xf1a1; fa-reddit',
						'fa-reddit-alien' => '&#xf281; fa-reddit-alien',
						'fa-reddit-square' => '&#xf1a2; fa-reddit-square',
						'fa-refresh' => '&#xf021; fa-refresh',
						'fa-registered' => '&#xf25d; fa-registered',
						'fa-renren' => '&#xf18b; fa-renren',
						'fa-repeat' => '&#xf01e; fa-repeat',
						'fa-reply' => '&#xf112; fa-reply',
						'fa-reply-all' => '&#xf122; fa-reply-all',
						'fa-retweet' => '&#xf079; fa-retweet',
						'fa-road' => '&#xf018; fa-road',
						'fa-rocket' => '&#xf135; fa-rocket',
						'fa-rss' => '&#xf09e; fa-rss',
						'fa-rss-square' => '&#xf143; fa-rss-square',
						'fa-rub' => '&#xf158; fa-rub',
						'fa-safari' => '&#xf267; fa-safari',
						'fa-scissors' => '&#xf0c4; fa-scissors',
						'fa-scribd' => '&#xf28a; fa-scribd',
						'fa-search' => '&#xf002; fa-search',
						'fa-search-minus' => '&#xf010; fa-search-minus',
						'fa-search-plus' => '&#xf00e; fa-search-plus',
						'fa-sellsy' => '&#xf213; fa-sellsy',
						'fa-server' => '&#xf233; fa-server',
						'fa-share' => '&#xf064; fa-share',
						'fa-share-alt' => '&#xf1e0; fa-share-alt',
						'fa-share-alt-square' => '&#xf1e1; fa-share-alt-square',
						'fa-share-square' => '&#xf14d; fa-share-square',
						'fa-share-square-o' => '&#xf045; fa-share-square-o',
						'fa-shield' => '&#xf132; fa-shield',
						'fa-ship' => '&#xf21a; fa-ship',
						'fa-shirtsinbulk' => '&#xf214; fa-shirtsinbulk',
						'fa-shopping-bag' => '&#xf290; fa-shopping-bag',
						'fa-shopping-basket' => '&#xf291; fa-shopping-basket',
						'fa-shopping-cart' => '&#xf07a; fa-shopping-cart',
						'fa-sign-in' => '&#xf090; fa-sign-in',
						'fa-sign-out' => '&#xf08b; fa-sign-out',
						'fa-signal' => '&#xf012; fa-signal',
						'fa-simplybuilt' => '&#xf215; fa-simplybuilt',
						'fa-sitemap' => '&#xf0e8; fa-sitemap',
						'fa-skyatlas' => '&#xf216; fa-skyatlas',
						'fa-skype' => '&#xf17e; fa-skype',
						'fa-slack' => '&#xf198; fa-slack',
						'fa-sliders' => '&#xf1de; fa-sliders',
						'fa-slideshare' => '&#xf1e7; fa-slideshare',
						'fa-smile-o' => '&#xf118; fa-smile-o',
						'fa-sort' => '&#xf0dc; fa-sort',
						'fa-sort-alpha-asc' => '&#xf15d; fa-sort-alpha-asc',
						'fa-sort-alpha-desc' => '&#xf15e; fa-sort-alpha-desc',
						'fa-sort-amount-asc' => '&#xf160; fa-sort-amount-asc',
						'fa-sort-amount-desc' => '&#xf161; fa-sort-amount-desc',
						'fa-sort-asc' => '&#xf0de; fa-sort-asc',
						'fa-sort-desc' => '&#xf0dd; fa-sort-desc',
						'fa-sort-numeric-asc' => '&#xf162; fa-sort-numeric-asc',
						'fa-sort-numeric-desc' => '&#xf163; fa-sort-numeric-desc',
						'fa-soundcloud' => '&#xf1be; fa-soundcloud',
						'fa-space-shuttle' => '&#xf197; fa-space-shuttle',
						'fa-spinner' => '&#xf110; fa-spinner',
						'fa-spoon' => '&#xf1b1; fa-spoon',
						'fa-spotify' => '&#xf1bc; fa-spotify',
						'fa-square' => '&#xf0c8; fa-square',
						'fa-square-o' => '&#xf096; fa-square-o',
						'fa-stack-exchange' => '&#xf18d; fa-stack-exchange',
						'fa-stack-overflow' => '&#xf16c; fa-stack-overflow',
						'fa-star' => '&#xf005; fa-star',
						'fa-star-half' => '&#xf089; fa-star-half',
						'fa-star-half-o' => '&#xf123; fa-star-half-o',
						'fa-star-o' => '&#xf006; fa-star-o',
						'fa-steam' => '&#xf1b6; fa-steam',
						'fa-steam-square' => '&#xf1b7; fa-steam-square',
						'fa-step-backward' => '&#xf048; fa-step-backward',
						'fa-step-forward' => '&#xf051; fa-step-forward',
						'fa-stethoscope' => '&#xf0f1; fa-stethoscope',
						'fa-sticky-note' => '&#xf249; fa-sticky-note',
						'fa-sticky-note-o' => '&#xf24a; fa-sticky-note-o',
						'fa-stop' => '&#xf04d; fa-stop',
						'fa-stop-circle' => '&#xf28d; fa-stop-circle',
						'fa-stop-circle-o' => '&#xf28e; fa-stop-circle-o',
						'fa-street-view' => '&#xf21d; fa-street-view',
						'fa-strikethrough' => '&#xf0cc; fa-strikethrough',
						'fa-stumbleupon' => '&#xf1a4; fa-stumbleupon',
						'fa-stumbleupon-circle' => '&#xf1a3; fa-stumbleupon-circle',
						'fa-subscript' => '&#xf12c; fa-subscript',
						'fa-subway' => '&#xf239; fa-subway',
						'fa-suitcase' => '&#xf0f2; fa-suitcase',
						'fa-sun-o' => '&#xf185; fa-sun-o',
						'fa-superscript' => '&#xf12b; fa-superscript',
						'fa-table' => '&#xf0ce; fa-table',
						'fa-tablet' => '&#xf10a; fa-tablet',
						'fa-tachometer' => '&#xf0e4; fa-tachometer',
						'fa-tag' => '&#xf02b; fa-tag',
						'fa-tags' => '&#xf02c; fa-tags',
						'fa-tasks' => '&#xf0ae; fa-tasks',
						'fa-taxi' => '&#xf1ba; fa-taxi',
						'fa-television' => '&#xf26c; fa-television',
						'fa-tencent-weibo' => '&#xf1d5; fa-tencent-weibo',
						'fa-terminal' => '&#xf120; fa-terminal',
						'fa-text-height' => '&#xf034; fa-text-height',
						'fa-text-width' => '&#xf035; fa-text-width',
						'fa-th' => '&#xf00a; fa-th',
						'fa-th-large' => '&#xf009; fa-th-large',
						'fa-th-list' => '&#xf00b; fa-th-list',
						'fa-thumb-tack' => '&#xf08d; fa-thumb-tack',
						'fa-thumbs-down' => '&#xf165; fa-thumbs-down',
						'fa-thumbs-o-down' => '&#xf088; fa-thumbs-o-down',
						'fa-thumbs-o-up' => '&#xf087; fa-thumbs-o-up',
						'fa-thumbs-up' => '&#xf164; fa-thumbs-up',
						'fa-ticket' => '&#xf145; fa-ticket',
						'fa-times' => '&#xf00d; fa-times',
						'fa-times-circle' => '&#xf057; fa-times-circle',
						'fa-times-circle-o' => '&#xf05c; fa-times-circle-o',
						'fa-tint' => '&#xf043; fa-tint',
						'fa-toggle-off' => '&#xf204; fa-toggle-off',
						'fa-toggle-on' => '&#xf205; fa-toggle-on',
						'fa-trademark' => '&#xf25c; fa-trademark',
						'fa-train' => '&#xf238; fa-train',
						'fa-transgender' => '&#xf224; fa-transgender',
						'fa-transgender-alt' => '&#xf225; fa-transgender-alt',
						'fa-trash' => '&#xf1f8; fa-trash',
						'fa-trash-o' => '&#xf014; fa-trash-o',
						'fa-tree' => '&#xf1bb; fa-tree',
						'fa-trello' => '&#xf181; fa-trello',
						'fa-tripadvisor' => '&#xf262; fa-tripadvisor',
						'fa-trophy' => '&#xf091; fa-trophy',
						'fa-truck' => '&#xf0d1; fa-truck',
						'fa-try' => '&#xf195; fa-try',
						'fa-tty' => '&#xf1e4; fa-tty',
						'fa-tumblr' => '&#xf173; fa-tumblr',
						'fa-tumblr-square' => '&#xf174; fa-tumblr-square',
						'fa-twitch' => '&#xf1e8; fa-twitch',
						'fa-twitter' => '&#xf099; fa-twitter',
						'fa-twitter-square' => '&#xf081; fa-twitter-square',
						'fa-umbrella' => '&#xf0e9; fa-umbrella',
						'fa-underline' => '&#xf0cd; fa-underline',
						'fa-undo' => '&#xf0e2; fa-undo',
						'fa-university' => '&#xf19c; fa-university',
						'fa-unlock' => '&#xf09c; fa-unlock',
						'fa-unlock-alt' => '&#xf13e; fa-unlock-alt',
						'fa-upload' => '&#xf093; fa-upload',
						'fa-usb' => '&#xf287; fa-usb',
						'fa-usd' => '&#xf155; fa-usd',
						'fa-user' => '&#xf007; fa-user',
						'fa-user-md' => '&#xf0f0; fa-user-md',
						'fa-user-plus' => '&#xf234; fa-user-plus',
						'fa-user-secret' => '&#xf21b; fa-user-secret',
						'fa-user-times' => '&#xf235; fa-user-times',
						'fa-users' => '&#xf0c0; fa-users',
						'fa-venus' => '&#xf221; fa-venus',
						'fa-venus-double' => '&#xf226; fa-venus-double',
						'fa-venus-mars' => '&#xf228; fa-venus-mars',
						'fa-viacoin' => '&#xf237; fa-viacoin',
						'fa-video-camera' => '&#xf03d; fa-video-camera',
						'fa-vimeo' => '&#xf27d; fa-vimeo',
						'fa-vimeo-square' => '&#xf194; fa-vimeo-square',
						'fa-vine' => '&#xf1ca; fa-vine',
						'fa-vk' => '&#xf189; fa-vk',
						'fa-volume-down' => '&#xf027; fa-volume-down',
						'fa-volume-off' => '&#xf026; fa-volume-off',
						'fa-volume-up' => '&#xf028; fa-volume-up',
						'fa-weibo' => '&#xf18a; fa-weibo',
						'fa-weixin' => '&#xf1d7; fa-weixin',
						'fa-whatsapp' => '&#xf232; fa-whatsapp',
						'fa-wheelchair' => '&#xf193; fa-wheelchair',
						'fa-wifi' => '&#xf1eb; fa-wifi',
						'fa-wikipedia-w' => '&#xf266; fa-wikipedia-w',
						'fa-windows' => '&#xf17a; fa-windows',
						'fa-wordpress' => '&#xf19a; fa-wordpress',
						'fa-wrench' => '&#xf0ad; fa-wrench',
						'fa-xing' => '&#xf168; fa-xing',
						'fa-xing-square' => '&#xf169; fa-xing-square',
						'fa-y-combinator' => '&#xf23b; fa-y-combinator',
						'fa-yahoo' => '&#xf19e; fa-yahoo',
						'fa-yelp' => '&#xf1e9; fa-yelp',
						'fa-youtube' => '&#xf167; fa-youtube',
						'fa-youtube-play' => '&#xf16a; fa-youtube-play',
						'fa-youtube-square' => '&#xf166; fa-youtube-square',
					),
				),
				array (
					'key' => 'field_56d5e23c87784',
					'label' => 'Icon Color',
					'name' => 'section_icon_color',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_56d5e16787782',
								'operator' => '==',
								'value' => 'icon',
							),
						),
					),
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'default_value' => '#FFFFFF',
				),
				array (
					'key' => 'field_56d5e25387785',
					'label' => 'Background',
					'name' => 'section_icon_background',
					'type' => 'color_picker',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_56d5e16787782',
								'operator' => '==',
								'value' => 'icon',
							),
						),
					),
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'default_value' => '#A6DDEF',
				),
				array (
					'key' => 'field_56d5e28487786',
					'label' => 'Image',
					'name' => 'section_icon_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_56d5e16787782',
								'operator' => '==',
								'value' => 'image',
							),
						),
					),
					'wrapper' => array (
						'width' => 40,
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => 100,
					'min_height' => 100,
					'min_size' => '',
					'max_width' => 800,
					'max_height' => 800,
					'max_size' => '',
					'mime_types' => '',
				),
				array (
					'key' => 'field_56d5e2c487788',
					'label' => 'Section Text',
					'name' => 'section_text',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 40,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_56d5e2ea87789',
					'label' => 'Section Link',
					'name' => 'section_link',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 35,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_56d5e2f58778a',
					'label' => 'Button Text',
					'name' => 'section_button_text',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 25,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
			),
			'collapsed' => '',
		),
		array (
			'key' => 'field_56e2ead97b1f1',
			'label' => 'Content Before Sections',
			'name' => 'content_before_sections',
			'type' => 'wysiwyg',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56d5e3088778b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'full',
			'media_upload' => 1,
		),
		array (
			'key' => 'field_56e2eb307b1f2',
			'label' => 'Content After Sections',
			'name' => 'content_after_sections',
			'type' => 'wysiwyg',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56d5e3088778b',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'tabs' => 'all',
			'toolbar' => 'full',
			'media_upload' => 1,
		),
		array (
			'key' => 'field_56e2eb6763e50',
			'label' => 'Show Recent Content?',
			'name' => 'show_recent_content',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
		array (
			'key' => 'field_56e2f7c6daea2',
			'label' => 'Recent Content Section Title',
			'name' => 'recent_content_section_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56e2eb6763e50',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Recent Content',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_56e2eb7863e51',
			'label' => 'Recent Content Type',
			'name' => 'recent_content_post_types',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56e2eb6763e50',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'posts' => 'Blog Posts',
				'memberoni_course' => 'Courses',
				'blog_course' => 'Blogs and Courses',
				'custom' => 'List of CPT names (advanced)',
				'manual' => 'Manual',
			),
			'default_value' => array (
				0 => 'memberoni_course',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),
		array (
			'key' => 'field_11ra97c6dads8',
			'label' => 'List of Custom Post Type Names',
			'name' => 'custom_post_values',
			'type' => 'text',
			'instructions' => 'List the custom post type names, separated by a comma (with no spaces between values) - NOTE this should only be used by advanced users',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56e2eb7863e51',
						'operator' => '==',
						'value' => 'custom',
					),
					array (
						'field' => 'field_56e2eb6763e50',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'memberoni_course,post',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_56e2ec5063e53',
			'label' => 'Recent Content Limit',
			'name' => 'recent_content_limit',
			'type' => 'number',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56e2eb6763e50',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_56e2eb7863e51',
						'operator' => '!=',
						'value' => 'manual',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 5,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 3,
			'max' => 30,
			'step' => 1,
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_56e2ec8763e54',
			'label' => 'Post Categories',
			'name' => 'recent_content_blog_categories',
			'type' => 'taxonomy',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56e2eb6763e50',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_56e2eb7863e51',
						'operator' => '==',
						'value' => 'posts',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'checkbox',
			'allow_null' => 0,
			'add_term' => 1,
			'save_terms' => 0,
			'load_terms' => 0,
			'return_format' => 'id',
			'multiple' => 0,
		),
		array (
			'key' => 'field_56e2f0b246d11',
			'label' => 'Recent Content (Manual)',
			'name' => 'recent_content_manual',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56e2eb6763e50',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_56e2eb7863e51',
						'operator' => '==',
						'value' => 'manual',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'min' => 1,
			'max' => 30,
			'layout' => 'table',
			'button_label' => 'Add Recent Content',
			'sub_fields' => array (
				array (
					'key' => 'field_56e2f0ce46d12',
					'label' => 'Content Thumb',
					'name' => 'content_thumb',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'dashboad-recent',
					'library' => 'all',
					'min_width' => 210,
					'min_height' => 110,
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array (
					'key' => 'field_56e2f0ea46d13',
					'label' => 'Content Headline',
					'name' => 'content_headline',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_56e2f12646d14',
					'label' => 'Content Description',
					'name' => 'content_description',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 40,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_56e2f13b46d15',
					'label' => 'Content Link',
					'name' => 'content_link',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
			),
			'collapsed' => '',
		),
		array(
			'key' => 'field_5c0e54a462dd4',
			'label' => 'Show Inactive Courses?',
			'name' => 'show_inactive',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_56e2eb7863e51',
						'operator' => '==',
						'value' => 'memberoni_course',
					),
				),
				array(
					array(
						'field' => 'field_56e2eb7863e51',
						'operator' => '==',
						'value' => 'blog_course',
					),
				),
				array(
					array(
						'field' => 'field_56e2eb7863e51',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),		
		array (
			'key' => 'field_56e2ecf05c5a9',
			'label' => 'Show Sidebar?',
			'name' => 'show_sidebar',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'page-dashboard.php',
			),
		),
	),
	'menu_order' => -1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array (
		0 => 'the_content',
		1 => 'excerpt',
		2 => 'custom_fields',
		3 => 'discussion',
		4 => 'comments',
		5 => 'author',
		6 => 'format',
		7 => 'featured_image',
		8 => 'send-trackbacks',
	),
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_56fe7bfac6099',
	'title' => 'Grid Options',
	'fields' => array (
		array (
			'key' => 'field_5909b62bd128f',
			'label' => 'Page Layout',
			'name' => 'page_layout',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'full' => 'Full Width',
				'sidebarleft' => 'Sidebar on left',
				'sidebarright' => 'Sidebar on right',
			),
			'default_value' => array (
				0 => 'full',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_56fe7bfb056d3',
			'label' => 'Content Type',
			'name' => 'grid_content_post_types',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'posts' => 'Blog Posts',
				'course' => 'Courses',
				'manual' => 'Manual',
				'custom' => 'Custom Post Type (List)',
				'custommanual' => 'Custom Post Type (Manual)',
			),
			'default_value' => array (
				0 => 'Courses',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),

		array (
			'key' => 'field_57bd76f94ac25',
			'label' => 'Use Category Filtering?',
			'name' => 'use_category_filtering',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array(
			'key' => 'field_5bc8933aa2c89',
			'label' => 'Category List Location',
			'name' => 'category_list_location',
			'type' => 'select',
			'instructions' => 'Where should the list of tabs used for category filtering be shown?',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),					
					array(
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5909b62bd128f',
						'operator' => '!=',
						'value' => 'full',
					),
				),
				array(
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),					
					array(
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
					array(
						'field' => 'field_5909b62bd128f',
						'operator' => '!=',
						'value' => 'full',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'above' => 'Above the content grid',
				'sidebar' => 'In the sidebar',
			),
			'default_value' => array(
				0 => 'above',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),		
		array (
			'key' => 'field_57bd756fc13bc',
			'label' => 'Categories per Row',
			'name' => 'categories_per_row',
			'type' => 'select',
			'instructions' => 'Choose the number of category tabs which appear in each row above your course list (including the view all button)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),					
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5bc8933aa2c89',
						'operator' => '!=',
						'value' => 'sidebar',
					),
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),					
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_5bc8933aa2c89',
						'operator' => '!=',
						'value' => 'sidebar',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				2 => 'Two',
				3 => 'Three',
				4 => 'Four',
				5 => 'Five',
			),
			'default_value' => array (
				0 => 4,
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'placeholder' => '',
			'disabled' => 0,
			'readonly' => 0,
		),
		array (
			'key' => 'field_5a844db934f3f',
			'label' => 'Order Categories By',
			'name' => 'order_categories_by',
			'type' => 'select',
			'instructions' => 'Choose to show content alphabetically, by publication date or by "Menu Order" (the value entered into the \'Order\' box)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),					
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),					
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'name' => 'Name',
				'slug' => 'Slug',
			),
			'default_value' => array (
				0 => 'name',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_5a844e0434f40',
			'label' => 'Category Order Setting',
			'name' => 'category_order_setting',
			'type' => 'select',
			'instructions' => 'Show categories in order (ascending) or in reverse (descending)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),					
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),					
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'asc' => 'Ascending',
				'desc' => 'Descending',
			),
			'default_value' => array (
				0 => 'asc',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),




		array (
			'key' => 'field_56fe7bfb057c0',
			'label' => 'Post Categories',
			'name' => 'grid_content_blog_categories',
			'type' => 'taxonomy',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'category',
			'field_type' => 'checkbox',
			'allow_null' => 0,
			'add_term' => 1,
			'save_terms' => 0,
			'load_terms' => 0,
			'return_format' => 'id',
			'multiple' => 0,
		),
		array (
			'key' => 'field_5850194af944c',
			'label' => 'Course Categories',
			'name' => 'grid_content_course_categories',
			'type' => 'taxonomy',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'taxonomy' => 'memberoni_course_categories',
			'field_type' => 'checkbox',
			'allow_null' => 0,
			'add_term' => 0,
			'save_terms' => 0,
			'load_terms' => 0,
			'return_format' => 'id',
			'multiple' => 0,
		),




		array (
			'key' => 'field_56fe7bfb05833',
			'label' => 'Grid Content (Manual)',
			'name' => 'grid_content_manual',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'manual',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => 'field_56fe7bfb8628f',
			'min' => 3,
			'max' => 90,
			'layout' => 'block',
			'button_label' => 'Add Grid Content',
			'sub_fields' => array (
				array (
					'key' => 'field_56fe7bfb861f9',
					'label' => 'Content Thumb',
					'name' => 'content_thumb',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => 'dashboad-recent',
					'library' => 'all',
					'min_width' => 210,
					'min_height' => 110,
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array (
					'key' => 'field_56fe7bfb8628f',
					'label' => 'Content Headline',
					'name' => 'content_headline',
					'type' => 'text',
					'instructions' => '',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 23,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_56fe7bfb863ac',
					'label' => 'Content Link',
					'name' => 'content_link',
					'type' => 'url',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 23,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
				),
				array (
					'key' => 'field_587cb779abc93',
					'label' => 'New Tab?',
					'name' => 'manual_new_tab',
					'type' => 'true_false',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 10,
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
				),
				array (
					'key' => 'field_56fe7c60bec67',
					'label' => 'Button Text',
					'name' => 'content_link_text',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 14,
						'class' => '',
						'id' => '',
					),
					'default_value' => 'Access Now',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
					'readonly' => 0,
					'disabled' => 0,
				),

				array (
					'key' => 'field_584ff657938a6',
					'label' => 'Content Status',
					'name' => 'content_status',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 10,
						'class' => '',
						'id' => '',
					),
					'choices' => array (
						'active' => 'Active',
						'inactive' => 'Inactive',
					),
					'default_value' => array (
						0 => 'active',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'return_format' => 'value',
					'placeholder' => '',
				),
				array (
					'key' => 'field_584ff78f938a7',
					'label' => 'Inactive Content Message',
					'name' => 'inactive_content_message',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_584ff657938a6',
								'operator' => '==',
								'value' => 'inactive',
							),
						),
					),
					'wrapper' => array (
						'width' => 100,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array (
					'key' => 'field_631280806e5ab',
					'label' => 'Excerpt',
					'name' => 'content_exerpt',
					'type' => 'textarea',
					'instructions' => 'Only shows in single column layout',
					'required' => 0,
					'conditional_logic' => array (
						array (
							array (
								'field' => 'field_59007ab3cec4f',
								'operator' => '==',
								'value' => '1',
							),
							array (
								'field' => 'field_59007533db28f',
								'operator' => '==',
								'value' => '1',
							),
						),

					),
					'wrapper' => array (
						'width' => 100,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => '3',
					'new_lines' => '',
				),


			),
		),
		array (
			'key' => 'field_574dae74dbcde',
			'label' => 'Custom Post Type',
			'name' => 'custom_post_type',
			'type' => 'post_type_selector',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custom',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'select_type' => 2,
		),
		array (
			'key' => 'field_574dae74dmimo',
			'label' => 'Custom Post Type (Manual Entry)',
			'name' => 'custom_post_type_manual',
			'type' => 'text',
			'instructions' => 'Type the name(s) of the custom post types to use. If adding multiple, seperate these with a comma. Use this setting if Custom Post (List) does not show your CPT.',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custommanual',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => 'Comma-separated list of CPT names (Advanced)',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_58501d826fab5',
			'label' => 'Order Content By',
			'name' => 'order_content_by',
			'type' => 'select',
			'instructions' => 'Choose to show content alphabetically, by publication date or by "Menu Order" (the value entered into the \'Order\' box)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custom',
					),					
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custommanual',
					),					
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'menu_order' => 'Menu Order',
				'date' => 'Date',
				'title' => 'Alphabetical',
			),
			'default_value' => array (
				0 => 'menuorder',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_58501e116fab6',
			'label' => 'Order Setting',
			'name' => 'order_setting',
			'type' => 'select',
			'instructions' => 'Show content in order (ascending) or in reverse (descending)',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),					
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),					
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custom',
					),					
				),
				array (
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custommanual',
					),					
				),
			),
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'asc' => 'Ascending',
				'desc' => 'Descending',
			),
			'default_value' => array (
				0 => 'asc',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),	
		array (
			'key' => 'field_59007533db28f',
			'label' => 'Items Per Row',
			'name' => 'grid_items_per_row',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				1 => 'One',
				2 => 'Two',
				3 => 'Three',
				4 => 'Four',
			),
			'default_value' => array (
				0 => 3,
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_5a82eaa6d44b8',
			'label' => 'Items Per Page',
			'name' => 'items_per_page',
			'type' => 'number',
			'instructions' => 'Cannot be used with category filtering',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),
				),
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custom',
					),
				),
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custommanual',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 30,
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 1,
			'max' => '',
			'step' => '',
		),	
		array (
			'key' => 'field_5a845835f765b',
			'label' => 'Pagination Type',
			'name' => 'pagination_type',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'course',
					),
				),
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'posts',
					),
				),
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custom',
					),
				),
				array (
					array (
						'field' => 'field_57bd76f94ac25',
						'operator' => '!=',
						'value' => '1',
					),
					array (
						'field' => 'field_56fe7bfb056d3',
						'operator' => '==',
						'value' => 'custommanual',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'prevnext' => 'Prev/Next',
				'numerical' => 'Numerical',
			),
			'default_value' => array (
				0 => 'prevnext',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array (
			'key' => 'field_59007ab3cec4f',
			'label' => 'Enable Excerpt',
			'name' => 'enable_excerpt',
			'type' => 'true_false',
			'instructions' => 'When in single-column view, the additional space enables you to add the excerpt for that content.',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_59007533db28f',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 1,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'page-grid.php',
			),
		),
	),
	'menu_order' => -1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => array (
		0 => 'excerpt',
		1 => 'custom_fields',
		2 => 'discussion',
		3 => 'comments',
		4 => 'author',
		5 => 'format',
		6 => 'featured_image',
		7 => 'send-trackbacks',
	),
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_56fadd826eb5b',
	'title' => 'General Theme Settings',
	'fields' => array (
		array (
			'key' => 'field_573c2af3152be',
			'label' => 'Header Scripts',
			'name' => 'header_scripts',
			'type' => 'repeater',
			'instructions' => 'Add site-wide custom CSS and Javascript code to the header of your website',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => 'field_573c2b10152bf',
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Header Script',
			'sub_fields' => array (
				array (
					'key' => 'field_573c2b10152bf',
					'label' => 'Script Type',
					'name' => 'script_type',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'choices' => array (
						'css' => 'CSS',
						'js' => 'Javascript',
					),
					'default_value' => array (
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'disabled' => 0,
					'readonly' => 0,
				),
				array (
					'key' => 'field_573c2b34152c0',
					'label' => 'Script Code',
					'name' => 'script_code',
					'type' => 'textarea',
					'instructions' => 'Add your code here',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 65,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 5,
					'new_lines' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_573c347057d9b',
					'label' => 'Members Only?',
					'name' => 'members_only',
					'type' => 'true_false',
					'instructions' => 'Only include this script for logged in members',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 15,
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
				),
			),
		),
		array (
			'key' => 'field_mimo2af3152be',
			'label' => 'Body Scripts',
			'name' => 'body_scripts',
			'type' => 'repeater',
			'instructions' => 'Add site-wide Javascript code immediately after the opening <body> tag',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => 'field_mimob10152bf',
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Body Script',
			'sub_fields' => array (
				array (
					'key' => 'field_mimo2b34152c0',
					'label' => 'Script Code',
					'name' => 'script_code',
					'type' => 'textarea',
					'instructions' => 'Add your code here',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 85,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 5,
					'new_lines' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_mimo347057d9b',
					'label' => 'Members Only?',
					'name' => 'members_only',
					'type' => 'true_false',
					'instructions' => 'Only include this script for logged in members',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
				),
			),
		),
		array (
			'key' => 'field_573c2b85152c1',
			'label' => 'Footer Scripts',
			'name' => 'footer_scripts',
			'type' => 'repeater',
			'instructions' => 'Add site-wide custom Javascript code to the footer of your website',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Footer Script',
			'sub_fields' => array (
				array (
					'key' => 'field_573c2b85152c3',
					'label' => 'Script Code',
					'name' => 'script_code',
					'type' => 'textarea',
					'instructions' => 'Add your code here',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 85,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 5,
					'new_lines' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_573c34a757d9c',
					'label' => 'Members Only?',
					'name' => 'members_only',
					'type' => 'true_false',
					'instructions' => 'Only include this script for logged in members',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
				),
			),
		),
		array (
			'key' => 'field_64zd44s90aw32',
			'label' => 'Hide User Menu?',
			'name' => 'hide_user_menu',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array(
			'key' => 'field_5bc75fbbf2316',
			'label' => 'Hide User Avatar',
			'name' => 'hide_user_avatar',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_64zd44s90aw32',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),		
		array (
			'key' => 'field_574d993cfb49b',
			'label' => 'Add Logout to User Menu?',
			'name' => 'add_logout_to_user_menu',
			'type' => 'true_false',
			'instructions' => 'Choose whether to add a \'log out\' link to the user menu',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_64zd44s90aw32',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array(
			'key' => 'field_5bc759d91c84c',
			'label' => 'User Menu Label',
			'name' => 'user_menu_label',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_64zd44s90aw32',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'username' => 'Show Display Name',
				'custom' => 'Custom Text',
			),
			'default_value' => array(
				0 => 'username',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bc75a191c84d',
			'label' => 'Custom User Menu Label',
			'name' => 'custom_user_menu_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bc759d91c84c',
						'operator' => '==',
						'value' => 'custom',
					),
					array (
						'field' => 'field_64zd44s90aw32',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),		
		array (
			'key' => 'field_574d996ffb49c',
			'label' => 'Redirect After Logout',
			'name' => 'redirect_after_logout',
			'type' => 'url',
			'instructions' => '(optional) Enter a URL to redirect people to when they log out',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_574d993cfb49b',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_64zd44s90aw32',
						'operator' => '!=',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),
		array (
			'key' => 'field_598af40d4d7ce',
			'label' => 'Disable Footer Menu?',
			'name' => 'disable_footer_menu',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
	),

	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_573c4953d7783',
	'title' => 'Login Page Options',
	'fields' => array (
		array (
			'key' => 'field_573c497413b66',
			'label' => 'Use WordPress Login?',
			'name' => 'use_wordpress_login',
			'type' => 'true_false',
			'instructions' => 'Select this option if your membership plugin does not provide its own login page or shortcode to add a login form.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_573c49ea13b67',
			'label' => 'Redirect After Login',
			'name' => 'redirect_after_login',
			'type' => 'page_link',
			'instructions' => '(Optional) Select a page to redirect members to after they log in',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_573c497413b66',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array (
				0 => 'post',
				1 => 'page',
				2 => 'memberoni_course',
			),
			'taxonomy' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
		),
		array (
			'key' => 'field_573c4a4e13b68',
			'label' => 'Redirect If Already Logged In',
			'name' => 'redirect_logged_in',
			'type' => 'page_link',
			'instructions' => '(Optional) Select a page to redirect members to if they\'re already logged in',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_573c497413b66',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'post_type' => array (
				0 => 'post',
				1 => 'page',
				2 => 'memberoni_course',
			),
			'taxonomy' => array (
			),
			'allow_null' => 0,
			'multiple' => 0,
		),
		array (
			'key' => 'field_573c4a8413b69',
			'label' => 'Show Register Link?',
			'name' => 'show_register_link',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_573c497413b66',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_573c4a9e13b6a',
			'label' => 'Register Link URL',
			'name' => 'register_link_url',
			'type' => 'url',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_573c497413b66',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_573c4a8413b69',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
		),
		array (
			'key' => 'field_573c4ab613b6c',
			'label' => 'Register Link Text',
			'name' => 'register_link_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_573c497413b66',
						'operator' => '==',
						'value' => '1',
					),
					array (
						'field' => 'field_573c4a8413b69',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Not a member? Click here to join',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'page-login.php',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array (
	'key' => 'group_573c2bdc34fbe',
	'title' => 'Page Settings',
	'fields' => array (
		array (
			'key' => 'field_573c369d35ded',
			'label' => 'Disable Site Header',
			'name' => 'disable_site_header',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '25',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_573c36af35dee',
			'label' => 'Disable Site Footer',
			'name' => 'disable_site_footer',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '25',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_574db0ce40d97',
			'label' => 'Disable Page Title',
			'name' => 'disable_page_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '25',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_886dg0ce36d91',
			'label' => 'Disable Breadcrumbs',
			'name' => 'disable_breadcrumbs',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '25',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),

		array (
			'key' => 'field_598afdbc63d28',
			'label' => 'Custom Page Class',
			'name' => 'custom_page_class',
			'type' => 'text',
			'instructions' => 'Add one or more custom classes to this page (this can be useful for enabling CSS adjustments on specific pages only)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_573c2bdc3de16',
			'label' => 'Header Scripts',
			'name' => 'header_scripts_page',
			'type' => 'repeater',
			'instructions' => 'Add site-wide custom CSS and Javascript code to the header of this page only',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => 'field_573c2bdc4c86a',
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Header Script',
			'sub_fields' => array (
				array (
					'key' => 'field_573c2bdc4c86a',
					'label' => 'Script Type',
					'name' => 'script_type',
					'type' => 'select',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 20,
						'class' => '',
						'id' => '',
					),
					'choices' => array (
						'css' => 'CSS',
						'js' => 'Javascript',
					),
					'default_value' => array (
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'ajax' => 0,
					'placeholder' => '',
					'disabled' => 0,
					'readonly' => 0,
				),
				array (
					'key' => 'field_573c2bdc4c8e5',
					'label' => 'Script Code',
					'name' => 'script_code',
					'type' => 'textarea',
					'instructions' => 'Add your code here',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 65,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 5,
					'new_lines' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_573c34cf544d2',
					'label' => 'Members Only?',
					'name' => 'members_only',
					'type' => 'true_false',
					'instructions' => 'Only include this script for logged in members',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 15,
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
				),
			),
		),
		array (
			'key' => 'field_573c2bdc3e185',
			'label' => 'Footer Scripts',
			'name' => 'footer_scripts_page',
			'type' => 'repeater',
			'instructions' => 'Add site-wide Javascript code to the footer of this page only',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => '',
			'max' => '',
			'layout' => 'table',
			'button_label' => 'Add Footer Script',
			'sub_fields' => array (
				array (
					'key' => 'field_573c2bdc65595',
					'label' => 'Script Code',
					'name' => 'script_code',
					'type' => 'textarea',
					'instructions' => 'Add your code here',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 85,
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 5,
					'new_lines' => '',
					'readonly' => 0,
					'disabled' => 0,
				),
				array (
					'key' => 'field_573c34f5544d3',
					'label' => 'Members Only?',
					'name' => 'members_only',
					'type' => 'true_false',
					'instructions' => 'Only include this script for logged in members',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array (
						'width' => 15,
						'class' => '',
						'id' => '',
					),
					'message' => '',
					'default_value' => 0,
				),
			),
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
		array (
			array (
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => -1,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));


acf_add_local_field_group(array (
	'key' => 'group_57bd89124a0e7',
	'title' => 'Global Course Options',
	'fields' => array (
		array (
			'key' => 'field_57bd89215c948',
			'label' => 'Default Course Label (Single)',
			'name' => 'default_course_label',
			'type' => 'text',
			'instructions' => 'Replace all instances of the word \'Course\' with an alternative label',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Course',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_57bd897d5c94a',
			'label' => 'Default Course Label (Plural)',
			'name' => 'default_course_label_plural',
			'type' => 'text',
			'instructions' => 'Replace all instances of the word \'Courses\' with an alternative label',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Courses',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_57bd89445c949',
			'label' => 'Default Lesson Label (Single)',
			'name' => 'default_lesson_label',
			'type' => 'text',
			'instructions' => 'Replace all instances of the word \'Lesson\' with an alternative label',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Lesson',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_57bd898c5c94b',
			'label' => 'Default Lesson Label (Plural)',
			'name' => 'default_lesson_label_plural',
			'type' => 'text',
			'instructions' => 'Replace all instances of the word \'Lessons\' with an alternative label',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => 50,
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Lessons',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array (
			'key' => 'field_590086570be86',
			'label' => 'Course Options Location',
			'name' => 'course_options_location',
			'type' => 'select',
			'instructions' => 'Choose where the course completion and bookmarking links appear',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array (
				'top' => 'Top (Below Video if present)',
				'bottom' => 'Bottom (After main lesson content)',
			),
			'default_value' => array (
				0 => 'top',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),		
		array (
			'key' => 'field_hf64ll98a2a66',
			'label' => 'Disable Course Archive Page',
			'name' => 'disable_course_archive',
			'type' => 'true_false',
			'instructions' => 'By default the theme creates a basic course archive page which can clash with your custom Content Library template. If this problem occurs, check this box.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_598c4520585cd',
			'label' => 'Enable Comments on Courses',
			'name' => 'course_comments_on',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_5cf4bd130mim0',
			'label' => 'Show Course Completion in Title Bar?',
			'name' => 'show_completion_in_title',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),


		array (
			'key' => 'field_57c97272a2a66',
			'label' => 'Override Memberoni Course Slug',
			'name' => 'override_memberoni_course_slug',
			'type' => 'true_false',
			'instructions' => 'By default this the permalink "slug" is set to "courses" - however if you\'re using another LMS plugin (such as LearnDash) they this may cause a conflict. In this instance, you can override the default slug with something custom to avoid problems. NOTE: You will need to re-save your permalinks in "Settings > Permalinks" after enabling this option.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
		),
		array (
			'key' => 'field_57c972b8a2a67',
			'label' => 'Custom Memberoni Course Slug',
			'name' => 'custom_memberoni_course_slug',
			'type' => 'text',
			'instructions' => 'This needs to be something other than "courses" or "course"',
			'required' => 0,
			'conditional_logic' => array (
				array (
					array (
						'field' => 'field_57c97272a2a66',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'custom-course-slug',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
acf_add_local_field_group(array(
	'key' => 'group_5bc7663ec723d',
	'title' => 'Last Viewed Content',
	'fields' => array(
		array(
			'key' => 'field_5bc766510d64a',
			'label' => 'Exclude from Last Viewed',
			'name' => 'exclude_from_last',
			'type' => 'true_false',
			'instructions' => 'Memberoni has the option to display a member\'s last viewed content via a shortcode. Check this box to exclude this content from that feature.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'memberoni_course',
			),
		),
	),
	'menu_order' => 99,
	'position' => 'side',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
acf_add_local_field_group(array (
	'key' => 'group_58515ce844cc0',
	'title' => 'Change Theme Text',
	'fields' => array (
		array (
			'key' => 'field_58515d2379fad',
			'label' => 'Course Archive Page Title',
			'name' => 'lang_course_archive_page_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Course Library',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58515d7179fae',
			'label' => '404 Page Title',
			'name' => 'lang_404_page_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Hmm... We can\'t seem to find that',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58515dec79faf',
			'label' => '404 Page Content',
			'name' => 'lang_404_page_content',
			'type' => 'wysiwyg',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '<p>Well this is embarrassing, we can\'t seem to find what you\'re looking for!</p>
<p>Not to worry, simply click on a link in the main menu to get back on track...</p>',
			'tabs' => 'all',
			'toolbar' => 'basic',
			'media_upload' => 1,
		),
		array (
			'key' => 'field_58515e7be37ea',
			'label' => 'No Posts Found Headline',
			'name' => 'lang_no_posts_found_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Nothing Found',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58515f56e37ec',
			'label' => 'Search Results Label',
			'name' => 'lang_search_results_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Search Results for:',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58515f00e37eb',
			'label' => 'No Search Results Found',
			'name' => 'lang_no_search_results_found',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Sorry, we weren\'t able to find what you were looking for. You can try searching for a different term below:',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851601ac0d7e',
			'label' => 'Comments Label',
			'name' => 'lang_comments_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Comments on',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516092c0d7f',
			'label' => 'Older Comments',
			'name' => 'lang_older_comments',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Older Comments',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851609ec0d80',
			'label' => 'Newer Comments',
			'name' => 'lang_newer_comments',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Newer Comments',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585160dbeb8d2',
			'label' => 'Comments are Closed',
			'name' => 'lang_comments_are_closed',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Comments are Closed',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516119eb152',
			'label' => 'Default Coming Soon Text',
			'name' => 'lang_default_coming_soon_text',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Coming Soon',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851634d31059',
			'label' => 'Start Course Button',
			'name' => 'lang_start_course_button',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Start Course',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851634d3cc0r',
			'label' => 'Continue Course Button',
			'name' => 'lang_continue_course_button',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Continue Course',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851639e3105a',
			'label' => 'Articles - "By" Text',
			'name' => 'lang_articles_by',
			'type' => 'text',
			'instructions' => 'Shown in the blog post details - "By (author name) on (date) in (category)"',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'By',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585163f43105b',
			'label' => 'Articles - "on" Text',
			'name' => 'lang_articles_on',
			'type' => 'text',
			'instructions' => 'Shown in the blog post details - "By (author name) on (date) in (category)"',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'on',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516a95ec997',
			'label' => 'Articles - "in" Text',
			'name' => 'lang_articles_in',
			'type' => 'text',
			'instructions' => 'Shown in the blog post details - "By (author name) on (date) in (category)"',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'in',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516426e8d9d',
			'label' => 'Articles - Read More Button',
			'name' => 'lang_articles_read_more',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Read More',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585164f44096d',
			'label' => 'Log Out Link',
			'name' => 'lang_log_out_link',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Log Out',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585165284096e',
			'label' => 'Mobile Menu Label',
			'name' => 'lang_mobile_menu_label',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Select a section',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585165d64096f',
			'label' => 'Latest Articles Headline',
			'name' => 'lang_latest_articles_headline',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Latest Articles',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851666740970',
			'label' => 'Grid Page - Category Filter - View All Text',
			'name' => 'lang_filtering_view_all',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'View All',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851669e40971',
			'label' => 'Grid Page - Pagination - Previous Page Text',
			'name' => 'lang_grid_page_prev',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Prev',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585166b540972',
			'label' => 'Grid Page - Pagination - Next Page Text',
			'name' => 'lang_grid_page_next',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Next',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_5851675d3332f',
			'label' => 'Grid Page - Access Now Button',
			'name' => 'lang_grid_access_now',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Access Now',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585168981778a',
			'label' => 'Lost Password Link',
			'name' => 'lang_lost_password_link',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Lost Password?',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585168f21778b',
			'label' => 'Already Logged In Message',
			'name' => 'lang_already_logged_in',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'You\'re already logged in. Use the navigation above to get to where you want to go',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585169b29f338',
			'label' => 'Lesson Tracker: Completed',
			'name' => 'lang_tracker_completed',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Completed',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585169e59f339',
			'label' => 'Lesson Tracker: Bookmarks',
			'name' => 'lang_tracker_bookmarks',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Bookmarks',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585169f69f33a',
			'label' => 'Lesson Tracker: Favorites',
			'name' => 'lang_tracker_favorites',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Favorites',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585174cc751db',
			'label' => 'Lesson Tracker: View Lesson Text',
			'name' => 'lang_tracker_view_lesson',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'View Lesson',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516b3e902e4',
			'label' => 'Lesson Tracking: Mark as Complete',
			'name' => 'lang_tracking_complete',
			'type' => 'text',
			'instructions' => '(shows when hovering over icon)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Mark as Complete',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		/*array (
			'key' => 'field_58516b77902e5',
			'label' => 'Lesson Tracking: Mark as Incomplete',
			'name' => 'lang_tracking_incomplete',
			'type' => 'text',
			'instructions' => '(shows when hovering over icon)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Mark as incomplete',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),*/
		array (
			'key' => 'field_58516b90902e6',
			'label' => 'Lesson Tracking: Bookmark Lesson',
			'name' => 'lang_tracking_bookmark',
			'type' => 'text',
			'instructions' => '(shows when hovering over icon)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Bookmark this lesson',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		/*array (
			'key' => 'field_58516c0c902e7',
			'label' => 'Lesson Tracking: Remove Bookmark',
			'name' => 'lang_tracking_unbookmark',
			'type' => 'text',
			'instructions' => '(shows when hovering over icon)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Remove bookmark',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),*/
		array (
			'key' => 'field_58516c28902e8',
			'label' => 'Lesson Tracking: Add to Favorites',
			'name' => 'lang_tracking_favorite',
			'type' => 'text',
			'instructions' => '(shows when hovering over icon)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '33',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Add to favorites',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		/*array (
			'key' => 'field_58516c3b902e9',
			'label' => 'Lesson Tracking: Remove from Favorites',
			'name' => 'lang_tracking_unfavorite',
			'type' => 'text',
			'instructions' => '(shows when hovering over icon)',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Remove from favorites',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),*/
		array (
			'key' => 'field_58516da9671e7',
			'label' => 'Lesson Downloads: Title',
			'name' => 'lang_lesson_downloads_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Downloads for this lesson',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516dcc671e8',
			'label' => 'Course Downloads: Title',
			'name' => 'lang_course_downloads_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Downloads for this course',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516e48e10e0',
			'label' => 'Next Lesson Link',
			'name' => 'lang_next_lesson_link',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Next Lesson',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516e5de10e1',
			'label' => 'Previous Lesson Link',
			'name' => 'lang_prev_lesson_link',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '50',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Prev Lesson',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516edd28b99',
			'label' => 'Course Overview Title',
			'name' => 'lang_course_overview_title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Course Overview:',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516f3228b9a',
			'label' => 'Start This Course Button',
			'name' => 'lang_start_course',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Start This Course',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516f32c0nt1',
			'label' => 'Continue This Course Button',
			'name' => 'lang_continue_course',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Continue This Course',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_58516fce27814',
			'label' => 'Lessons in this Course Title',
			'name' => 'lang_lessons_in_course',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Lessons in this Course:',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585170822f9bd',
			'label' => 'Course Options Title',
			'name' => 'lang_course_options',
			'type' => 'text',
			'instructions' => 'Shows in sidebar for \'mark course complete\' and \'reset lesson progress\' options',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Course Options',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585170f32f9be',
			'label' => 'Mark Course Complete',
			'name' => 'lang_mark_course_complete',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Mark Course Complete',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array (
			'key' => 'field_585171002f9bf',
			'label' => 'Reset Lesson Progress',
			'name' => 'lang_reset_lesson_progress',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'Reset Lesson Progress',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_5be5803053ca6',
			'label' => 'Prequisite Incomplete',
			'name' => 'lang_prequisite_incomplete',
			'type' => 'text',
			'instructions' => 'Will display on any lessons that require a \'prerequisite\' in order to be accessed, followed by a link to the lesson in question.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 'This content can only be accessed once you have completed:',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),	
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-text-settings',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
acf_add_local_field_group(array (
	'key' => 'group_59087c4f8f015',
	'title' => 'Theme License',
	'fields' => array (
		array (
			'key' => 'field_59087c5854951',
			'label' => 'License Key',
			'name' => 's9s99jk23kjh4llm',
			'type' => 'password',
			'instructions' => 'Enter your license key to receive theme updates and support (License key accessed from inside Member Site Academy and requires an active subscription)',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
	),
	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'acf-options-license',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
acf_add_local_field_group(array (
	'key' => 'group_5a38f288d4cd2',
	'title' => 'Advanced Settings',
	'fields' => array (
		array (
			'key' => 'field_5a38f28f7f897',
			'label' => 'Enable ACF Controls',
			'name' => 'enable_acf',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array (
			'key' => 'field_5a82ef4701ec4',
			'label' => 'Use Fixed Image Ratios',
			'name' => 'used_fixed_image_ratios',
			'type' => 'true_false',
			'instructions' => 'This changes the way that thumbnails are shown in the Content Grid to ensure that the entire image is used with it\'s original ratio in tact. Enabling this removes the ability to show \'banner\' messages on thumbnails (i.e. "Coming Soon") and may also result in inconsistent layout issues in situations where thumbnail ratios are not uniform.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array (
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => '',
			'default_value' => 0,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
	),

	'location' => array (
		array (
			array (
				'param' => 'options_page',
				'operator' => '==',
				'value' => 'academy-settings',
			),
		),
	),
	'menu_order' => 99,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));
endif;





